commit e57db9c16130658be12e57f81f41215de4e9d50d
Author: Jim Evins <evins@snaught.com>
Date:   2016-04-23

    Some final preparation for 3.4.0.

M	AUTHORS
M	NEWS
M	README
M	configure.ac

commit f09166de12e7a3113d234a2fccf30ec1358a4171
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2016-04-13

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 151c7ccd501b4c5ea55da1394b5393d5f156e657
Author: Marek Černocký <marek@manet.cz>
Date:	2016-04-13

    Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

commit c13334665d39fbd09e83d53fbbd4a084da8e0501
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-04-12

    Updated German doc translation

M	help/de/de.po

commit d8be24be28be70bd1ea4581cbfd7de105dd60014
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-04-12

    Fixed logical issue in German translation

M	po/de.po

commit 8b7724075ffd2e852617866a000f2eb0451bfee9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-04-12

    Updated Spanish translation

M	help/es/es.po

commit d7f901a7a2bc9bb24403bed9184762a9952c5b04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2016-04-12

    Updated Spanish translation

M	po/es.po

commit 6bc5aa0a09356039c4c36122ab0a92103562b386
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	2016-04-12

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e85cda0e27d7ec23ab733d43b9e91c0861bb38c6
Author: Jim Evins <evins@snaught.com>
Date:	2016-04-11

    Updated manual page for the new Label properties dialog.

M	help/C/labelprop.page

commit ea0cef41ce6e18ae99a329b85080623f74ca64b2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-04-11

    Updated Swedish translation

M	po/sv.po

commit 05d49201e0b5549f0b556ee416c7671ac0711c47
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-04-11

    Updated German translation

M	po/de.po

commit 26dbf498143e1a98146dff0cf5ce79565a127fd1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-04-11

    Added SheetLabels templates

M	templates/sheetlabels-us-templates.xml

commit 212cffd51f6eee69186f195098d6299ae6d261a7
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-04-11

    Updated Swedish translation

M	po/sv.po

commit ed52a7ae4585751c659506805b6064208b32dbed
Author: Jim Evins <evins@snaught.com>
Date:	2016-03-31

    Use pre-2.44 GObject boilerplate in new glLabelPropertiesDialog.

    Maintains compatability with older or less bleeding-edge
    distributions.

M	src/label-properties-dialog.c
M	src/label-properties-dialog.h

commit dbd7de13a3c6d3d62d7f9cd245d3674d5410c88b
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	2016-03-31

    Updated Hungarian translation

M	po/hu.po

commit cfb648be19b9fc82afeea91f9b9271f9e7d3b00d
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-03-30

    Added a few SheetLabels templates

M	templates/sheetlabels-us-templates.xml

commit e30a5855354169b942c27d332f346cc8a61ae7c5
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-03-30

    Updated German translation

M	po/de.po

commit 966a54971c015dacb123abab77ed5989f42c546f
Author: Marek Černocký <marek@manet.cz>
Date:	2016-03-30

    Updated Czech translation

M	po/cs.po

commit b132259e00150627c23cbcb9ffdf8bff19e041bc
Author: Jim Evins <evins@snaught.com>
Date:	2016-03-29

    Added Datamatrix with GS1 input mode barcode type to zint backend.

M	src/bc-backends.c
M	src/bc-zint.c

commit d0282fa9043f5e5e1c5cd00ff8a4ec0eab29df98
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2016-03-24

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 18b14950c2d929cdda40617bfef2da0aeadcbb16
Author: GHPS <GHPS@users.noreply.github.com>
Date:	2016-03-07

    Unified description, fixed English translation, added filing-category

M	templates/zweckform-iso-templates.xml

commit c34d782e781f37a7b5086c35ec78ca40700267b2
Author: Marek Černocký <marek@manet.cz>
Date:	2016-03-12

    Updated Czech translation

M	po/cs.po

commit 53362e5dbc67b05e7318de5240cadfdcdbd8f508
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-03-08

    Updated German translation

M	po/de.po

commit e4f6a47abcab7fed87f198f3c62b6da4f1d5a311
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2016-03-06

    Updated Hungarian translation

M	po/hu.po

commit ae4aad4994a8a355680c873923b84dd8231aba8d
Author: Jim Evins <evins@snaught.com>
Date:	2016-03-06

    Added translation context for "Select Product" (Bug #763003).

M	src/new-label-dialog.c

commit 3c195d74dc71d4facc7c32a49f0219e368db5f0c
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2016-03-06

    Updated Hungarian translation

M	po/hu.po

commit 4c4e9491e19bd0f0e102371913b96010d84126c3
Author: GHPS <GHPS@users.noreply.github.com>
Date:	2016-03-03

    Update to new Dymo labels, pt -> mm (Dymo official dimensions),
    file sorted

M	templates/dymo-other-templates.xml

commit 0526c761afa92ee7c008985b1234f1be4e70c8dc
Author: GHPS <GHPS@users.noreply.github.com>
Date:	2016-03-03

    New categories for name badges (name-badge) and filing.

M	templates/categories.xml

commit fd29a33c46d4cd344a2e7b7c5864a88531d71e09
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2016-03-04

    Updated Hungarian translation

M	po/hu.po

commit c7470d41b65c4d26846cf5ac2aa04189af690f93
Author: Jim Evins <evins@snaught.com>
Date:	2016-03-03

    Removed laste vestiges of windowing system or dbus dependencies
    from glabels-batch.

M	src/font-history-model.c
M	src/font-history-model.h
M	src/font-history.c
M	src/font-history.h
M	src/glabels-batch.c
M	src/prefs-model.c
M	src/prefs.c
M	src/prefs.h
M	src/template-history-model.c
M	src/template-history-model.h
M	src/template-history.c
M	src/template-history.h

commit 138ff1b448ed1fe75e674d5006130652c289a8e1
Author: Marek Černocký <marek@manet.cz>
Date:	2016-03-03

    Fixes for Begalabel templates

M	po/POTFILES.in
M	templates/Makefile.am
M	templates/begalabel-templates.xml

commit 193f0e3c97a102220585990d65a2a2a58971fd6b
Author: Marek Černocký <marek@manet.cz>
Date:	2016-03-03

    Add new Begalabel templates

A	templates/begalabel-templates.xml
M	templates/vendors.xml

commit 13e6059ad706c4b9c839f598df7a0a3e3bbbd06d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2016-03-03

    Updated Swedish translation

M	po/sv.po

commit aa254d8d573e1ace39cee5c7d1f65b8800835262
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2016-03-02

    Updated Slovak translation

M	po/sk.po

commit 7a66286430281f7ea1fb1ccb3055fe293ae726ba
Author: Jim Evins <evins@snaught.com>
Date:	2016-02-28

    Fix drawing beyond drawing area viewport (bug #762307).

    Fixes Bug #762307.	Clip the drawing area's bin_window to a
    viewport determined by the widget's physical window size and
    current scroll adjustments.

M	src/view.c

commit 99b749f214affdb3d7fe590f675ea23ba9d7fb23
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-25

    Show changes immediately after rotate/flip

M	src/label.c

commit 46d0313b58e5d0c18f6a1803b6940934c59db199
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-22

    Fix crash on Select All

M	src/object-editor.c

commit 71a6570fad3df336c275f6dd1a12b1ee749d8333
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-25

    Updated Czech translation

M	po/cs.po

commit ed04ee3f971c85073417b8a4f7f09078bd80d947
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-25

    Fix typo

M	src/label.c

commit 71b63b09608b5bc1dfeb6037bcf0e9d21030d69f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-02-24

    Updated German translation

M	po/de.po

commit 215f105bfe9b5436e29873efefdb9ec8067366d2
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-24

    Be more specific comments for translators

M	src/label.c

commit 29cdcc4644e6900fb0913dc37b6f21acc0f52b77
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-24

    Fix typos

M	src/label.c

commit 085265d35e5f67a789ecca4056b66ba66c5ed06f
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	2016-02-23

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 8b1e71279e63cfbd5f2f5f26ce6bc553dff91508
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2016-02-22

    Updated POTFILES.in

M	po/POTFILES.in

commit c719015609b943decb76fbbdf18618227b6654a9
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-18

    Add properties dialog

M	data/ui/Makefile.am
A	data/ui/label-properties-dialog.ui
M	src/Makefile.am
M	src/file.c
M	src/file.h
A	src/label-properties-dialog.c
C058	src/file.h	src/label-properties-dialog.h
M	src/label.c
M	src/label.h

commit a8fdd2ef48cd8bd832f6c85c8f2a2903ac39c346
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-14

    Set path for Save As

M	src/file.c

commit c7004d7988d2b47d9f09226301bab2d21f1a12dd
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-17

    Some dimension fixes

M	templates/rayfilm-templates.xml

commit bfd72b4fd652140f7987058e49bae2c62b44696a
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-17

    Updated Czech translation

M	help/cs/cs.po

commit b5e16a792c68cdd5b809b878a4573db7ba83604f
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-13

    Fix text and line shadow color from key

M	src/color.c
M	src/color.h
M	src/label-line.c
M	src/label-text.c

commit cb06227147d7c6eda9074530baabe75307773883
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-13

    Object dragging enhancement

M	src/view-box.c
M	src/view-box.h
M	src/view-ellipse.c
M	src/view-ellipse.h
M	src/view-line.c
M	src/view-line.h
M	src/view.c
M	src/view.h

commit fbacfb3d00e89daffced4586f4654c65ce2111bd
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-11

    Fix line handle P1 sensitive

M	src/label-object.c

commit aae4fee62cf98b130cfa25a056b35ad203fedb5c
Author: Windel Bouwman <windel@windel.nl>
Date:	2016-02-07

    Add full page Bruna template for A4.

M	templates/misc-iso-templates.xml

commit d5ff2a4052fcc0c9b26e3410f69fd2903e704583
Author: Marek Černocký <marek@manet.cz>
Date:	2016-02-02

    Updated Czech translation

M	po/cs.po

commit 6c9a0a990219d15eacefc873befe71b966678046
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-02-01

    Updated German translation

M	po/de.po

commit 12aacd1a153b89e91081da811bc4b41235bd1cf9
Author: Jim Evins <evins@snaught.com>
Date:	2016-01-31

    Bump version.

M	configure.ac

commit 5b6f8fb1f98967833b9954baa43d50750531d043
Author: Jim Evins <evins@snaught.com>
Date:	2016-01-31

    Some cleanup to satisfy distcheck.

M	.gitignore
M	po/POTFILES.skip
M	templates/Makefile.am

commit e1a38920a8968afec6949759040f7f393fe5b2be
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-25

    Update the AppData to spec version 0.7+

M	data/appdata/glabels-3.appdata.xml.in

commit 1f4d83785171ef57e1342dcfeed063c5a00b28d2
Author: Richard Hughes <richard@hughsie.com>
Date:	2016-01-25

    Add a missing tag to the AppData file

M	data/appdata/glabels-3.appdata.xml.in

commit d68a06597d8ca19b654138001ee653fb9dd2f80e
Author: Walter Cheuk <wwycheuk@gmail.com>
Date:	2016-01-24

    Updated Chinese (Hong Kong) translation
    (cherry picked from commit 752f97a141e3613d2aeb4bbf30667716cd4e986f)

M	po/zh_HK.po

commit 419a15ed0b11cfe7a4eaa49f3cc8317a2cded728
Author: Walter Cheuk <wwycheuk@gmail.com>
Date:	2016-01-24

    Updated Chinese (Taiwan) translation
    (cherry picked from commit 861305ac11561bb1dab661d89de3f38db7f28815)

M	po/zh_TW.po

commit b3e7d28f699a196a37aa53fd345af8ef36b2718d
Author: Marek Černocký <marek@manet.cz>
Date:	2016-01-31

    Udated Czech translation

M	po/cs.po

commit 626bf4f71bdeb977424a31145842cf58269b09c3
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2016-01-24

    Updated German translation

M	po/de.po

commit 7a93d511a50d066409ddeac313e9a5bad277bd7e
Author: Jim Evins <evins@snaught.com>
Date:	2016-01-23

    Fixes to doap file from master.

M	glabels.doap

commit 9b1aa2676512c1d4e2101847a1be38504bdda88a
Author: Jim Evins <evins@snaught.com>
Date:	2016-01-23

    Update project meta data.

M	.gitignore
M	HACKING
M	README
M	data/desktop/glabels-3.0.desktop.in
M	glabels.doap

commit 6efdb7f35c3f0cf8b61178bde5a7912f627bdf7e
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	2016-01-21

    Updated Finnish translation

M	po/fi.po

commit f12018edd8857d91a5d4662fd8d8fbadd505a358
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2015-12-31

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 41a843b11d604be1f76b03ec2c915112f3ce74ac
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2015-12-30

    Updated German translation

M	po/de.po

commit 49d65be25f8eef69fd7b258db342dac07d56c002
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2015-12-30

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 7fc57ed02d2b73badc789020ec9506ffac817ea9
Author: Jim Evins <evins@snaught.com>
Date:	2015-12-26

    Reconcile whitespace styles.

M	src/merge-text.c

commit 641ac096f10a846f620551563327da67be16ae67
Author: Jim Patterson <sf.rs9z@ncf.ca>
Date:	2015-12-26

    Auto-detect file encoding of CSV files and process accordingly.

    Fixes sourceforge bug# 139. The changes scan any CSV file for a BOM
    (Byte Order Mark) when it's opened. If one is found, then the getc
    routine will use g_iconv to convert code sequences to utf-8 before
    passing them up for processing. Since it checks for the UTF-8 BOM as
    well as those for UTF-16 and UTF-32, this change also provides a way
    in which a UTF-8 CSV file can be passed into GLabels on those systems
    which aren't using UTF-8 as the system codeset. Currently, those
    files are (it appears) assumed to be in the system code set, and so
    are a bit problematic.

M	src/merge-text.c

commit 0f73a4fd412c9e4812926747ef8a0ed68d9096c8
Author: Marek Černocký <marek@manet.cz>
Date:	2015-12-20

    Fixed typo mm8 -> 8mm

M	templates/endisch-templates.xml

commit c8be3946b6389beb51da7ecafe96854d20383369
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-12-17

    Updated Spanish translation

M	po/es.po

commit 3b3ab61c724d0e83e5a826446642191df57f7a31
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-12-13

    Updated Turkish translation

M	po/tr.po

commit f8adad57e31608beb9cca35de3cd0313facda856
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:	2015-12-13

    Updated Turkish translation
    (cherry picked from commit 0d23cb983ceb1eb7fe49c8dd1297c13b8649e40b)

M	po/tr.po

commit 2e2474159e3b7e1f7dfcf778cedc7adbb5801298
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-12-13

    Updated Spanish translation

M	help/es/es.po

commit fc69408fa71d9b13788b0fb45a93aaee452eaadb
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-12-13

    Updated Portuguese translation

M	po/pt.po

commit 5dc90f7519e81ab21e04d5885618ea41a9e958c1
Author: Marek Černocký <marek@manet.cz>
Date:	2015-12-08

    Updated Czech translation

M	po/cs.po

commit f1de8eb10559e97747ba75a0754d622c30a5739c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2014-12-15

    Fix a typo

    Signed-off-by: Marek Černocký <marek@manet.cz>

M	src/bc-backends.c

commit a393c8109108f04ae5e77b1fa3fa406e2f5c40a8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-12-02

    Updated Spanish translation

M	po/es.po

commit bb90018a24d222db468ee0fe5f2377a26ade10e8
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2015-11-21

    Updated German doc translation

M	help/de/de.po

commit 470594f178029d92c77b3f8e221fcb689486aa90
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2015-11-21

    Updated German translation

M	po/de.po

commit 19f231afa72c63c46b58293adc9c30663cd17338
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-10-26

    Updated Swedish translation

M	po/sv.po

commit 3acce37267ce4fdeb978616a65a83c6784ae9255
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-10-18

    Updated Greek translation

M	po/el.po

commit 5e6cc832e13669dc2e17e17c34208738d29c92d6
Author: Marek Černocký <marek@manet.cz>
Date:	2015-09-14

    Updated Czech translation

M	help/cs/cs.po

commit a1c3cccdbb7c8c21f69694f55d06d10bb97b60b7
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2015-08-17

    Updated Greek translation

M	help/el/el.po

commit bb3bd64bad2c7b8afcb601370ff065efc1a4c0d0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-08-15

    Updated French translation

M	help/fr/fr.po

commit b227668b1a477231a39cd95aab8549797a247032
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-08-08

    Updated POTFILES.in

M	po/POTFILES.in

commit 982c22b9e923eca694d6482c42b6afde4a6c8302
Author: Thomas Steinert <contact.steinert@gmail.com>
Date:	2015-08-08

    Add Avery L4730 and Cable Lable Co CableBug Labels.

    - Includes some whitespace cleanup in vendor.xml and categories.xml.

M	.gitignore
M	templates/Makefile.am
M	templates/avery-iso-templates.xml
A	templates/cablelabel-templates.xml
M	templates/categories.xml
M	templates/vendors.xml

commit a5a1d5e3ccc502d89ec224d4af67b5b1c75226b7
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-08-07

    Fix typos in manual

M	help/C/customize.page
M	help/C/mancreate.page
M	help/C/merge-ex3.page

commit 318e05e03840a452ae7b44f9576485d51bd6585f
Author: Jim Evins <evins@snaught.com>
Date:	2015-08-02

    Fixed names of brother templates.

M	templates/brother-other-templates.xml

commit 15786d2aecdca97834ab6ed4f42d83d4592990b4
Author: Marek Černocký <marek@manet.cz>
Date:	2015-07-22

    Updated Czech translation

M	po/cs.po

commit 8b6f024a6d81f10ca74c987571cd30ff55095d37
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-07-19

    Updated Portuguese translation

M	po/pt.po

commit 3a57a96a64b4eb606434a524a85b136c188a12a1
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-07-18

    Updated Hungarian translation

M	po/hu.po

commit 149b37a7ddf58dd287426443fe9114a5209bca85
Author: Jim Evins <evins@snaught.com>
Date:	2015-07-17

    Updated Brother QL-500/550/... templates.

    Updated these templates to use the foomatic ptouch driver.	The
    label sizes and measurements come directly from version 1.1 of
    the 'Brother-QL-500-ptouch.ppd' file.

    Kept old templates around for backwards compatability.

M	templates/brother-other-templates.xml
M	templates/vendors.xml

commit 4f3e3e8e3ba98a27e8378fb2ffd38ae9f59d659a
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-07-07

    Updated Portuguese translation

M	po/pt.po

commit 05c43afd5967c441c3568d49629824572745cd90
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-06-27

    Updated POTFILES.in

M	po/POTFILES.in

commit 074c6bb6a77d208568bf99a0c02ec01a66e98f18
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2015-06-27

    Add Malte Skoruppa to AUTHORS

M	AUTHORS

commit cc3d2a9547e22d429691471198b45fca9e5ee666
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2015-06-27

    Add Mayspies to vendors

M	templates/vendors.xml

commit 6e682a8b1573b4cff774377f114d5231a9c5b023
Author: Malte Skoruppa <skoruppa@cs.uni-saarland.de>
Date:	2015-06-27

    Add new template file for Mayspies

A	templates/mayspies-templates.xml

commit 757777500e690976dabb2e5e4803fcdbf82326b5
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	2015-05-28

    Updated Hungarian translation

M	po/hu.po

commit 2c5e4afcb665478cee337d2939a6a01ec3168d71
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2015-05-26

    Initial Hungarian translation by Balazs UR <urbalazs at gmail dot
    com>, corrections by me

A	po/hu.po

commit 31e12b92e72a93dd3e0a892cc5a4c1557fb7323d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2015-05-26

    Added hu to LINGUAS

M	po/LINGUAS

commit 3480159dacc5c7576562c1fff7bcdd8303347629
Author: Jordi Mas <jmas@softcatala.org>
Date:	2015-05-06

    Fixes to Catalan translation

M	po/ca.po

commit d9b453d0b3a79ec74a8e35573ed23fda820f9c5d
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	2015-04-06

    Added Romanian Translation

M	po/LINGUAS
A	po/ro.po

commit 6e3afc47ed6b8ca72393c740d5dfa489ca8163f2
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-13

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 5a6da4851e83b52ba56b3d59c652c29c229b7916
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-03-11

    Added Slovak translation

M	po/LINGUAS
A	po/sk.po

commit abb54d7416428501e26f9a121135ddc043034b61
Author: Tim Waugh <twaugh@redhat.com>
Date:	2015-01-19

    Handle vcard entries with addresses but no address labels (bug
    #742441).

    Fixes Bug #742441.	A vcard entry that has no address labels but
    does include
    structured address components can be handled by fabricating the
    address label
    from the address components.

M	src/merge-vcard.c

commit 1dd1d6e1697373140eea0373beb195c0ca4534c0
Author: Tim Waugh <twaugh@redhat.com>
Date:	2015-01-06

    Fixed missing contacts when importing from vcard.

    Fixes Bug #742440.	After checking for an END line, another line
    was read
    before breaking out of the loop. This could have been the BEGIN
    line for
    the next record, in which case that record will be lost.

M	src/merge-vcard.c

commit 42d630343f0da1ef616b6252e352e1602832e088
Author: Åke Engelbrektson <eson57@gmail.com>
Date:	2015-01-13

    Updated Swedish translation

M	po/sv.po

commit f9ab70e76c6d0493ad388c30ba3d80d27bdb4487
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2014-12-19

    Add a few SheetLabels templates

M	templates/sheetlabels-us-templates.xml

commit bb7d492a4469a92e8d9f56912522c127505ca7cc
Author: Bruce Dagel <bdagel@machlink.com>
Date:	2014-12-18

    Add SheetLabels SL 573 template

M	templates/sheetlabels-us-templates.xml

commit 6aab0235a879e6c9dff561a35335958ab056008a
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2014-12-11

    Updated Turkish translation

M	po/tr.po

commit 3e7beab866edeb88bd87742eaa86ff3cb014f41b
Author: Jim Evins <evins@snaught.com>
Date:	2014-11-10

    Post 3.2.1 preparation.

M	configure.ac

commit 7956897f0dec97f6297bd438a175e3934bf8ec5e
Author: Jim Evins <evins@snaught.com>
Date:	2014-11-09

    Final preparation for 3.2.1.

M	NEWS

commit a3c7ddc68495c9391b2295c0806ce6dcadbaeac0
Author: Jim Evins <evins@snaught.com>
Date:	2014-10-23

    Preparation for 3.2.1

M	NEWS
M	configure.ac

commit 60557cad418e0caf2687f8e365a9e7f7cf1e11ce
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2014-11-02

    Updated French translation

M	po/fr.po

commit a19c15779d09aecc5f48556d5f531cf96694bd5d
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2014-11-01

    Updated Latvian translation

M	po/lv.po

commit 3700cd8f40e429bb9a562533493a352fc40c3d4e
Author: Jim Evins <evins@snaught.com>
Date:	2014-10-23

    Removed obsolete tab-hborder property from media-select UI file.

    Unfortunately, beginning with gtk 3.14, rather than ignoring this
    obsolete
    property, having it in a UI file is considered a critical error,
    thus crashing
    glabels on newer distributions.

M	data/ui/media-select.ui

commit b66c0076908a706235af21b2c1d3ef04a6ba1f7f
Author: Jim Evins <evins@snaught.com>
Date:	2014-10-23

    Added dummy window as parent in warning and critical error handlers.

    In gtk 3.14, creating a message dialog without a parent window
    causes a crash.  Unfortunately this causes the original error or
    warning message from being seen by the user.

M	src/critical-error-handler.c
M	src/warning-handler.c

commit 20975776a273e48bbd5d600cdff7040b159ba162
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-10-05

    Removed Polish translation

    Last updated in 2002 (that's 12 years ago) and with 68 strings
    translated,
    it's doing more harm than good at this point. It can always be
    brought back
    from git, but it's probably easier to just start from scratch,
    if anyone's
    interested.

M	po/LINGUAS
D	po/pl.po

commit 6f7078360ec06f2baab951c897c05b57dc6b4a42
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2014-04-15

    [l10n] Updated German translation

M	po/de.po

commit b1eae7c6d2430974c409c9a019f4d2b6b52a5628
Author: Jordi Mas <jmas@softcatala.org>
Date:	2014-04-06

    Fix typos in Catalan translation

M	po/ca.po

commit 099514976b443da7e26097e1df820c9295cb2acd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-03-10

    Fix a tag in French help translation

M	help/fr/fr.po

commit fcaf1b13e5f7d411a245c6cc682bb32f5bb002e4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2014-02-28

    Updated Slovenian translation

M	po/sl.po

commit 535782f91a75f0ad09bea38b373d09ffa1493ded
Author: Marek Černocký <marek@manet.cz>
Date:	2014-02-13

    Updated Czech translation

M	po/cs.po

commit bcd9e861895c8e10ba8f72e10230f73222bec888
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2014-02-11

    Updated POTFILES.in

M	po/POTFILES.in

commit 83f437bdae66b307066b5bc3a40e8b8ea03f1c51
Author: Jim Evins <evins@snaught.com>
Date:	2014-02-09

    Added Canon Type J CD/DVD Tray template.

M	AUTHORS
M	templates/Makefile.am
A	templates/canon-other-templates.xml
M	templates/vendors.xml

commit a65a7dfee1053660679989a9a28ae10d4e589648
Author: Jim Evins <evins@snaught.com>
Date:	2014-01-25

    Fix layout problems with center and right text alignment to text box.

    Pango layout width should be 6 pts smaller than text object width
    to account
    for a 3 pt margin around layout.

M	src/label-text.c

commit 10eeb5e0e0edfacbd7c2bfb66855b46f02475e80
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-01-03

    Updated Spanish translation

M	po/es.po

commit 69feb397965f45985cf6128d46ba292b4944d115
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2014-01-03

    Updated Spanish translation

M	help/es/es.po

commit c2222b5dfa2865b9b38c43b6eb22368e1efa7d06
Author: Marek Černocký <marek@manet.cz>
Date:	2013-12-27

    Updated Czech translation

M	help/cs/cs.po

commit b7081a1bacf28232c7342fdd12f9ec44b8d94f89
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-11-26

    [l10n] Updated Serbian translations

M	po/sr.po
M	po/sr@latin.po

commit 5da2300ccdaa0bdb4d38e820cc6ab4f95c664b7f
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2013-10-29

    Updated Slovenian translation

M	po/sl.po

commit b315c9acd46d106710b318d54b8f752358744466
Author: Jim Evins <evins@snaught.com>
Date:	2013-10-28

    Preparation for 3.2.0.

M	NEWS

commit 3185fe6c520ca2386bcbb0e4288cdd95c7c1c07e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-10-13

    Updated Slovenian translation

M	po/sl.po

commit e60a0076cf975abc88ae24949867b340d430e678
Author: Marek Černocký <marek@manet.cz>
Date:	2013-10-13

    Updated Czech translation

M	po/cs.po

commit 6da1e7523a81fbf524e8c6c8ccf59c6566e0f3fb
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-10-13

    Updated Latvian translation

M	po/lv.po

commit daaf0c74eac5498dffaf947742b91e6e681174bd
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-10-12

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit f07cd37c71d5a49443ced7f50c834905512922ac
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-10-12

    [l10n] Updated German translation

M	po/de.po

commit 89e0ba6d44387274aab5f512c7cb499b66a77871
Author: Claude Paroz <claude@2xlibre.net>
Date:	2013-10-12

    Updated French manual translation

M	help/fr/fr.po

commit f6c1d7ec099672a6dfa5dbae3f1ae9c0b2c39cda
Author: Claude Paroz <claude@2xlibre.net>
Date:	2013-10-12

    Updated French translation

M	po/fr.po

commit cfeb47947d11c45271bbb86ca357231c3a610778
Author: Jim Evins <evins@snaught.com>
Date:	2013-10-10

    Bump version to 3.2.0.

M	configure.ac

commit 81bfea5ad77360d2d8f26b61b17ddc4c207ca7d5
Author: Jim Evins <evins@snaught.com>
Date:	2013-10-09

    Generated new app and mimetype bitmaps from scalable icons.

M	.gitignore
M	data/icons/16x16/apps/glabels-3.0.png
M	data/icons/22x22/apps/glabels-3.0.png
M	data/icons/24x24/apps/glabels-3.0.png
M	data/icons/32x32/apps/glabels-3.0.png
M	data/icons/48x48/apps/glabels-3.0.png
M	data/icons/48x48/mimetypes/application-x-glabels.png

commit 63ad6763093d0ff95b2233bbc54a14029f0217da
Author: Jim Evins <evins@snaught.com>
Date:	2013-10-09

    Added scalable app and mimetype icons.

M	configure.ac
M	data/icons/Makefile.am
A	data/icons/scalable/Makefile.am
A	data/icons/scalable/apps/glabels-3.0.svg
A	data/icons/scalable/mimetypes/application-x-glabels.svg

commit 11e93788cf275580c27c13eec376f2f9dba56bad
Author: Jim Evins <evins@snaught.com>
Date:	2013-10-05

    Added appdata file

M	configure.ac
M	data/Makefile.am
A	data/appdata/Makefile.am
A	data/appdata/glabels-3.appdata.xml.in
M	po/POTFILES.in

commit 3e730864d88a9dd9af9fe8ece3a9539ad15d764c
Author: Timo Jyrinki <timo@debian.org>
Date:	2013-09-23

    Finnish translation update

M	po/fi.po

commit f54e34afe43a049754cd992149eb6fd192bef228
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2013-09-20

    Updated Brazilian Portuguese translation

M	help/Makefile.am
A	help/pt_BR/pt_BR.po

commit 065065c183fe3121f76a55a82657e000836bde8d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-09-15

    Fix a broken tag in German help translation

M	help/de/de.po

commit 67bf47d1c529ad76f874d649f232ecd4f8e6f2c0
Author: Marek Černocký <marek@manet.cz>
Date:	2013-07-21

    Updated Czech translation

M	help/cs/cs.po

commit 450e436800ed173f4300a66009556149a02dad32
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-06-26

    [l10n] Updated German doc translation

M	help/de/de.po

commit 02617415fef9b490f44fc8aa54998e91a274e41c
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-06-26

    [l10n] Updated German translation

M	po/de.po

commit 36de4c460e0106357bf34919e4c085fbb00047f6
Author: Jim Evins <evins@snaught.com>
Date:	2013-06-23

    Emit selection_changed after delete_selection

    Emit selection_changed signal after a delete_selection.  Fixes bug
    where object
    editor remained active after an object was deleted.

M	src/label.c

commit 063afbdeece38750044f2462837246bb1c8346c6
Author: James Cloos <cloos@jhcloos.com>
Date:	2013-06-22

    Embed the text in the printstream as text rather that as an outline

    Fixes bug #702783.	Render text directly using pango-cairo API
    instead of
    filling text outline path.	Original patch modified to still use
    path to test
    for selection.

M	src/label-text.c

commit 48bdf0059de924880e20fc7641b7b5e6e33476dd
Author: Jim Evins <evins@snaught.com>
Date:	2013-06-20

    Add decoration to new label dialog.

    Manually added decorations back to new label dialog that have been
    deprecated
    in recent versions of Gtk.	Still need to look for proper way to
    use theming
    information to select text and background colors.

M	data/ui/new-label-dialog.ui
M	src/new-label-dialog.c

commit acb8a0c8e4ee4131b059aeb4544c4ef108dd183c
Author: Jim Evins <evins@snaught.com>
Date:	2013-06-16

    Workaround for pango kerning bug.

    Fixes bug #698777.	This is a workaround for pango-cairo bug #700592,
    which is
    a regression of bug #341481 which was originally fixed back in 2009.
    This
    workaround works by rendering the font at device scale rather than
    world scale.
    To make this work the actual font size is manually scaled
    appropriately to
    compensate for this.

M	src/label-text.c

commit e3a8b073f0f914b71279f28630f79f0cfec736e2
Author: Jim Evins <evins@snaught.com>
Date:	2013-06-15

    Reconcile object-editor glade file with 3.0.

    Reconciled object-editor glade file with 3.0 version to correct
    vertical
    packing of widgets.

    This file should probably be rebuilt to remove gtk+-2 deprecations.

M	data/ui/object-editor.ui

commit d3701e7eccee70258b7092848c5009dd1ab0a839
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2013-05-31

    l10n: Update Japanese translation

M	po/ja.po

commit 748c4120718803a54040400e074db7fd250fc813
Author: Jim Evins <evins@snaught.com>
Date:	2013-05-19

    Fixed low hanging deprecations and warnings.

M	src/color-combo-button.c
M	src/color-combo.c
M	src/field-button.c
M	src/font-combo-menu-item.c
M	src/font-combo.c
M	src/font-util.c
M	src/label-image.c
M	src/label-object.c
M	src/label-text.c
M	src/label.h
M	src/merge-text.c
M	src/mini-preview.c
M	src/str-util.h
M	src/ui-property-bar.c
M	src/view.c
M	src/window.c
M	src/xml-label.c

commit 329d5bb8abd2962e51fa76655a53357061f100bd
Author: Jim Evins <evins@snaught.com>
Date:	2013-05-14

    Fix autogen.sh that was mistakenly broken in previous commit.

M	autogen.sh

commit b78e6f1d6ef50cca053ba671dc02826e5dbba91b
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2013-04-27

    l10n: Update Japanese translation

M	po/ja.po

commit ce86b981a8a04f8d7ef26c3406a3f8d810c2361f
Author: Marek Černocký <marek@manet.cz>
Date:	2013-04-26

    Updated Czech translation

M	help/cs/cs.po

commit 090ba2cab4666137839e03b2488cbc40f0851039
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-04-18

    Updated Greek translation

M	help/el/el.po

commit d7daf5a802fdfb252d63995515ae4e930d6665a0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-04-17

    [doc] Notes about creating CSV from kaddressbook and Thunderbird

M	help/C/mergefeatures.page

commit 6d5918ace1f8d47b2a0e462d7eeaf6ad4d0220aa
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-04-16

    Added more SheetLabels templates

M	templates/sheetlabels-us-templates.xml

commit 6b7d7e831e5542b6ea3c15802fa882a42399fc15
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:	2013-04-01

    unbreak with evolution-data-server >= 3.6.0

    https://bugzilla.gnome.org/show_bug.cgi?id=685130

M	src/merge-evolution.c
M	src/merge-vcard.c

commit e4d56c40e66a1bc53974800d8fe48dd5da432878
Author: Yusuf Bolu <yusufbolu@gmail.com>
Date:	2013-03-28

    [l10n] Added Turkish translation

M	po/LINGUAS
A	po/tr.po

commit 41ce4d95a8f4ae1f071f0fd2cb3b00e8d09cb17f
Author: Marek Černocký <marek@manet.cz>
Date:	2013-03-21

    Fixed XML

M	help/cs/cs.po

commit b13952d2c74cef740f18f9a790471ade2b2b5ae9
Author: Marek Černocký <marek@manet.cz>
Date:	2013-02-19

    Updated Czech translation

M	help/cs/cs.po

commit e011f5927d44b2eca758550c72811edd30404908
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-02-02

    [l10n] Updated German translation, SourceForge bug #3601568

M	po/de.po

commit 95b8f0e2f01d09b019cb499afe296740228242e3
Author: Walter Cheuk <wwycheuk@gmail.com>
Date:	2013-01-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/LINGUAS

commit 041bbd9b5e19a527a860a9c1052ca8b73b5c7067
Author: Walter Cheuk <wwycheuk@gmail.com>
Date:	2013-01-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

C051	po/zh_TW.po	po/zh_HK.po
M	po/zh_TW.po

commit 63bf696bcc7402ca21858e9f8cb293a74c12622a
Author: Gebhard Moser <gebhard.moser@yahoo.com>
Date:	2012-12-13

    Added Avery template

M	AUTHORS
M	templates/avery-iso-templates.xml

commit a24cc21714ac2427025f1b6c67edef0984b6754d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-11-01

    Aded galician translations

M	po/LINGUAS
A	po/gl.po

commit ef295496fd140a64688d9c36d5761eddf1e90350
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2012-10-30

    Updated Greek translation

M	po/el.po

commit da5ea59a91a3a0a679ad9e84f9d9cdd03558a440
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-25

    Updated Slovenian translation

M	help/sl/sl.po

commit 7e25731ad2e921b57651e377acbf9e3decac9427
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-10-19

    Updated Spanish translation

M	help/es/es.po

commit a46132113544510803ad9c03a25010ad319e8b26
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-10-17

    Added Latvian translation

M	po/LINGUAS
A	po/lv.po

commit cf5bf48b821dd7fe62037c3d7c464c549880b7b4
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-10-17

    Dummy commit to test the itstool functionality on Damned Lies

M	po/de.po

commit eb71b33d66bf5e81d3417edce1a224efa619f505
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-10-04

    Added Sigel template

M	AUTHORS
M	templates/misc-iso-templates.xml

commit 933a3996cf531177ba200d8ce21b753033f33530
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-09-24

    Some fixes around itstool

M	help/C/about.page
M	help/C/basicusage.page
M	help/C/createnew.page
M	help/C/customize.page
M	help/C/customtemplate.page
M	help/C/editprop.page
M	help/C/index.page
M	help/C/labelprop.page
M	help/C/mancreate.page
M	help/C/merge-ex1.page
M	help/C/merge-ex2.page
M	help/C/merge-ex3.page
M	help/C/merge-ex4.page
M	help/C/merge.page
M	help/C/mergefeatures.page
M	help/C/multifile.page
M	help/C/newlabel.page
M	help/C/printfile.page
M	help/C/select.page
M	help/C/skipfields.page

commit ad8e5a2f73991152989b75f2860c31ab562c6924
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-09-23

    Fixed menu entry for the user docs

M	src/ui-commands.c

commit 431595191971940954bc843973cee1a2466cecac
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-09-23

    First try to migrate to itstool

M	Makefile.am
M	autogen.sh
M	configure.ac
M	help/Makefile.am

commit 35637bb33b5cbe5b4937cf6bd328b0d232a9d687
Author: Jim Evins <evins@snaught.com>
Date:	2012-09-22

    Fix validation problems with desktop file.

    Fixes bug #684612.	Removed png extension from Icon.  Also removed
    deprecated
    Encoding key.

M	data/desktop/glabels-3.0.desktop.in

commit 3337c1bb1a0fbe677f9aacde21dd93eea08f0bd5
Author: Jim Evins <evins@snaught.com>
Date:	2012-09-17

    Preparation for 3.0.1

M	NEWS
M	configure.ac
M	templates/Makefile.am

commit 8e726680fe879928c5f75e252f21de1a7cc51e90
Author: Hatim Ali <dr.hatim@hotmail.com>
Date:	2012-09-17

    Added Arabic translation.

M	po/LINGUAS
A	po/ar.po

commit 0bf9aa6a1022b981dad8b718ec50f466d56743bc
Author: Jim Evins <evins@snaught.com>
Date:	2012-09-07

    Fixed calculation of number of pages when printing merge jobs

    Fixes bug #680585.	Poorly placed parenthesis caused the calculation
    of the
    number of sheets to be wrong whenever starting on any label other
    than the
    first one on a page.

M	src/print-op-dialog.c

commit f07b8360fd82befbd06642b0f646325c291d5597
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-09-06

    Finnish translation update by Jiri Grönroos

M	po/LINGUAS
A	po/fi.po

commit 1e8097a4df10a4ac802efe6fd457013c6a9f55dd
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-04

    Adeed British English translation

M	po/LINGUAS
A	po/en_GB.po

commit a8c50effd6d66ee7948c4938ad062a2816239473
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2012-09-04

    Updated Russian translation

M	po/ru.po

commit 338bf28d2d9fc0b0b1950330b6a0ab5e7359433b
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2012-09-04

    Updated copyright years

M	src/ui-commands.c

commit 49471d0070c747f10dc209451b700afc142434db
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-09-04

    Updated French help translation

M	help/fr/fr.po

commit d86f08b2278658e273558beb281643ccf0e7c8d0
Author: Claude Paroz <claude@2xlibre.net>
Date:	2012-09-04

    Updated French translation

M	po/fr.po

commit 671bbb8ef104f1fb99de25cc88002dfdc7c69278
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-09-03

    Added APLI 1271 label

M	templates/misc-iso-templates.xml

commit c1885eefcdfa29126dbe814d3f0cdcfc08015469
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2012-08-12

    [l10n] Update Japanese translation

    Modify the About label

M	po/ja.po

commit d9594a085ffa6f17ea116aecbd24aa9d349c4b72
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2012-08-12

    [l10n] Update Japanese translation

    Merge latest pot

M	po/ja.po

commit 11ad1bb970c8ce47e24db76214b80f076a85470e
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:	2012-01-08

    Updated Japanese translation

M	po/ja.po

commit 7c80dbc86607edd5835419a4b6404bd0e70db1c6
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-07-24

    Added Indonesian translation to UI and User Guide

M	help/Makefile.am
A	help/id/id.po
M	po/LINGUAS
A	po/id.po

commit 0a48ec82bbe12a289c7e467af122dbe39d54e9e0
Author: Jim Evins <evins@snaught.com>
Date:	2012-07-22

    Make sure word wrap is consistent at all zoom levels.

M	src/label-text.c

commit 83977eda4a92c19f4f8ae44879d5041231b84f80
Author: Jim Evins <evins@snaught.com>
Date:	2012-07-14

    Use line spacing when automatically adjusting font size.

    Consider line spacing when automatically adjusting font size to
    keep within
    vertical dimension of bounding box.

M	src/label-text.c

commit aed8853e6e6007b9e18341da84b099a1ab9dda31
Author: Konstantinos Chortis <cograss@yahoo.com>
Date:	2012-07-12

    Updated Greek help translation

M	help/el/el.po

commit 875974e0832c9a11d046d276e32dc02d8c4a9194
Author: Konstantinos Chortis <cograss@yahoo.com>
Date:	2012-07-12

    Added Greek help translation

M	help/Makefile.am
A	help/el/el.po

commit 1f4a9a4d6e256a708581e37a77a3edd5d5c327d2
Author: Efstathios Iosifidis <diamond_gr@freemail.gr>
Date:	2012-07-12

    Added Greek translation

M	po/LINGUAS
A	po/el.po

commit 642a686f03e5be944a153f995c49e44516717a99
Author: Samuel Sieb <samuel-gnome@sieb.net>
Date:	2012-07-10

    Don't add newline when last line is an empty merge field.

    Fixes bug #679600.	Fixes problem by only prepending newlines to
    lines as they
    are added, except on the first line.

M	src/text-node.c

commit b1edca8e32ac3322dbbad5a63d2151a6092a228c
Author: Samuel Sieb <samuel-gnome@sieb.net>
Date:	2012-07-10

    Apply merge shrinkage both horizontally and vertically.

    Implements enhancement suggested in Bug #679594.  When "Allow merge to
    automatically shrink text" option is selected, allow both the
    horizontal
    and vertical dimensions of the text bounding box to trigger this
    behavior.

M	src/label-text.c

commit c691553a05723f7802f2356a3ed4d096ee1feab1
Author: Jim Evins <evins@snaught.com>
Date:	2012-07-08

    Fix font scaling problem.

    Fixes bug #679531.	Don't apply font scale twice when "Allow merge to
    automatically shrink text."  This also correctly applies font
    scale when
    line spacing is not 1.

M	src/label-text.c

commit 61788fad790e275ba45005302341c2f5d890d7ca
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-05-01

    Added Sigel template

M	templates/misc-iso-templates.xml

commit 840201bf140c77b6594485d478b6ee130c9c72e8
Author: Jim Evins <evins@snaught.com>
Date:	2012-04-21

    Removed reference to unused screenshot.

    Fixes sourceforge bug #3514704
    (http://sourceforge.net/tracker/index.php?func=detail&aid=3514704&group_id=46122&atid=445116).
    Removed reference to unused/non-existant screenshot from
    help/Makefile.am.

M	help/Makefile.am

commit f208a3c2bbb3075c13970c6795a528481ba3d506
Author: Jim Evins <evins@snaught.com>
Date:	2012-04-21

    Fix incomplete library dependencies.

    Fixes Sourcforge bug #3514704
    (http://sourceforge.net/tracker/?func=detail&aid=3514704&group_id=46122&atid=445116).
    Added missing dependencies to pkg-config files for libglabels and
    libglbarcode.

M	libglabels/libglabels-3.0.pc.in
M	libglbarcode/libglbarcode-3.0.pc.in

commit 78a98cda1a6e2673bffdf0278fc0be9dc9926a10
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2012-04-21

    Updated Danish translation

M	po/da.po

commit 4b6db420d7d21d8777c1d10738d89de16c520490
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2012-04-08

    Updated Slovenian translation

M	help/sl/sl.po

commit 2d8b64f7c2eb5ac29d1eedd1510960e0dc70ad8a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-04-08

    Added Slovenian translation

M	help/sl/sl.po

commit 05b0564b40ca1cea67f6cd14459914b39ca2c69c
Author: Marek Černocký <marek@manet.cz>
Date:	2012-03-25

    Updated Czech translation

M	po/cs.po

commit c06983885014c9cbac39796e51637a27f2f4adfc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-03-22

    Updated Spanish translation

M	po/es.po

commit 95bbe61fee30d144129f11ca842c87207f011b8a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-03-18

    Hint about the  migration from gnome-doc-utils to itstool

M	TODO

commit d8504adf1ab5e18e31ec0093e72f72993fd78452
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-03-18

    Added missing xml files to Makefile.am

M	templates/Makefile.am

commit c3f389ba22c86ca1faaaa53342c9bc43bb000a8c
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-03-18

    [l10n] Updated German translation

M	po/de.po

commit 21278df5bdb4af4c7cc6f1a56110d7c4e3bcc8a9
Author: Marek černocký <marek@manet.cz>
Date:	2012-03-18

    Added new Igepa and Rayfilm templates

A	templates/igepa-templates.xml
A	templates/rayfilm-templates.xml
M	templates/vendors.xml

commit 0a70f1cea96245c5b80edd6a65506178ac2f86bd
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-03-18

    Added missing xml files to POTFILES.in

M	po/POTFILES.in

commit e20ef8e3fe1bd88f6eb1dfb0ca2da3691b10d648
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-03-04

    Added Serbian translation

M	po/LINGUAS
A	po/sr.po
A	po/sr@latin.po

commit 094183af76ff377062bcaa213b4aeee41c23f2ec
Author: Jim Evins <evins@snaught.com>
Date:	2012-02-26

    Fix invalid schema file.

    Fixes Redhat bug 795241.  Fixes minor errors in schema file: child
    schema ids
    are incorrect.

M	data/schemas/org.gnome.glabels-3.gschema.xml.in.in

commit 8bb6ba804d0d9f91e31731451e258bb29cd6c025
Author: Jim Evins <evins@snaught.com>
Date:	2012-02-26

    More specific dependencies.

    Fixes bug 669899.  Added finer grain dependencies to libglabels and
    libglbarcode.

M	configure.ac

commit 9ebb9e62a91639b34878275a7d627ff39309326f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-02-25

    Added Desmat template

M	AUTHORS
M	po/POTFILES.in
A	templates/desmat-templates.xml
M	templates/vendors.xml

commit 3893ab23a9e7210740d5a7ccf0e3d763e11048bf
Author: Marek Černocký <marek@manet.cz>
Date:	2012-02-17

    Updated Czech translation

M	po/cs.po

commit 181df0f23155c19818b250b0c970b5f16bb51e0c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-29

    Updated Spanish translation

M	help/es/es.po

commit a8d81b84d87266d5e2513068f7f8f316352b68ac
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-29

    Updated Spanish translation

M	po/es.po

commit a608963262d9ff192259c11fd4a9a6cb88706f11
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-29

    Updated Spanish translation

M	help/es/es.po

commit 24bca86c6e0ba5f68c4cfc00fd20bd525713194f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-01-29

    Updated Spanish translation

M	help/es/es.po

commit 76079b979a047260c5a1e58887d51a27c8c2a9d5
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-29

    Added new screenshots

M	help/C/figures/merge-ex3-2.png
M	help/C/figures/print-copies.png

commit ae661707369f6cd111c5f3bb3c36d464638fc6af
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-29

    Added new screenshot

M	help/C/figures/print-merge.png

commit 91c30c10aa65b0b42e67019628837c8f851592e1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-29

    Added new screenshots to match the Adwaita style

M	help/C/figures/introduction-glabels-main-window.png
M	help/C/figures/merge-ex1-1.png
M	help/C/figures/merge-ex1-2.png
M	help/C/figures/merge-ex1-3.png
M	help/C/figures/merge-ex1-4.png
M	help/C/figures/merge-ex2-1.png
M	help/C/figures/merge-ex2-2.png
M	help/C/figures/merge-ex3-3.png
M	help/C/figures/merge-ex3-4.png
M	help/C/figures/object-editor-sidebar.png

commit 360168e7d2887b87895abcd2d58746be605bc054
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-29

    [l10n] Updated German translation

M	po/de.po

commit 3b5cfb6eef8bca1c48497f28729e8f08b3ccfbeb
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-28

    [i18n] Added missing file to POTFILES

M	po/POTFILES.in

commit 98d8954fffe00c2f48dc30d9191c0c9c27e7dba9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-28

    [l10n] Updated German translation

M	po/de.po

commit 994c8afc198c67532661c0f89f0715dd74aaddbf
Author: Gaz Davidson <gaz@bitplane.net>
Date:	2012-01-28

    Added Q-CONNECT template

M	AUTHORS
M	templates/misc-iso-templates.xml
M	templates/vendors.xml

commit 5637571945adbadaaa8861364c751ec3045b0bee
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2012-01-28

    Added acknowledgement for new templates

M	AUTHORS

commit c14f227ddafe1f623a1f9c0978b11750a6aa3ede
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-28

    Added Endisch templates

A	templates/endisch-templates.xml
M	templates/vendors.xml

commit 6b7da2b054019e900df0bd248a518a5f5a3f99cf
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-28

    Added ISO 217 paper sizes

M	templates/paper-sizes.xml

commit c821271c41201e099f1f1d491a926d1aea9c22c0
Author: James Le Cuirot <chewi@aura-online.co.uk>
Date:	2012-01-22

    New text vertical alignment feature.

    Adds vertical alignment feature for text objects.
    Added appropriate icons (evins@snaught.com).

M	data/icons/22x22/Makefile.am
A	data/icons/22x22/actions/glabels-align-text-bottom.png
A	data/icons/22x22/actions/glabels-align-text-middle.png
A	data/icons/22x22/actions/glabels-align-text-top.png
M	data/icons/24x24/Makefile.am
A	data/icons/24x24/actions/glabels-align-text-bottom.png
A	data/icons/24x24/actions/glabels-align-text-middle.png
A	data/icons/24x24/actions/glabels-align-text-top.png
M	data/ui/object-editor.ui
M	data/ui/property-bar.ui
M	src/label-object.c
M	src/label-object.h
M	src/label-text.c
M	src/label.c
M	src/label.h
M	src/object-editor-private.h
M	src/object-editor-text-page.c
M	src/object-editor.c
M	src/str-util.c
M	src/ui-property-bar.c
M	src/xml-label.c
M	templates/glabels-3.0.dtd

commit 7734f6d7687226eec5b8a475d8c3519e276c24b7
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-20

    Fixed Czech translation

M	po/cs.po

commit 087096d9b5af32da26e09295d715033f9ebb700d
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-20

    Fixed Czech translation

M	help/cs/cs.po

commit 98c1a064c999c8df492495a3b0ab58822f2c92de
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-20

    Fixed Czech translation

M	help/cs/cs.po

commit 907418a0fc402afff06945f116486f06a7a46617
Author: Jim Evins <evins@snaught.com>
Date:	2012-01-07

    Fixed Avery 5160 template.

    Fixes bug 667239.  Fixed incorrect horizontal pitch and left edge
    measurements
    for the built-in Avery 5160 template.

M	templates/avery-us-templates.xml

commit d2abdcd5f0f635091b70d85e58ed814959399f8d
Author: Marek Černocký <marek@manet.cz>
Date:	2012-01-07

    Updated Czech translation

M	po/cs.po

commit 53e301fb7807be198532340335ca66c4cd335717
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-01-04

    Updated Russian translation

M	help/Makefile.am
A	help/ru/ru.po

commit 3e9c5f5d8cbeff6e12ba18bc1705fbf822ca2ce5
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-12-28

    [l10n] Updated German translation

M	po/de.po

commit 0a0b2202aa9f849fe41951e9481ab67233cd6478
Author: Schlomo Schapiro <schlomoschapiro@users.sf.net>
Date:	2011-12-19

    Added new Avery template

M	AUTHORS
M	templates/avery-iso-templates.xml

commit 17e378b63644677ed7881cb30c864af051759329
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-27

    Added more Sheetlabels templates

M	templates/sheetlabels-us-templates.xml

commit a0261738f608c7b98281e0738e50ac67ed061900
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-11-27

    Moved Sheetlabels template to its own file

M	po/POTFILES.in
M	templates/misc-us-templates.xml
A	templates/sheetlabels-us-templates.xml

commit ae8c1d4bfaed6619ca8449cfc41a5b0f8aa9b8a6
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-11-10

    Updated Esperanto translation

M	po/eo.po

commit bc995f4694d9b4196172ab17b60eaacdb78d89b1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-10-31

    Updated Russian translation

M	po/ru.po

commit 7e7ecc846195095e0d3fa095e6f7622e3655705c
Author: Jim Evins <evins@snaught.com>
Date:	2011-10-23

    Fixed incorrect clip region for rectangular templates.

M	src/cairo-label-path.c

commit 395cf5ad4720a50a4c50022b0589e3d2785da116
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-10-16

    Updated Russian translation

M	po/ru.po

commit 47d4822c631f154f7d92d024ade753381fcbc286
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-10-08

    Updated French doc translation

A	help/fr/figures/glabels-template-cd-label.png
A	help/fr/figures/glabels-template-circle-label.png
A	help/fr/figures/glabels-template-ellipse-label.png
A	help/fr/figures/glabels-template-rect-label.png
A	help/fr/figures/introduction-glabels-main-window.png
A	help/fr/figures/merge-ex1-1.png
A	help/fr/figures/merge-ex1-2.png
A	help/fr/figures/merge-ex1-3.png
A	help/fr/figures/merge-ex1-4.png
A	help/fr/figures/merge-ex2-1.png
A	help/fr/figures/merge-ex2-2.png
A	help/fr/figures/merge-ex2-3.png
A	help/fr/figures/merge-ex2-4.png
A	help/fr/figures/merge-ex3-1.png
A	help/fr/figures/merge-ex3-2.png
A	help/fr/figures/merge-ex3-3.png
A	help/fr/figures/merge-ex3-4.png
A	help/fr/figures/object-editor-sidebar.png
A	help/fr/figures/print-copies.png
A	help/fr/figures/print-merge.png
A	help/fr/figures/skip-fields-output.png
A	help/fr/figures/skip-fields-screenshot.png
M	help/fr/fr.po

commit 4dfef01ff7629e7acf70d1eb1f5be228456100ee
Author: Bruce Dagel <bdagel@machlink.com>
Date:	2011-09-09

    Added SheetLabels label

M	AUTHORS
M	templates/misc-us-templates.xml
M	templates/vendors.xml

commit bc183301da0e6eca83d1e3d62635ead009e5c4ef
Author: Arnaud van Cortenbosch <arnaud.van.cortenbosch@ens.fr>
Date:	2011-09-09

    Added Agipa label

M	AUTHORS
M	templates/misc-iso-templates.xml

commit 9b724a1296adf22f2c38eaf5fff1ed5ca575178d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-08-26

    Updated Norwegian bokmål translation

M	po/nb.po

commit b49ec7326fbb1c56f9c587452f79ac73ae15bda4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-08-19

    [l10n] Updated German translation

M	po/de.po

commit a4e2886f44832c8f58f35313489da20fc1073b29
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-08-13

    Updated Spanish translation

M	po/es.po

commit 5166fd6aa4533de486d74937107025436a401ba0
Author: Marek Černocký <marek@manet.cz>
Date:	2011-08-09

    Updated Czech translation

M	po/cs.po

commit 9087da6d083e7dd9ad495a417958fcb7d66c39a1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-08-04

    Added missing filename to POTFILES.in

M	po/POTFILES.in

commit 7d9129105d2599a87a4b49936940c2c9248bddfe
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-07-29

    Added Microapp template

A	templates/microapp-templates.xml
M	templates/vendors.xml

commit b613b24bc2fd8aceb6a9a391529691527a33d36f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-07-23

    Updated filenamein man page

M	data/man/glabels-3.1

commit 35071c2addc324f51169de2d2b132d4f0afbdcf0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-07-18

    Updated Norwegian bokmål translation

M	po/nb.po

commit ae0f82fd1ac14890a6e3a928d66f289117eef5a0
Author: Marek Černocký <marek@manet.cz>
Date:	2011-07-04

    Updated Czech translation

M	help/cs/cs.po

commit fd3c17c7f04daa66d21624d3fcc759cb78f3c280
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-06-23

    Updated Spanish translation

M	help/es/es.po

commit 0540ee1ee8fb1b6ea4afbc6bc0d7b70585fe7c97
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-06-20

    [l10n] Updated German doc translation

M	help/de/de.po

commit 379225ae22948f662ae7b4e49bf5685e3a4c5197
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-06-20

    [l10n] Added note about multiple layout including example

A	help/C/figures/layouts-cdlabel.png
M	help/C/mancreate.page

commit fdfa831e34fd57b8b4f288f69e7deb6377fccbb9
Author: du baodao <centerpoint@139.com>
Date:	2011-05-23

    update zh_CN translation

M	po/zh_CN.po

commit ba95e14aecc5748b934c268c3c40eacaac2adf45
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-05-05

    Updated French translation

    Reapplied this commit.  I accidentally undid it when I merged the
    3.0 branch
    back onto master.

M	po/fr.po

commit 86c9519cd2ef47aeb8959f93871861c6f130818f
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:	2011-05-21

    Updated Japanese translation.

M	po/ja.po

commit 9fa49670448efc62cc3546b2c0ec25ab780f05b2
Author: Jim Evins <evins@snaught.com>
Date:	2011-05-16

    Even more preparation for 3.0.0 release.

M	README
M	configure.ac

commit 2870c062a7b8dd81da439abda69509a91398d3ac
Author: Jim Evins <evins@snaught.com>
Date:	2011-05-16

    More preparation for 3.0 release

M	NEWS
M	libglabels/lgl-xml.h
M	templates/Makefile.am
M	templates/ascom-iso-templates.xml
M	templates/databecker-iso-templates.xml
M	templates/dataline-iso-templates.xml
M	templates/geha-iso-templates.xml
R099	templates/glabels-2.3.dtd	templates/glabels-3.0.dtd
M	templates/hama-iso-templates.xml
M	templates/jac-iso-templates.xml
M	templates/misc-iso-templates.xml
M	templates/pearl-iso-templates.xml

commit ed1bd711911a456e552297967754072345ebbda2
Author: Jim Evins <evins@snaught.com>
Date:	2011-05-21

    Preparation for 3.0 release.

M	Makefile.am
M	configure.ac
M	po/fr.po

commit 29073d4b56183bcb43dc859d17e7c079482e5a63
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-05-05

    Updated French translation

M	po/fr.po

commit 6a47b5cdab899590651b0abda7ad34e9f3bcd3e5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-29

    Updated Spanish translation

M	po/es.po

commit ff1569ac39ceb866ead6394033376eff6d2bf940
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2011-04-25

    Updated Japanese translation

M	po/ja.po

commit 186d2516639549c56cb1f513932f23e08eb769bf
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/merge-ex2-1.png

commit 63747f9f9684a54cdff32474b8a228d3ab9d1d71
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/merge-ex1-1.png

commit 3307da9d369704bae244d9501975b6f90caec6c9
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/merge-ex3-1.png

commit 76ac17d3725ac4ed80e76b9c1e199ac5af80f146
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/merge-ex3-1.png

commit 1e5f1c5c5ecb5733dbfa29a9c81c68613c753c5a
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Czech screenshot

A	help/cs/figures/merge-ex3-1.png

commit b5f72ac136910eaa830b777a126c097595183df2
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech translation

M	po/cs.po

commit 43b1ee240a0eefdc0c30391d21bf0bf15fca0891
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/object-editor-sidebar.png

commit 986b010c2b29f4937ed0fa5bc4eb61704c8ac9e1
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/object-editor-sidebar.png

commit 677a726bcd9c8bcd55e573c35ba288c63c521598
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/skip-fields-screenshot.png

commit 1e9b39dad778cd4ebfac00372bd54f46e973ec09
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/skip-fields-screenshot.png

commit 15b8149e3d0c08e32554c2fe20a78eb53774cde6
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/print-merge.png

commit 6ca652b51d095de7e0eaa92bfeee0f230c3d1dca
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Updated Czech screenshot

M	help/cs/figures/print-copies.png

commit 91557a5e46e0ce14b5365212d9280d9e258141b5
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Unused Czech screenshot

D	help/cs/figures/main-window-empty.png

commit 47891355ecebefb5ae826a2a3f0dfba3a1386e63
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-22

    Czech screenshot

A	help/cs/figures/skip-fields-screenshot.png

commit 500279e89312f9ae2090a89a3feb24fc35b84c10
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-21

    Czech screenshot

A	help/cs/figures/skip-fields-output.png

commit 22acea090ca313b616ebb0c90fcf5846d3885447
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-21

    Updated Czech translation

M	help/cs/cs.po

commit e17dffc422199abd882d4448a4d8fe5672989636
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-19

    Updated Czech translation

M	help/cs/cs.po

commit bf73db190505f297c640bb76ccdde3895f613681
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-18

    Updated Czech translation

M	po/cs.po

commit edc606015a0252f66a57c332dd6524c48e2653d4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-04-17

    [l10n] Updated German translation

M	po/de.po

commit ec58a44af91d79d9be9fe63f7814327602ba5cd7
Author: Marek Černocký <marek@manet.cz>
Date:	2011-04-17

    Updated Czech translation

M	po/cs.po

commit 6141161e4a031f6b15de83379f6f690096eaa524
Author: Jim Evins <evins@snaught.com>
Date:	2011-04-16

    Reorganization of object alignment menus

    Object alignment menus have been reorganized and menu items renamed to
    remove any ambiguity as to what horizontal versus vertical alignment
    mean.  The new labels and organization attempt to be consistent with
    other graphic applications.

M	src/ui.c

commit 51b590ea08683c08ab39366970c140b1fc6f5eef
Author: Takayoshi OKANO <kano@na.rim.or.jp>
Date:	2011-04-14

    Updated Japanese translation

M	po/ja.po

commit 64d6190bf896630e8c1cafb61bd6132b3e453592
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-04-03

    Updated Spanish translation

M	help/es/es.po

commit 68d10df024493df3045b4a5ebbd88f76ddbb6f45
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-03-03

    Some corrections to the newest Kores template

M	templates/misc-iso-templates.xml
M	templates/vendors.xml

commit ae2c5aa93dcdc9f93de163c6d598373062b15669
Author: Jean-Philippe Guérard <jean-philippe.guerard@tigreraye.org>
Date:	2011-03-03

    Added Korres template

M	AUTHORS
M	templates/misc-iso-templates.xml

commit 67785b3fe46e285c80b5c312aedcda7daff29192
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-27

    Updated Spanish translation

M	help/es/es.po

commit 66d2aa8ed705bbb573571e8ea16328cfbae56731
Author: Jim Evins <evins@snaught.com>
Date:	2011-02-26

    Don't require windowing system for glabels-batch.

    Use gtk_init_check() instead of gtk_init() to initialize GTK.

M	src/glabels-batch.c

commit 7e55002270dda25fc70c379be19396f449d5aa89
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-22

    Updated Spanish translation

M	help/es/es.po

commit bd3208b5cac24a8d6f231a72ed45bb0e73d1bb6e
Author: Jim Evins <evins@snaught.com>
Date:	2011-02-21

    Modified CSV parser.

    Modified CSV parser to more closely follow the format outlined in
    RFC 4180.
    The primary difference is that quoted text cannot be embedded in
    the middle
    of a field.  I.e. the quotes (") should envelope the entire field.
    Legacy
    "escape" rules still apply.

M	src/merge-text.c

commit 61a7ec1126f33c26dcb57fb3423df70df32b8e71
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-20

    Updated Spanish translation

M	help/es/es.po

commit 92192b1e5c37f4a0d2bdf363d80d0c380c4b56a4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-20

    Updated Spanish translation

M	po/es.po

commit 7dd57e55560e8132dd9d251c640061bbfc235c32
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-14

    Added Avery template

M	AUTHORS
M	templates/avery-iso-templates.xml

commit d1ccf52d5d0ebdd533ad0692e5e375ee90444b63
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-12

    Added Merax template

M	AUTHORS
M	templates/misc-other-templates.xml
M	templates/vendors.xml

commit f9dd2935eefff13bbdcff719801feca62aa8c95a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-07

    Updated Spanish translation

M	help/es/es.po

commit 240cc08cb6b9a9350ea358fb4828f32a5001c16a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-06

    Updated Spanish translation

M	po/es.po

commit d0ec06d8c6f4ec8c3fa26fa946991aa5e904d162
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-05

    Updated Spanish translation

M	help/es/es.po

commit 8481ea582aa78a7973d8199062cb3737ad75b07e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-03

    [l10n] Added nl to DOC_LINGUAS

M	help/Makefile.am

commit f8d673a02c64aaffd27304d7b3a50cc26bf55754
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-03

    [l10n] Added initial Dutch doc translation to prevent translating
    actually untranslatable strings

A	help/nl/nl.po

commit 3840d11039df4c6834a4675d7e0a5b6a47ec5d7e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-03

    [l10n] Updated Dutch translation

M	po/nl.po

commit 3943dd1240c9a6ef449fccfd52e7302baf9c5ae4
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-02-02

    Updated French doc translation

M	help/fr/fr.po

commit 124cff7d1682058043276ce0ee4845010e25b43a
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-02-02

    Updated French Doc Translation

    Gérard Baylard and Bruno Brouard

D	help/fr/figures/main-window-empty.png
D	help/fr/figures/merge-ex1-1.png
D	help/fr/figures/merge-ex1-2.png
D	help/fr/figures/merge-ex1-3.png
D	help/fr/figures/merge-ex1-4.png
D	help/fr/figures/merge-ex2-1.png
D	help/fr/figures/merge-ex2-2.png
D	help/fr/figures/merge-ex2-3.png
D	help/fr/figures/merge-ex2-4.png
D	help/fr/figures/object-editor-sidebar.png
D	help/fr/figures/print-copies.png
D	help/fr/figures/print-merge.png
M	help/fr/fr.po

commit 0bd38baa90a0f44b58d90bb4c02abd73b84f0f51
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-01-29

    [l10n] Updated German translation

M	po/de.po

commit ddbff2b17acd43e4e9c67a40158c4d884a8d611e
Author: Marek Černocký <marek@manet.cz>
Date:	2011-01-29

    Updated Czech translation

M	po/cs.po

commit 94e5539014882d3974c84eef6b2fa13acf60dbe1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-27

    Updated Spanish translation

M	help/es/es.po

commit 63cb045c9cc3abbe2af6a62166b891a417ce17f8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-27

    Updated Spanish translation

M	po/es.po

commit c839157ab3638b4935a8a4021855515d83b07f2b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-01-26

    Added acknowledgement for template submission

M	AUTHORS

commit 714ed64ebe1bef13073168e78b9a9a86bb2588dc
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-01-26

    Added Brother template, changed obsolete part numbers

M	templates/brother-other-templates.xml

commit cb3d9f9aa69b717f6f6d2870b2eb7aa9bc37215a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-19

    Updated Spanish translation

M	help/es/es.po

commit 6c28e77fb42ad477370cdd4e104c2a05981951f3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-16

    Updated Spanish translation

M	po/es.po

commit ebe69bb2755eef349159e9ccfbdc34c1906038e1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-13

    Updated Spanish translation

M	help/es/es.po

commit 69517f49cd41645693dc186f791a7a32203d92ba
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-01-08

    Added Dutch translation by Mario Blättermann and Hannie Dumoleyn

M	po/LINGUAS
A	po/nl.po

commit 9b82ba17efaef7634a4be9fef0dd90313ed8e3b1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-06

    Updated Spanish translation

M	help/es/es.po

commit 87b856938c42a25544aa0d7fcc93ad34f008e935
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-01-03

    Updated Spanish translation

M	help/es/es.po

commit b4de56df5fa411a7e79333ab4df8e3f2422be099
Author: Jim Evins <evins@snaught.com>
Date:	2011-01-03

    More preparation for 2.3.1

M	NEWS

commit bb1bd1a68c5d188ccad3c0fd49a65b5d57566e96
Author: Claude Paroz <claude@2xlibre.net>
Date:	2011-01-02

    Updated French translation

M	po/fr.po

commit 4d5ca3f941c77b9a2a8829dd6748e3a063072317
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2011-01-02

    Updated Danish translation

M	po/da.po

commit 40710db147d8b45e7aea4fe050bf0fec909e80ba
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-01-02

    [l10n] Updated German doc translation

M	help/de/de.po

commit 8fe15148b83c12d1f67631198edc1d83393f1b99
Author: Jim Evins <evins@snaught.com>
Date:	2011-01-01

    Preparation for 2.3.1

M	configure.ac

commit 378e18ebc7c08075fa0d66abc136335d9d1ab4dd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-29

    Updated Spanish translation

M	help/es/es.po

commit 677ce8eedc473d132ca15fef0e92d8d7dcfe1003
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-27

    Some cleanup of built-in barcode code.

    - Validate data rather than filtering it into something canonical
    - Reconcile style and design patterns between all built-in backends

M	libglbarcode/lgl-barcode-code39.c
M	libglbarcode/lgl-barcode-onecode.c
M	libglbarcode/lgl-barcode-postnet.c

commit e23b1e0e460896905eed8c4c8c1ce7dc4a06b6d6
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-12-27

    Update Czech translation by Marek Cernocky

    Reviewed by Petr Kovar.

M	po/cs.po

commit 73897c1e98299fff6a935757ede72b32cb838637
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-26

    Updated help screenshots.

    Updated screenshots in help to be consistent with current development
    version of glabels.  Updated help text to be consistent with the new
    screenshots.

M	help/C/editprop.page
M	help/C/figures/introduction-glabels-main-window.png
D	help/C/figures/main-window-empty.png
M	help/C/figures/merge-ex1-1.png
M	help/C/figures/merge-ex1-2.png
M	help/C/figures/merge-ex1-3.png
M	help/C/figures/merge-ex1-4.png
M	help/C/figures/merge-ex2-1.png
M	help/C/figures/merge-ex2-2.png
M	help/C/figures/merge-ex2-3.png
M	help/C/figures/merge-ex2-4.png
A	help/C/figures/merge-ex3-1.png
A	help/C/figures/merge-ex3-2.png
A	help/C/figures/merge-ex3-3.png
A	help/C/figures/merge-ex3-4.png
M	help/C/figures/object-editor-sidebar.png
M	help/C/figures/print-copies.png
M	help/C/figures/print-merge.png
M	help/C/merge-ex1.page
M	help/C/merge-ex2.page
M	help/C/merge-ex3.page

commit 2fde09a614399ab805e94b036ac367beaa5a16c9
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-24

    Fix crash when encountering an invalid barcode backend

    A file may have been saved from an instance of glabels that had
    a backend
    enabled that is not enabled in the current instance of glabels.
    This fix
    accounts for this.	It is also possible that the glabels file
    was created
    manually with an invalid backend ID or a typo.

M	src/bc-backends.c
M	src/bc-backends.h
M	src/xml-label.c

commit a0156d27b51928bea9acda121ab616a571b47836
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-24

    Updated Spanish translation

M	help/es/es.po

commit 4967753a46173c4123e9cd958b2d1af0076be352
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-24

    Updated Spanish translation

M	po/es.po

commit fb9fc961547a370f916b4a263d8ecca3d39077d4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-23

    Some ideas for the future

M	TODO

commit 1df0cd9751734cc89f71f849ecb434f8804633c1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-23

    Updated Spanish translation

M	help/es/es.po

commit cfd6986162064bb23ef223372735c9dfc2b140a7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-23

    Updated Spanish translation

M	po/es.po

commit 78173bdf8d3a32bb7d7c01567c47a3c0a7200f57
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-22

    Updated Spanish translation

M	help/es/es.po

commit 3d0f7724236b654adf326a926837428bba8d09d0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-22

    Updated Spanish translation

M	po/es.po

commit 91dae28aba1ee42a015a2d5594d6f916affaa957
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-22

    Added Dataline templates

M	templates/dataline-iso-templates.xml

commit c88852dd70f0ac735515cc9cc26ab1803a257832
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-22

    Added JAC templates

M	po/de.po
M	templates/jac-iso-templates.xml

commit 4d3bc4e4a59890004ec9d0eb7964e37f26813208
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-21

    [l10n] Updated German translation

M	po/de.po

commit 3f0a08e40ffb1efa553a8cfd3fdf55cb1f821c98
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-21

    Added Hama templates. Hama is now fully covered.

M	templates/hama-iso-templates.xml

commit 7db09dd9f349eba5e276fe0f2c4795339320504e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-20

    Removed comment which prevents intltool from running properly

M	templates/meritline-us-templates.xml

commit 4a60da1dfe64df62cc7b8b01d709deeb893b1a5f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-20

    Added Meritline templates

M	po/POTFILES.in
M	templates/Makefile.am
A	templates/meritline-us-templates.xml
M	templates/misc-us-templates.xml

commit 8c1f05cfb999c20d1cc8821fa60d8ad68568ba9c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-20

    Moved Dataline template to its own file

M	po/POTFILES.in
M	templates/Makefile.am
A	templates/dataline-iso-templates.xml
M	templates/misc-iso-templates.xml
M	templates/vendors.xml

commit 554266756a638ad0ee161decfe07bb86b8bc4b3f
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-19

    Fix vertical expansion of various widgets

    Gtk3 has new behavior for expansion of widgets. This commit turns
    off vertical
    expansion for various widgets created with builder UI files.
    These properties
    have been added manually to these files, so they could be easily
    wiped out
    by editing them with glade.

M	data/ui/object-editor.ui
M	data/ui/print-op-dialog-custom-widget.ui

commit 4f37ea189b9cc80ef25d608c024273a345970722
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-19

    Some coding style cleanup.

M	libglabels/lgl-template.h
M	libglabels/lgl-units.h
M	libglbarcode/lgl-barcode-render-to-cairo.c
M	libglbarcode/lgl-barcode.h
M	src/bc-builtin.c
M	src/bc-gnubarcode.c
M	src/bc-iec16022.c
M	src/bc-iec18004.c
M	src/bc-zint.c
M	src/color-combo-button.c
M	src/color-combo-color-menu-item.c
M	src/color-combo-menu.c
M	src/color-combo.c
M	src/color-history-model.c
M	src/color-swatch.c
M	src/debug.h
M	src/field-button-menu.c
M	src/field-button.c
M	src/font-combo-menu-item.c
M	src/font-combo-menu.c
M	src/font-combo.c
M	src/font-history-model.c
M	src/font-sample.c
M	src/label-barcode.c
M	src/label-box.c
M	src/label-ellipse.c
M	src/label-image.c
M	src/label-line.c
M	src/label-object.c
M	src/label-object.h
M	src/label-text.c
M	src/label.c
M	src/media-select.c
M	src/merge-evolution.c
M	src/merge-properties-dialog.c
M	src/merge-text.c
M	src/merge-vcard.c
M	src/merge.c
M	src/merge.h
M	src/message-bar.c
M	src/mini-label-preview.c
M	src/mini-preview.c
M	src/new-label-dialog.c
M	src/object-editor.c
M	src/prefs-dialog.c
M	src/prefs-model.c
M	src/print-op-dialog.c
M	src/print-op.c
M	src/print.c
M	src/template-designer.c
M	src/template-history-model.c
M	src/ui-property-bar.c
M	src/ui-sidebar.c
M	src/view.c
M	src/view.h
M	src/wdgt-chain-button.c
M	src/window.c
M	src/xml-label.h

commit 791f29c01c646eaebc443c5220405d399b6082cb
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-18

    Coding style cleanup.

M	libglabels/lgl-category.c
M	libglabels/lgl-category.h
M	libglabels/lgl-db.c
M	libglabels/lgl-paper.c
M	libglabels/lgl-paper.h
M	libglabels/lgl-str.c
M	libglabels/lgl-template.c
M	libglabels/lgl-template.h
M	libglabels/lgl-units.c
M	libglabels/lgl-units.h
M	libglabels/lgl-vendor.c
M	libglabels/lgl-vendor.h
M	libglabels/lgl-xml-category.c
M	libglabels/lgl-xml-paper.c
M	libglabels/lgl-xml-template.c
M	libglabels/lgl-xml-template.h
M	libglabels/lgl-xml-vendor.c
M	libglabels/lgl-xml.c
M	libglabels/lgl-xml.h

commit 5c6f4d559896d7290d8877651d60010eefc1c6bb
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-18

    Renamed libglabels source files to have "lgl-" prefix.

    Improve odds that source files (headers in particular) remain
    unique.

M	docs/libglabels/libglabels-3.0-sections.txt
M	libglabels/Makefile.am
R096	libglabels/category.c	libglabels/lgl-category.c
R095	libglabels/category.h	libglabels/lgl-category.h
R099	libglabels/db.c libglabels/lgl-db.c
R097	libglabels/db.h libglabels/lgl-db.h
R097	libglabels/paper.c	libglabels/lgl-paper.c
R096	libglabels/paper.h	libglabels/lgl-paper.h
R098	libglabels/str.c	libglabels/lgl-str.c
R094	libglabels/str.h	libglabels/lgl-str.h
R099	libglabels/template.c	libglabels/lgl-template.c
R099	libglabels/template.h	libglabels/lgl-template.h
R098	libglabels/units.c	libglabels/lgl-units.c
R096	libglabels/units.h	libglabels/lgl-units.h
R096	libglabels/vendor.c	libglabels/lgl-vendor.c
R095	libglabels/vendor.h	libglabels/lgl-vendor.h
R097	libglabels/xml-category.c	libglabels/lgl-xml-category.c
R092	libglabels/xml-category.h	libglabels/lgl-xml-category.h
R097	libglabels/xml-paper.c	libglabels/lgl-xml-paper.c
R092	libglabels/xml-paper.h	libglabels/lgl-xml-paper.h
R099	libglabels/xml-template.c	libglabels/lgl-xml-template.c
R094	libglabels/xml-template.h	libglabels/lgl-xml-template.h
R096	libglabels/xml-vendor.c libglabels/lgl-xml-vendor.c
R092	libglabels/xml-vendor.h libglabels/lgl-xml-vendor.h
R099	libglabels/xml.c	libglabels/lgl-xml.c
R096	libglabels/xml.h	libglabels/lgl-xml.h
M	libglabels/libglabels-private.h
M	libglabels/libglabels.h
M	po/POTFILES.in

commit a20a5bbf88612bd6ef88e7eeb022fca824905da8
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-18

    Fixed potential memory leak.

M	libglbarcode/lgl-barcode-code39.c

commit 429d875df7f9ed902b5a15d017e37eef49336326
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Updated Southworth template

M	templates/misc-us-templates.xml

commit 38e921a6bcc6a016accbdb6337f26df5244c4e62
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Updated Sigel template

M	templates/misc-iso-templates.xml

commit 303ba997361a9d120a4cb91246811e7f9502bcba
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Added Sigel template

M	templates/misc-iso-templates.xml

commit 39b99eeb9bc19230899c9bc7014198f8bfebe1c6
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Added note about DECAdry templates

M	templates/decadry-iso-templates.xml

commit 5dcf1c0c74a81c457207ce1ddfa7768a70e7c5ff
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Added a product_url

M	templates/misc-us-templates.xml

commit 1a5eccae2505e61059f59be8774b252548a6491c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Added Ascom templates

M	templates/ascom-iso-templates.xml

commit 3bcf37e19f90aaa61ae5a0b2092583c438c4973e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Added Ascom file

A	templates/ascom-iso-templates.xml

commit 2b1ed215968487da9ac7c0ceb7123028a8729b6e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-17

    Moved Ascom template to its own file

M	po/POTFILES.in
M	templates/Makefile.am
M	templates/misc-iso-templates.xml

commit ac9f784be20aa4878cf45ceefb7f9a6d23568301
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-15

    Updated Spanish translation

M	po/es.po

commit 01be49583ebeab6d38905fd6c08e6db614bdcdba
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-13

    Added Herma templates

M	templates/herma-iso-templates.xml

commit 1c923cfa68fb0277fd732fa870ca89a67916d21a
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-12

    [l10n] Updated German translation

M	po/de.po

commit 4ebb369584f6ae3efa6db7a95b32514c1cfa00e4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-12

    Added hint about Ascom labels

M	templates/misc-iso-templates.xml

commit ed47bfc6fecd57b6db3b1f1903c4dd60925a6cb7
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-12

    Added Ascom URL

M	templates/vendors.xml

commit 86b68f3318b926e1873bd5832b932975368bc11a
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-11

    Cleanup of ui files.

    Regenerated ui files using glade from jhbuild.

M	data/ui/media-select.ui
M	data/ui/merge-properties-dialog.ui
M	data/ui/new-label-dialog.ui
M	data/ui/object-editor.ui
M	data/ui/prefs-dialog.ui
M	data/ui/print-op-dialog-custom-widget.ui
M	data/ui/property-bar.ui
M	data/ui/template-designer.ui

commit 5860b2b1dc85039d79a40502c2b3fa7e4843d7ee
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-11

    Updated Spanish translation

M	po/es.po

commit 0e29ea75a7daf3d3b1adc40aa5348adbdafc428c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-11

    Make all g_warning and g_message untranslatable

M	libglabels/template.c
M	libglabels/xml-template.c

commit 8963061c3080ead1a2000f829d506f6d510943bf
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-10

    Disconnect prefs changed callback when destroying view.

    This fixes a crash when changing prefs after deleting a window.

M	src/view.c

commit c6ccdd681e8f32471c0cb51030869416d7534d45
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-10

    Removed duplicate template

M	templates/herma-iso-templates.xml

commit 4f12b28e6f0d77a360b74ee57db15612cafbf098
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-10

    Make all g_warning and g_message untranslatable for better bug
    handling

M	src/merge-evolution.c
M	src/xml-label-04.c
M	src/xml-label.c

commit 5bd9bc4fc3b3ab019b8e290d7ae48bd3a63cd320
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-09

    Cleanup some '-Wall' warnings.

M	libglabels/db.c
M	src/color-swatch.c
M	src/font-sample.c
M	src/label-barcode.c

commit 90b87092927aa6b706a7a220b81cf8ef14e81e48
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added more Herma templates

M	templates/herma-iso-templates.xml

commit d1e3f397bb25c41ee43584c7929a3d976b9dbdae
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    [l10n] Updated German translation

M	po/de.po

commit 318d394fed4e29e0793d3467f057b850185a28b8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added more Hama templates

M	templates/hama-iso-templates.xml

commit bc208ecf065133508b0d121ce3aab2bd2d4c3df2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added missing underscore

M	templates/jac-iso-templates.xml

commit 345ff45db2e8c21a4e8df1243ae96960cd46e49a
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    [l10n] Updated German translation

M	po/de.po

commit 9eaaa7570f8290b890f546f4c20625fe2f50dd44
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added more Hama templates

M	templates/hama-iso-templates.xml

commit f8a50b04009496d09fabfb418e91ae15c648c38d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Fixed bug in Geha templates

M	templates/geha-iso-templates.xml

commit 2ebcd4192a7fcb70e4b0a778b3902c4e524af991
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    [l10n] Updated German translation

M	po/de.po

commit 2edf2ba85b43199407eea3a1421b9c5d6ea0a4bd
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added some equivalent templates

M	templates/hama-iso-templates.xml

commit 4bd003abfb60e80544e6d824dfccf2d7cbc1ac2a
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added more Hama products, added a new category »photo« and assigned
    it to some products

M	help/C/mancreate.page
M	templates/categories.xml
M	templates/geha-iso-templates.xml
M	templates/hama-iso-templates.xml
M	templates/pearl-iso-templates.xml

commit 36f4649ebd535aae1cbeb43553d04434fc1d806f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added Hama template page

A	templates/hama-iso-templates.xml

commit 0c6ebf2102d079a4480ba06aaf1842f71e1a234a
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Initial page for Hama templates

M	po/POTFILES.in
M	templates/Makefile.am
M	templates/jac-iso-templates.xml
M	templates/vendors.xml

commit a125051c16605b2247acd7b539897c491e296edd
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added hint about data for creating Geha templates

M	templates/geha-iso-templates.xml

commit e9f7e82b1c50b54c3556db73c2d0d240ffb91171
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    [l10n] Updated German translation

M	po/de.po

commit f79686873af4021a7c794e5830c9ae08f81bf0f8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added missing underscores for translations

M	templates/geha-iso-templates.xml

commit 39731183520b9da4382589c8857cba02190c1450
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added new Geha template. All current Geha templates are now present.

M	templates/geha-iso-templates.xml

commit c89c44f2580acde5cf1f00ac0ea3d21c04de9b9c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Added lost OMF file again

A	help/glabels.omf.in

commit f5c5ab05261c857f5c5730dab51a47e06c3890f9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    Reorganized the PEARL templates

M	templates/pearl-iso-templates.xml

commit ddcfb2dc3030a9fd3a3baf31b7c044b3ee5ce842
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-09

    [l10n] Updated German doc translation

M	help/de/de.po

commit 81d3f3f11939e6feba33cfe6db56529e2ed7f2fd
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-07

    Cleanup of "Manually creating new templates" page.

M	help/C/mancreate.page

commit 02525ecebbfac77a732cf30354f00da86a10aef1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-07

    Removed duplicate meta tag

M	templates/geha-iso-templates.xml

commit eac7f6ae1d9aa4059d7f5955fa7be1627d5b3170
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-07

    [l10n] Updated German translation

M	po/de.po

commit 9429e4d84e437e5996e4f9d3841eb98fca91f567
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-07

    Added more Geha templates

M	templates/geha-iso-templates.xml

commit 0dc2f0a1cfcef51429248c80522723a1a5a0b71b
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-07

    Optimize loading of barcode styles.

    Only load barcode styles into object editor combo box if backend
    ID has
    changed.  Otherwise, skip loading.	This seems to be a very expensive
    operation and would manifest itself as sluggish resizes of barcodes.

M	src/object-editor-bc-page.c
M	src/object-editor-private.h
M	src/object-editor.c

commit 01b6f0b41fc8ab4f24f3bbb49daeb9d537c53189
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-07

    Some optimization of barcode updates.

    Keep a cached copy of the display glBarcode, so that it does not
    need to be
    regenerated on every update.

M	src/label-barcode.c
M	src/label-object.c
M	src/label-object.h

commit c64827154b26e3cae7ba3f60e175ca38e242e2bd
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-07

    Optimized the handling of moved objects.

    Created a separate "moved" signal for objects, so that we don't
    waste time
    updating unrelated controls in the object editor.  This currently
    is most
    visible with barcode objects.

M	src/label-object.c
M	src/label-object.h
M	src/label.c
M	src/object-editor.c

commit 6e818159dd6c0f7107c9ecac8fcebb44bdbb1ad4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-06

    Added missing filename to POTFILES.in

M	po/POTFILES.in

commit 1be777aae8bae2c1119b0cb5829f2da801548e45
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-06

    Added more Geha templates

M	templates/geha-iso-templates.xml

commit 63ac5e48f813c53f5b3b8bf698ae01c72daa9be3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-06

    Moved Geha template to its own file

M	templates/Makefile.am
A	templates/geha-iso-templates.xml
M	templates/misc-iso-templates.xml

commit 4b278cb83e512bdc271373e152018f17e980baae
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-05

    Created smaller logo for manual title.

M	help/C/figures/glabels-logo.png

commit cd75de36caeb263c82800231e2510f1cabadc04c
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-05

    Cleanup of some documentation artifacts.

    - Removed omf file from help/.
    - Removed docs/libgl*/tmpl/libgl*-unused.sgml which are automatically
    generated.
    - Removed documentation refs to lgl_db_get_template_list_unique()
    which has
      been recently removed from libglabels.
    - Updated .gitignore.

M	.gitignore
M	docs/libglabels/libglabels-3.0-sections.txt
M	docs/libglabels/tmpl/db.sgml
D	docs/libglabels/tmpl/libglabels-3.0-unused.sgml
D	docs/libglbarcode/tmpl/libglbarcode-3.0-unused.sgml
D	help/glabels-3.0.omf.in
M	libglabels/db.c

commit 60519e8f9b7be15d5988b03c1a95cea45ca00657
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-05

    [l10n] Updated German doc translation

M	help/de/de.po

commit 4e51ab44ec19ac818a5b8d36f2720d1469c20f7c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-05

    Updated Spanish translation

M	help/es/es.po

commit 5bdab116303bdcdc011657030a3813c364e319ed
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-05

    Fixed wrong template numbers

M	templates/herma-iso-templates.xml

commit 350bb1773bd34fb92c111e231d774ea173615594
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-04

    Search both ~/.glabels and ${XDG_CONFIG_HOME}/libglabels/templates.

    Keep ~/.glabels as an alternate location for user defined templates.
    This
    directory would hold manually created templates as well as template
    designer
    templates from previous versions.  The new template designer will
    manage
    its templates in ${XDG_CONFIG_HOME}/libglabels/templates.

M	libglabels/db.c
M	libglabels/template.c
M	libglabels/xml-template.c

commit f20a898ceef00151fd13afbf04c6961cff39ffe9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-04

    Added namespace declaration

M	help/C/mancreate.page

commit ff2e814d1014d59ee701a8d6f47df81fe782eeb4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-04

    Added its: to the untranslatable strings

M	help/C/mancreate.page

commit d086e015fc2e516ac10bcf2915e36164acf03afa
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-04

    Added markup for non-translatable items

M	help/C/mancreate.page

commit 9f338207d5ec3a847a65d191c44e78055b3983df
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-04

    Removed artifact of template aliases.

M	libglabels/db.c
M	libglabels/db.h
M	src/mini-preview-pixbuf-cache.c

commit dc41a686c30e7e80eb3e54cacba4c2af94e678f8
Author: Jim Evins <evins@snaught.com>
Date:	2010-12-03

    Add some selection slop to barcode and text objects

    Add a 4 pixel slop area around barcode lines and text glyphs in
    object_at
    methods of barcode and text objects.  This will hopefully make
    selecting
    these objects less frustrating while still allowing selection of
    background
    objects through the negative space of these objects.

M	src/label-barcode.c
M	src/label-text.c

commit 17fbc0ff3528298065c3df6dce0f38bfd8972899
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-02

    Updated Spanish translation

M	help/es/es.po

commit 952e6c14ad7a544a6bf820801fa40fb7b6b222b2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-12-02

    Updated Spanish translation

M	help/es/es.po
M	po/es.po

commit ffaf06a95c635ef26335da26d63a74511068e03c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-02

    [l10n] Some cleanup

M	help/de/de.po

commit c3ef406eccdd4eb9d6e5651c72766a0292ab1d57
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-02

    [l10n] Updated German doc translation

M	help/de/de.po

commit cccabeafc0c73e4ec1698bb9569f03621a58af71
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-02

    Fixed typo

M	help/C/multifile.page

commit 5f1338e0bb4df1ac40b26b89c6c49a319de94287
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-02

    Made email links clickable

M	help/C/about.page
M	help/C/mancreate.page

commit 3e42b1117fb1c4251a22873436412f9e07c5e7c1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-01

    [l10n] Updated German doc translation

M	help/de/de.po

commit 4ea2ba2bcf00a753ee4e061af1bd8b02742f6753
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-01

    Added note about available categories

M	help/C/mancreate.page

commit cae9d526245a50b945404d0fffa4722a33323a0b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-01

    Added new template equivalents again

M	templates/herma-iso-templates.xml

commit 6dc9e7bcbac90c94e3af34eabcabe08e3abeceb5
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-12-01

    Added new template equivalents

M	templates/herma-iso-templates.xml

commit a82d4a9a8badd982f39b0a16b52c1459c3604390
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-30

    [l10n] Updated German translation

M	po/de.po

commit 5447097d6fb8b640873327611f607f1fbab82bb6
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-30

    Added new category and assigned some templates to this category

M	templates/categories.xml
M	templates/pearl-iso-templates.xml

commit ace7ef5e6b10569d736ad2cdf4718b6aeab5198c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-30

    [i18n] Added new templates and some cleanup

M	templates/herma-iso-templates.xml

commit 1c5a40ac06c7fd9f809974784c83205af2890a38
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-30

    [i18n] Added new templates

M	templates/herma-iso-templates.xml

commit 0dfe4457223fae2d4b21c758fde905d4f8e78ea3
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-28

    Fixed malformed XML file.

M	templates/misc-iso-templates.xml

commit 043939ac8cf4396319cec17b871d9f4c891a34ab
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-27

    Added more templates

M	templates/herma-iso-templates.xml

commit f3c77ad8a3482627572448d65df2e756763c9e90
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-27

    Moved DataBecker templates to their own file, added one more template

M	po/POTFILES.in
M	templates/Makefile.am
A	templates/databecker-iso-templates.xml
M	templates/misc-iso-templates.xml

commit d48275b51809ebfc4aa926e311470e0d8032e067
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-27

    Added URL tooltips to links.

M	src/new-label-dialog.c

commit 30916207aa15fde60417267c059340d88a193602
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-27

    Updated Spanish translation

M	help/es/es.po

commit ec3dbcf7eaf48d6f9ec266075fdf67d54011c23f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-27

    Updated Spanish translation

M	po/es.po

commit f8095371bfa8914605162aa3ea34fd99cd4ad8cc
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-27

    Improve selection of barcode objects.

    Allow selection of barcode objects by clicking on the alternate
    text when
    a valid barcode cannot be displayed.

M	src/label-barcode.c

commit 7c8701b3c9063510e362d8a0a786976ddca570e7
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-26

    Fixed problem with creation of 1st barcode, again.

    Previous fix only temporarily masked the problem.  The problem is that
    the first time the barcode tabs are made visible, the digits spin
    button
    would emit a "changed" signal.  The fix is to connect to the
    "value-changed"
    signal instead.

    This commit also includes replacing the stop_signals flag with
    explicit
    signal blockers.

M	src/object-editor-bc-page.c
M	src/object-editor-data-page.c
M	src/object-editor-fill-page.c
M	src/object-editor-image-page.c
M	src/object-editor-line-page.c
M	src/object-editor-lsize-page.c
M	src/object-editor-position-page.c
M	src/object-editor-private.h
M	src/object-editor-shadow-page.c
M	src/object-editor-size-page.c
M	src/object-editor-text-page.c
M	src/object-editor.c

commit c0905027d4dd2667ed738c6679fdf657e9d4cf40
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-26

    [l10n] Updated German translation

M	po/de.po

commit ab4e9596763ea64304efc2fe962344b5cc61587c
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-26

    Added note to template designer.

    Added note to template designer about the possibility of more
    than 2 layouts.

M	data/ui/template-designer.ui

commit aae747108292ab75611e891ffecfcad89382ccdc
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-26

    [l10n] Updated German translation

M	po/de.po

commit ed3c4f8c1e2df4b740698425a15a3ad8080c5335
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-26

    Added Sattleford VM-6084 label, added new category for elliptical
    labels

M	templates/categories.xml
M	templates/pearl-iso-templates.xml

commit 63396b3df293ba68fbe6a2507b97e74201c1794f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-26

    Added more vendor definitions and URLs

M	templates/vendors.xml

commit 3cae5b04317e8b1ad5069bee713254b5c4f51125
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-26

    [l10n] Updated German translation

M	po/de.po

commit 30419b26c459fd1a9339c1c8a0341fc43ea7308f
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-25

    Cleanup of build system.

    - 'make distcheck' is now successful
    - Removed several old artifacts

M	.gitignore
M	Makefile.am
M	configure.ac
M	data/desktop/Makefile.am
M	data/mime/Makefile.am
M	po/POTFILES.in
A	po/POTFILES.skip
M	src/Makefile.am

commit f9d15efd6543ae69c821010751ef960d97877349
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-25

    Remove deprecated alias node support for templates.

    Removed support for the "Alias" node in templates.	For backwards
    compatibility alias nodes will be skipped over.  This greatly
    simplifies
    the iteration through the template database, since all templates are
    fully realized.

M	docs/libglabels/libglabels-3.0-sections.txt
M	docs/libglabels/tmpl/db.sgml
M	docs/libglabels/tmpl/libglabels-3.0-unused.sgml
M	docs/libglabels/tmpl/template.sgml
M	help/C/mancreate.page
M	libglabels/db.c
M	libglabels/template.c
M	libglabels/template.h
M	libglabels/xml-template.c
M	src/mini-preview-pixbuf-cache.c
M	templates/glabels-2.3.dtd

commit 5003bd33e74c1de3fbe3dd7b5b206aff61f78658
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-25

    Cleanup of template database.

    - Alphabetized the templates in the misc-*-templates.xml files.
    - Replaced the last of the deprecated "Alias" tags.
    - Added TODO comments for questionable part #s and vendors.

M	templates/avery-iso-templates.xml
M	templates/misc-iso-templates.xml
M	templates/misc-other-templates.xml
M	templates/misc-us-templates.xml

commit 79dbb3d7444f6fc13d114dbf4cc7070ced271398
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-24

    Cleanup of template database.

    - Moved "DECAdry" templates to their own file.
    - Replaced some deprecated "Alias" tags.

M	po/POTFILES.in
M	templates/Makefile.am
M	templates/avery-iso-templates.xml
A	templates/decadry-iso-templates.xml
M	templates/misc-iso-templates.xml
M	templates/zweckform-iso-templates.xml

commit 71819034a8140dcad8731d9095f018d683b27340
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-24

    Cleanup of template database.

    - Moved "Herma" templates to their own file.
    - Replaced some deprecated "Alias" tags.

M	po/POTFILES.in
M	templates/Makefile.am
M	templates/avery-iso-templates.xml
A	templates/herma-iso-templates.xml
M	templates/misc-iso-templates.xml
M	templates/zweckform-iso-templates.xml

commit 9c7681dc51320c27dab08bea3f89c3fbc45946a4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-22

    Added new template file to POTFILES.in

M	po/POTFILES.in

commit f5cfd2233e03d2d2b0d3f4fee300ad3da2f9ca17
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    Added new template file to Makefile.am

M	templates/Makefile.am

commit 3b110fd933a9ab9f666b74e22af9c33827c23a4e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    Removed product_url from JAC templates and added it to vendors.xml

M	templates/jac-iso-templates.xml
M	templates/vendors.xml

commit 6971f7336af7c5dbfa3fd6a329e7e483983915b2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    Fixed misplaced tags in JAC templates

M	templates/jac-iso-templates.xml

commit 0a8ecfa00185f5cd5a90a01955e26870b48169bf
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    Moved JAC templates to their own file

A	templates/jac-iso-templates.xml
M	templates/misc-iso-templates.xml

commit 702554106de4ada46d566028a0f768ed6582e88b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    [l10n] Updated German doc translation

M	help/de/de.po

commit 0586a73c43cda8e82f0198e61164d86b15391452
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-21

    [l10n] Updated German translation

M	po/de.po

commit 2391bd0de7d31abc0a3bb5bdf95ae6481e4275eb
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-21

    Added confirmation dialog to custom template delete button.

M	src/media-select.c

commit a35071a7dd2b561b6cf479c46639fa62fbefb045
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-20

    Fixed problem with creation of 1st barcode.

    A change signal is apparently being delayed until the actual widget is
    being realized as a result of the gtk_widget_show of the object editor
    notebook.  The proper fix is to use actual signal blockers rather than
    the simple "stop_signals" flag, since the flags assume callbacks are
    always called inline rather than being called asynchronously.

M	src/object-editor-bc-page.c
M	src/object-editor.c

commit 860dea63a5a9389d42605bc759892428ad3e94d2
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-20

    Removed pre-libglbarcode artifacts.

M	po/POTFILES.in
D	src/bc.c
D	src/bc.h

commit 86f26962cab620b73bdf6f42dcd9ebb31e58ab82
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-20

    Updated Spanish translation

M	help/es/es.po
M	po/es.po

commit 3d7aa37f0eba1c52a959e07b4e53efb8377b838a
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-18

    Documentation cleanup.

    Bug sf#3110768: duplicate choice in editprop.page.
    Bug sf#3110794: incorrect wording in customize.page.
    Bug sf#3110801: incorrect wording in customize.page.
    Bug sf#3110918: docbook artifacts in link tags in createnew.page.
    Bug sf#3110930: misplaced <credit></credit> tags in about.page.
    Bug sf#3111019: spelling mistake in editprop.page.

M	help/C/about.page
M	help/C/createnew.page
M	help/C/customize.page
M	help/C/editprop.page

commit b1fd31ae78a8dd346fb48d7f7588274b68820179
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-16

    Cleanup of mancreate.page.

    Bug sf#3110232: Remove docbook artifacts (replaced docbook tags w/
    mallard tags.
    Bug sf#3110286: Fixed cut&paste error.
    Bug sf#3110291: Fixed spelling mistake (height, not heigth).

M	help/C/mancreate.page

commit 8f7f0191cb2f4962064a62b240eed926b150df17
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-15

    [l10n] Updated German translation

M	po/de.po

commit 76fd27c54a401448d1795491e958f8b379bc20ab
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-15

    Fixed typo

M	data/schemas/org.gnome.glabels-3.gschema.xml.in.in

commit 99f337b4c2de88c4cfaf3cc9def3253484ab2c39
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-15

    Removed last addition again

M	po/POTFILES.in

commit fdf16d572cd58dcf8e8d3b18e2bf68b7583225c4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-15

    Added another missing filename to POTFILES.in

M	po/POTFILES.in

commit 94b0bf095d42e68c3d6dea64cac99f87964a11e4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-15

    Added missing filename to POTFILES.in

M	po/POTFILES.in

commit 9453143c64d5bbfde9c156c3b5a379eeb124f863
Merge: 61404cf 6e743df
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-14

    Merge branch 'gtk3'

commit 6e743df0f244177ac9e503c6114b344e0052b71c
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-14

    Fixed stupid typo.

    Must of been temporary insanity.  I had replaced a g_unlink with
    a g_free
    a while back.  Hanging my head in shame.

M	libglabels/db.c

commit f29bc31c9132bc604d60d7c96cac6b0ef5056a74
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-14

    Fixed typo.

M	src/template-designer.c

commit 52446a0a719433f54f4983aabbc9caff685797c7
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-14

    Make sure merge source is shown.

M	data/ui/merge-properties-dialog.ui
M	src/merge-properties-dialog.c

commit 61404cf7270a415c3ed1a185dcefd905bde8dc07
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-14

    Added some more JAC templates

M	templates/misc-iso-templates.xml

commit 92965dc1eafa2019bd2c69e921c499eb734cc8d9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-14

    Added some JAC templates

M	templates/misc-iso-templates.xml

commit 88f44555402d9a405cbbff6ac57bb463e2ee18f0
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-12

    Fix for some gtk3 widget layout issues.

M	data/ui/object-editor.ui
M	src/ui-sidebar.c

commit e29469011998fbbabe950f4ead5b9b081aeb6375
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-11

    Remove artifacts from old manual.

D	help/C/glabels-3.0.xml
D	help/C/legal.xml
M	help/Makefile.am
M	src/ui-commands.c

commit 45b59e5b4316338dde419f17a3fdb88575b6de02
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-10

    Update licensing information.

    - Docs are now licensed by the CC Attribution-Share Alike 3.0
    Unported license
    - Libglbarcode is relicensed by the LGPL3+

M	COPYING-DOCS
R100	COPYING-LIBGLABELS	COPYING-LIBS
M	COPYING.README_FIRST
M	libglbarcode/lgl-barcode-code39.c
M	libglbarcode/lgl-barcode-code39.h
M	libglbarcode/lgl-barcode-create.c
M	libglbarcode/lgl-barcode-create.h
M	libglbarcode/lgl-barcode-onecode.c
M	libglbarcode/lgl-barcode-onecode.h
M	libglbarcode/lgl-barcode-postnet.c
M	libglbarcode/lgl-barcode-postnet.h
M	libglbarcode/lgl-barcode-render-to-cairo.c
M	libglbarcode/lgl-barcode-render-to-cairo.h
M	libglbarcode/lgl-barcode-type.h
M	libglbarcode/lgl-barcode.c
M	libglbarcode/lgl-barcode.h

commit eda073e8e2563046b8c199372033d013a4697f25
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-09

    Yet another logo update.

M	data/pixmaps/glabels-logo.png
M	help/C/figures/glabels-logo.png
M	help/C/index.page

commit c57137558f60775a8a2205e127c2079f286d4625
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-09

    Use GtkComboBoxText

M	data/ui/media-select.ui
M	data/ui/merge-properties-dialog.ui
M	data/ui/object-editor.ui
M	data/ui/template-designer.ui
M	src/combo-util.c
M	src/combo-util.h
M	src/media-select.c
M	src/merge-properties-dialog.c
M	src/object-editor-bc-page.c
M	src/object-editor-private.h
M	src/object-editor.c
M	src/print-op-dialog.c
M	src/template-designer.c

commit 52214490bb8d25cd754cb40a274ac9ff36ba60d3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-09

    Updated Spanish translation

M	help/es/es.po

commit d405bc913b1d7d23ff12f92f6ef6323d15a4610d
Author: Jim Evins <evins@snaught.com>
Date:	2010-11-07

    Initial documentation for libglbarcode.

M	.gitignore
M	configure.ac
M	docs/Makefile.am
A	docs/libglbarcode/Makefile.am
A	docs/libglbarcode/intro.sgml
A	docs/libglbarcode/libglbarcode-3.0-docs.sgml
A	docs/libglbarcode/libglbarcode-3.0-overrides.txt
A	docs/libglbarcode/libglbarcode-3.0-sections.txt
A	docs/libglbarcode/libglbarcode-3.0.types
A	docs/libglbarcode/tmpl/lgl-barcode-create.sgml
A	docs/libglbarcode/tmpl/lgl-barcode-render-to-cairo.sgml
A	docs/libglbarcode/tmpl/lgl-barcode-type.sgml
A	docs/libglbarcode/tmpl/lgl-barcode.sgml
A	docs/libglbarcode/tmpl/libglbarcode-3.0-unused.sgml
M	libglbarcode/lgl-barcode-create.c
M	libglbarcode/lgl-barcode-render-to-cairo.c
M	libglbarcode/lgl-barcode-type.h
M	libglbarcode/lgl-barcode.c
M	libglbarcode/lgl-barcode.h
M	libglbarcode/libglbarcode-3.0.pc.in
M	libglbarcode/libglbarcode.h

commit ff1457fe9ff2f87815dcbbdc927f409a0a20a1fd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-11-03

    Updated Spanish translation

M	help/es/es.po

commit 57f251a8d3ef3592e0856eb3c8916ca7c464f324
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-11-01

    Updated French translation

M	po/fr.po

commit b8fc8ef5359af7b42d3bd0493c1adcf8236086db
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-11-01

    Added ca@valencia to LINGUAS

M	po/LINGUAS

commit 81941432d20338b56011444017b01799320a6e97
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-31

    Refinements to barcode objects
    - Draw outline around barcode objects.
    - Use a more sophisticated test for determining if cursor is on
    a barcode
      object: test against lines and glyphs instead of simple bounds
      test. The
      test will also indicate that cursor is on the object if it is on the
      selection outline.  Similar to text objects.

M	libglbarcode/lgl-barcode-render-to-cairo.c
M	libglbarcode/lgl-barcode-render-to-cairo.h
M	src/label-barcode.c

commit 9c8e77f5735b97af445de3a5a8926535535c10f8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-31

    [l10n] Updated German doc translation

M	help/de/de.po

commit 576d435eba3d25c70329798a29ce99b7934b0582
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-31

    Removed introduction.page

D	help/C/introduction.page

commit 9da0eeeabc8554a3e84a4718fe08c43ec4848333
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-31

    Moved introduction to index.page

M	help/C/index.page

commit ba922c500a1875be6abd70cbacf946a00d375c2b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-31

    Added names of new files

M	po/POTFILES.in

commit 3f4f1213f12fc5be87547cfb82239c3f9c32c19f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-31

    Removed names of no longer existing files

M	po/POTFILES.in

commit 411560a0b6eb8057add9b6862bc477cb00600e14
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-31

    [l10n] Added Catalan (Valencia) translation

A	po/ca@valencia.po

commit edaa3e0b6dec8f8ba81c05b5a196a90b1ebb1ca2
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-30

    Refactored core barcode subsystem.

    - Created new libglbarcode library
    - Moved core barcode structure into library
    - Moved cairo rendering of barcode into library
    - Moved built-in barcodes to library
    - Resurrected Code39 support (from wayback in glabels 0.1.x)

    - Backend "glue" remains in glabels proper

M	.gitignore
M	Makefile.am
M	configure.ac
A	libglbarcode/Makefile.am
A	libglbarcode/lgl-barcode-code39.c
C076	src/bc-iec18004.h	libglbarcode/lgl-barcode-code39.h
A	libglbarcode/lgl-barcode-create.c
C060	src/bc-iec18004.h	libglbarcode/lgl-barcode-create.h
R085	src/bc-onecode.c	libglbarcode/lgl-barcode-onecode.c
C064	src/bc-onecode.h	libglbarcode/lgl-barcode-onecode.h
A	libglbarcode/lgl-barcode-postnet.c
C060	src/bc-onecode.h	libglbarcode/lgl-barcode-postnet.h
A	libglbarcode/lgl-barcode-render-to-cairo.c
C075	src/bc-onecode.h	libglbarcode/lgl-barcode-render-to-cairo.h
R063	src/bc-onecode.h	libglbarcode/lgl-barcode-type.h
A	libglbarcode/lgl-barcode.c
A	libglbarcode/lgl-barcode.h
A	libglbarcode/libglbarcode-3.0.pc.in
R067	src/bc-postnet.h	libglbarcode/libglbarcode.h
M	src/Makefile.am
M	src/bc-backends.c
M	src/bc-backends.h
A	src/bc-builtin.c
C087	src/bc-iec18004.h	src/bc-builtin.h
M	src/bc-gnubarcode.c
M	src/bc-gnubarcode.h
M	src/bc-iec16022.c
M	src/bc-iec16022.h
M	src/bc-iec18004.c
M	src/bc-iec18004.h
D	src/bc-postnet.c
M	src/bc-zint.c
M	src/bc-zint.h
M	src/label-barcode.c

commit 227f04fc6321c2e05aa216cafcac42d6c682a83f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-10-28

    Updated Spanish translation

M	help/es/es.po

commit c9171d11050f595055ba17e53a906e27ad8d28d0
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-10-28

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit ebd747a78e20c7839bc05dfccbae19730772d2c2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-26

    Removed dupicate name

M	AUTHORS

commit 8018996159a5af3bb20149c6eb9f327367dd50d9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-26

    Added missing name for template contributor

M	AUTHORS

commit f8a80d9fb9e73780c408971458be49affec9ba3c
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-25

    Tweak template designer.

    - Added figure for ellipse size page.
    - Removed translatable attribute to "ellipse_page" label which
    is never
      exposed to the user interface.

M	data/pixmaps/Makefile.am
A	data/pixmaps/ex-ellipse-size.png
M	data/ui/template-designer.ui

commit d04b523c567a0961a6378921d1ec6adfa810ff71
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-10-25

    Updated Swedish translation

M	po/sv.po

commit 002b014d22c4ab4e655a53e4382db94aee637a56
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-10-25

    Updated Swedish translation

M	po/sv.po

commit b6c503e318bb31b37e83100975ca4795553cb50f
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-25

    [l10n] Updated German translation

M	po/de.po

commit 5f3fe187983bddfe3f74eb9b2b5fd9654e827741
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-10-25

    Updated Spanish translation

M	po/es.po

commit a1a1ba75805a6b52d44edca62f1a46758f5edcef
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-24

    Added support for elliptical labels to template designer.

M	data/ui/template-designer.ui
M	src/template-designer.c

commit edb718146f4462962f7f8d945e3f4e94a267e128
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-24

    Added JAC 987349 template

M	templates/misc-iso-templates.xml

commit 655d3876f4dc85d543757da4ddcb5a7f859d5d68
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-24

    [i18n] Updated German doc translation

M	help/de/de.po

commit 123e40341b75ed9908bf8efe93e7730e8ad7bcd3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-24

    Fixed some bad formattings in page files

M	help/C/about.page
M	help/C/mancreate.page
M	help/C/merge-ex1.page
M	help/C/merge-ex2.page
M	help/C/merge-ex3.page
M	help/C/multifile.page

commit 9e1ffae4ad71013013ffda810938560270aeb0a9
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-24

    [i18n] Updated German doc translation

M	help/de/de.po

commit e76ba5917c22a48071dbfd7ca1d57dd15aecc33e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-24

    [i18n] Updated German doc translation

M	help/de/de.po

commit 6c64505b7ff37d2f07768509f8c0ea47d37a04c7
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-23

    [i18n] Updated German translation

M	po/de.po

commit e1a86d815851f2d9ea8ab8986779d9b5f2d942e5
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-23

    Added note about rotating objects.

M	help/C/editprop.page

commit 45a1bf10d41bc020a9e8438d2bd49d9383ef537e
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-23

    Updated glabels logo yet again.

    Updated logo based on the new-label-dialog image rather than the
    simple
    "gLabels" text which is more appropriate for a web-page title rather
    than a graphical logo which always sits next to the text "glabels"
    anyway.

M	data/pixmaps/glabels-logo.png
M	help/C/figures/glabels-logo.png

commit d57e4b8adf4369742323f2a8098cdd996a8c0b99
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-06-10

    Updated German doc translation

M	help/de/de.po

commit f0459b79dae33f354121d4b9d3138e63bfc1a93e
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-09

    Extended introduction

    Extended introduction and moved to its own page.
    Added logo for index page (used current web logo for now).

A	help/C/figures/glabels-logo.png
A	help/C/figures/introduction-glabels-main-window.png
M	help/C/index.page
A	help/C/introduction.page

commit e88a0125b560cbdd3fcc2eb9e991fae45555013f
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-31

    Updated manual template creation page.

    Updated text to reflect changes in current development version of
    glabels.  Updated and added figures.

A	help/C/figures/glabels-template-cd-label.png
D	help/C/figures/glabels-template-cd.png
A	help/C/figures/glabels-template-circle-label.png
A	help/C/figures/glabels-template-ellipse-label.png
D	help/C/figures/glabels-template-label.png
M	help/C/figures/glabels-template-layout.png
A	help/C/figures/glabels-template-rect-label.png
M	help/C/mancreate.page

commit 5325e8976aeb992aebe7d1f725fdcb9ee4d0df2d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-30

    Added missing filename for page file in Makefile.am

M	help/Makefile.am

commit 6a502e49f1219d69fdd1a9ac38263cdbb05f2944
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-29

    Added page on skipping empty address fields.

M	help/C/about.page
A	help/C/figures/skip-fields-output.png
A	help/C/figures/skip-fields-screenshot.png
A	help/C/skipfields.page

commit 3c8c219808431f0e4b3054ca7011a50196048a86
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-28

    Fixed bug in Makefile.am

M	help/Makefile.am

commit a963feda67b0b24510679fdfeb66631fdc5fc36d
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-28

    Added new filenames to Makefile.am

M	help/Makefile.am

commit c8cc8d439836b01b925067e15f3f5cda60c606b8
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-28

    Changed license to Creative Commons

M	help/glabels-3.0.omf.in

commit 073fcd34a90b522980a96d7a1b41f1be3ccdee08
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-28

    Added page files for the new manual

A	help/C/about.page
A	help/C/basicusage.page
A	help/C/createnew.page
A	help/C/customize.page
A	help/C/customtemplate.page
A	help/C/editprop.page
A	help/C/index.page
A	help/C/labelprop.page
A	help/C/license.page
A	help/C/mancreate.page
A	help/C/merge-ex1.page
A	help/C/merge-ex2.page
A	help/C/merge-ex3.page
A	help/C/merge-ex4.page
A	help/C/merge.page
A	help/C/mergefeatures.page
A	help/C/multifile.page
A	help/C/newlabel.page
A	help/C/printfile.page
A	help/C/select.page

commit b071ef81f3bb86f042a317dd509b10f2f52aaefb
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-22

    Added native OneCode barcode backend.

M	src/Makefile.am
M	src/bc-backends.c
A	src/bc-onecode.c
A	src/bc-onecode.h

commit 4ccc7568162606b01eda07d20b1c6f3596a18250
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-22

    Added sl for Slovenian translation

M	help/Makefile.am

commit 8db3ca50ad72ff6f748c7025b94b6dd9228c0088
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-22

    Added Slovenian translation

A	help/sl/sl.po

commit 8f1058a9430b0f464f2f8bbb5ca7198db06370cf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-10-21

    Updated Spanish translation

M	help/es/es.po

commit 323db1068fec3f9e29b243526532f8db56b083bb
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-17

    Do not expand object editor vertically.

    Gtk3 has new behavior for expansion of widgets.  This commit takes
    care of
    the most obvious case of this new behavior.  Additional cases still
    need to
    be addressed in the object-editor.ui file.

M	src/ui-sidebar.c

commit 6560b886953a6147b9cd4bca2f797c694fb18f2d
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-17

    Removed gtk_status_bar_set_has_resize_grip().

    Resize grip in Gtk3 has been moved from GtkStatusBar to GtkWindow.
    Glabels
    also no longer explicitly turns the resize grip off.

M	src/window.c

commit d70695c6d164015b9502592107e256b7bc020a88
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-10-15

    Updated Slovenian translation

M	po/sl.po

commit 7e864db86631552f49edd0b014fb197e75d6007f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-10-11

    Updated Spanish translation

M	po/es.po

commit b2b3f6be7f95887f10f9bd7d64b0251f4cef1f70
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-10

    [i18n] Updated German translation

M	po/de.po

commit 0faa416ed1eae948d13d23269fba55ed04bfbea4
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-10-10

    Added some new templates

M	templates/pearl-iso-templates.xml

commit e4f1404d031e896bf56e9ac857a913110b4e1477
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-05

    Cleanup of chain button.

    - Convert to new drawing model for bracket lines
    - Use "changes-allow" and "changes-prevent" lock images
    - Use toggle button to indicate state (in addition to image)

M	data/ui/object-editor.ui
M	src/object-editor-size-page.c
M	src/wdgt-chain-button.c

commit 799a7f4911e9abd575c2b7683750aeca1b905ca8
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-04

    Fix drawing problems with view.c

    - Create separate cairo_t from bin_window and draw into it.
    - For manual updates, create allocation rectangle manually

M	.gitignore
M	src/view.c

commit dd7c11af6233329e7f0a05947167dfd8debc3dea
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-03

    Initial port to GTK3.

    Still has update and drawing problems with view.c.

M	configure.ac
M	src/Makefile.am
M	src/color-swatch.c
A	src/cursors/Makefile.am
A	src/cursors/cursor_barcode.png
A	src/cursors/cursor_box.png
A	src/cursors/cursor_ellipse.png
A	src/cursors/cursor_image.png
A	src/cursors/cursor_line.png
A	src/cursors/cursor_text.png
M	src/font-sample.c
M	src/media-select.c
M	src/merge-properties-dialog.c
M	src/mini-label-preview.c
M	src/mini-preview.c
M	src/prefs-dialog.c
M	src/view-barcode.c
M	src/view-box.c
M	src/view-ellipse.c
M	src/view-image.c
M	src/view-line.c
M	src/view-text.c
M	src/view.c
M	src/wdgt-chain-button.c
M	src/window.c

commit a0e160ca8b5dd417430b42f1984ed3ceafbca6bd
Author: Jim Evins <evins@snaught.com>
Date:	2010-10-02

    Merge changes from gsettings branch.

M	configure.ac
M	data/Makefile.am
A	data/schemas/Makefile.am
A	data/schemas/org.gnome.glabels-3.gschema.xml.in.in
M	src/color-history-model.c
M	src/font-history-model.c
M	src/prefs-model.c
M	src/template-history-model.c
M	src/ui.c

commit 2cc9977dd9fb2e069b9dac4439af952c2f2c15ee
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-27

    Better test for libzint.

M	configure.ac

commit 8404402282b56b1bee08f5115bf43c21fa10574e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-09-26

    Updated Spanish translation

M	po/es.po

commit 9a9188f05d74896575aaf2060866dbfb20723058
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-09-26

    Added Best Office 75753 template

M	templates/misc-iso-templates.xml

commit 1c886494fe294fd145d7b6234786dbf32b75f6c7
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:	2010-09-22

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3f02585e277e869df63e78dcc538f1b21964e7fe
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2010-09-19

    Updated Danish translation

M	po/da.po

commit bce03e38fb47839357147cff6526acefc67e313a
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-09-10

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit cacd288f41657322697972dd2c478fbab72e7536
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-09-09

    Fixed small typo

M	src/ui-commands.c

commit aaf2b3ed072e8a9eacbd0f382bd2af62a6072af3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-09-06

    Updated Spanish translation

M	po/es.po

commit aeb33f64541ad5c39bcc62a0fe94cb1e992a63f0
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-05

    Added logo for template designer druid.

M	data/pixmaps/Makefile.am
A	data/pixmaps/template-designer.png
M	src/template-designer.c

commit 9667f709d131a52eca55c5a8400f20d4084a1409
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-05

    Manage mimetype icon with other theme friendly icons.

M	data/icons/48x48/Makefile.am
R100	data/pixmaps/application-x-glabels.png
data/icons/48x48/mimetypes/application-x-glabels.png
M	data/pixmaps/Makefile.am

commit 065ffb88346791da881cfed8a06343c6b6e4b50c
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-05

    Theme friendly, glabels specific, action icons.

M	configure.ac
M	data/icons/16x16/Makefile.am
R100	src/stock-pixmaps/stock_align_bottom_16.png
data/icons/16x16/actions/glabels-align-bottom.png
R100	src/stock-pixmaps/stock_align_hcenter_16.png
data/icons/16x16/actions/glabels-align-hcenter.png
R100	src/stock-pixmaps/stock_align_left_16.png
data/icons/16x16/actions/glabels-align-left.png
R100	src/stock-pixmaps/stock_align_right_16.png
data/icons/16x16/actions/glabels-align-right.png
R100	src/stock-pixmaps/stock_align_top_16.png
data/icons/16x16/actions/glabels-align-top.png
R100	src/stock-pixmaps/stock_align_vcenter_16.png
data/icons/16x16/actions/glabels-align-vcenter.png
R100	src/stock-pixmaps/stock_arrow_16.png
data/icons/16x16/actions/glabels-arrow.png
R100	src/stock-pixmaps/stock_barcode_16.png
data/icons/16x16/actions/glabels-barcode.png
R100	src/stock-pixmaps/stock_box_16.png
data/icons/16x16/actions/glabels-box.png
R100	src/stock-pixmaps/stock_bucket_fill_16.png
data/icons/16x16/actions/glabels-bucket-fill.png
R100	src/stock-pixmaps/stock_center_horiz_16.png
data/icons/16x16/actions/glabels-center-horiz.png
R100	src/stock-pixmaps/stock_center_vert_16.png
data/icons/16x16/actions/glabels-center-vert.png
R100	src/stock-pixmaps/stock_ellipse_16.png
data/icons/16x16/actions/glabels-ellipse.png
R100	src/stock-pixmaps/stock_flip_horiz_16.png
data/icons/16x16/actions/glabels-flip-horiz.png
R100	src/stock-pixmaps/stock_flip_vert_16.png
data/icons/16x16/actions/glabels-flip-vert.png
R100	src/stock-pixmaps/stock_image_16.png
data/icons/16x16/actions/glabels-image.png
R100	src/stock-pixmaps/stock_line_16.png
data/icons/16x16/actions/glabels-line.png
R100	src/stock-pixmaps/stock_merge_16.png
data/icons/16x16/actions/glabels-merge.png
R100	src/stock-pixmaps/stock_properties_16.png
data/icons/16x16/actions/glabels-object-properties.png
R100	src/stock-pixmaps/stock_order_bottom_16.png
data/icons/16x16/actions/glabels-order-bottom.png
R100	src/stock-pixmaps/stock_order_top_16.png
data/icons/16x16/actions/glabels-order-top.png
R100	src/stock-pixmaps/stock_pencil_16.png
data/icons/16x16/actions/glabels-pencil.png
R100	src/stock-pixmaps/stock_rotate_left_16.png
data/icons/16x16/actions/glabels-rotate-left.png
R100	src/stock-pixmaps/stock_rotate_right_16.png
data/icons/16x16/actions/glabels-rotate-right.png
R100	src/stock-pixmaps/stock_text_16.png
data/icons/16x16/actions/glabels-text.png
M	data/icons/24x24/Makefile.am
R100	src/stock-pixmaps/stock_arrow_24.png
data/icons/24x24/actions/glabels-arrow.png
R100	src/stock-pixmaps/stock_barcode_24.png
data/icons/24x24/actions/glabels-barcode.png
R100	src/stock-pixmaps/stock_box_24.png
data/icons/24x24/actions/glabels-box.png
R100	src/stock-pixmaps/stock_bucket_fill_24.png
data/icons/24x24/actions/glabels-bucket-fill.png
R100	src/stock-pixmaps/stock_ellipse_24.png
data/icons/24x24/actions/glabels-ellipse.png
R100	src/stock-pixmaps/stock_hchain_broken_24.png
data/icons/24x24/actions/glabels-hchain-broken.png
R100	src/stock-pixmaps/stock_hchain_24.png
data/icons/24x24/actions/glabels-hchain.png
R100	src/stock-pixmaps/stock_image_24.png
data/icons/24x24/actions/glabels-image.png
R100	src/stock-pixmaps/stock_line_24.png
data/icons/24x24/actions/glabels-line.png
R100	src/stock-pixmaps/stock_merge_24.png
data/icons/24x24/actions/glabels-merge.png
R100	src/stock-pixmaps/stock_properties_24.png
data/icons/24x24/actions/glabels-object-properties.png
R100	src/stock-pixmaps/stock_pencil_24.png
data/icons/24x24/actions/glabels-pencil.png
R100	src/stock-pixmaps/stock_text_24.png
data/icons/24x24/actions/glabels-text.png
R100	src/stock-pixmaps/stock_vchain_broken_24.png
data/icons/24x24/actions/glabels-vchain-broken.png
R100	src/stock-pixmaps/stock_vchain_24.png
data/icons/24x24/actions/glabels-vchain.png
M	po/POTFILES.in
M	src/Makefile.am
M	src/color-combo-button.c
M	src/color-combo-button.h
M	src/glabels.c
M	src/object-editor.c
D	src/stock-pixmaps/Makefile.am
D	src/stock.c
D	src/stock.h
M	src/ui-property-bar.c
M	src/ui-sidebar.c
M	src/ui.c
M	src/wdgt-chain-button.c

commit ece7eac613951c98d90cb698497576a110265a21
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-04

    Additional ignore pattern.

M	.gitignore

commit 3fd4017b3e2461638683b3753b96c7484e7d4ed2
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-04

    Theme friendly app icons.

M	configure.ac
M	data/Makefile.am
A	data/icons/16x16/Makefile.am
A	data/icons/16x16/apps/glabels-3.0.png
A	data/icons/22x22/Makefile.am
A	data/icons/22x22/apps/glabels-3.0.png
A	data/icons/24x24/Makefile.am
A	data/icons/24x24/apps/glabels-3.0.png
A	data/icons/32x32/Makefile.am
A	data/icons/32x32/apps/glabels-3.0.png
A	data/icons/48x48/Makefile.am
A	data/icons/48x48/apps/glabels-3.0.png
A	data/icons/Makefile.am
M	data/pixmaps/Makefile.am
D	data/pixmaps/glabels-3.0.png
M	src/Makefile.am
M	src/glabels-batch.c
M	src/glabels.c
M	src/template-designer.c

commit acadb7b8e069be9c8a95502191771b6466ddaedf
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-03

    New logo and tweaking of about dialog.

M	data/pixmaps/Makefile.am
D	data/pixmaps/glabels-about-logo.png
A	data/pixmaps/glabels-logo.png
D	data/pixmaps/glabels-splash.png
M	src/ui-commands.c

commit 8b85d5b2506945a45411f160ec2d6afc8d184499
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-03

    Removed remaining artifacts from old hig module.

M	data/ui/merge-properties-dialog.ui
M	po/POTFILES.in
M	src/Makefile.am
D	src/hig.h
M	src/merge-properties-dialog.c
M	src/prefs-dialog.c

commit de714c6562a0cf92eadc8430da644117e948a422
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-09-03

    [i18n] Updated German translation

M	po/de.po

commit 9e1e6e9b3e8f03a95a949d612e6f6f7846f95a1e
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-09-03

    Updated Slovenian translation

M	po/sl.po

commit 05e9418eb30b1702a10a8662c83da7904d60151a
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-02

    Update POTFILES.in after merge and update AUTHORS.

M	AUTHORS
M	po/POTFILES.in

commit 6c9d844640ff7c481eaa1962aff3bdebd0c2c0ff
Merge: 7e03137 e681454
Author: Jim Evins <evins@snaught.com>
Date:	2010-09-02

    Merge branch 'zint'

commit e68145406dd9ea1326cace7341fa736e8e065bff
Author: Jim Evins <evins@snaught.com>
Date:	2010-08-31

    Fix maximum size of object editor sidebar at initialization.

    Kludge:  Load barcode styles for each backend type at initialization,
    so that
    when they are loaded for real, the maximum size of the widget has
    already been
    established and doesn't cause the object editor to change size.

M	data/ui/object-editor.ui
M	src/object-editor-bc-page.c

commit a8d633c591f7cb28150ab85ae6b0feac1856335c
Author: Jim Evins <evins@snaught.com>
Date:	2010-08-31

	Encapsulate barcode style in single struct.

	Encapsulate barcode style into a single struct and related
	clean-up.

M	src/label-barcode.c
M	src/label-barcode.h
M	src/merge-evolution.c
M	src/merge-text.c
M	src/merge-vcard.c
M	src/merge.c
M	src/merge.h
M	src/object-editor-bc-page.c
M	src/object-editor-private.h
M	src/object-editor.c
M	src/text-node.c
M	src/text-node.h
M	src/xml-label-04.c
M	src/xml-label.c

commit a6f3364c48c13198e6583701cff3ba8f1e0230aa
Author: Jim Evins <evins@snaught.com>
Date:	2010-08-29

    Allow user selection of barcode backend.

    - User can now select which backend to use for a particular barcode.
    - This prevents one implementation from eclipsing another.
    - For backwards compatability, do best guess at backend.

M	data/ui/object-editor.ui
M	src/bc-backends.c
M	src/bc-backends.h
M	src/label-barcode.c
M	src/label-barcode.h
M	src/object-editor-bc-page.c
M	src/object-editor-private.h
M	src/object-editor.c
M	src/xml-label-04.c
M	src/xml-label.c
M	templates/glabels-2.3.dtd

commit 2ef27d0e798c9c6f72c946ed502bc7d670ab4a07
Author: Robin Stuart <robin@zint.org.uk>
Date:	2010-08-21

    Added support for Maxicode barcodes using the libzint backend.

M	src/bc-backends.c
M	src/bc-zint.c
M	src/bc.c
M	src/bc.h
M	src/label-barcode.c

commit 7e031374c3c42b858eb321a5cbaf63ffa7d9cd3e
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-08-18

    Updated Slovenian translation

M	po/sl.po

commit e805759afe8c7c0c410516f387ee76cb37f23827
Author: Marek Černocký <marek@manet.cz>
Date:	2010-08-11

    Updated Czech translation

M	po/cs.po

commit 1f0f30a0aa1e81d2b347d61acdf114d7d4041c64
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-08-08

    Updated Slovenian translation

M	po/sl.po

commit 16ac39db3608aed0d6859b8472c32fa1da6fd48b
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-08-06

    [i18n] Updated German translation

M	po/de.po

commit e8c1b3f843997bbdb508e32bd951732ef8ffbc17
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-08-05

    Updated Spanish translation

M	po/es.po

commit 432cc50d56107d94a59269345df985dd75976ffb
Author: Jim Evins <evins@snaught.com>
Date:	2010-08-02

    Added user submitted templates.

    Added templates submitted by Rudolph Leitgeb and E. Travis.
    Also cleaned up
    avery-iso-templates.xml file.

M	AUTHORS
M	templates/avery-iso-templates.xml
M	templates/misc-us-templates.xml

commit 2e156f680d5f563ed3b050dbfe6f6d3d30a5e826
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-14

    Cleanup zint backend settings and flags.

M	src/bc-backends.c

commit b5865243f8cb28214bfed442ee5d7cbee2967bc2
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-11

    More refactoring of barcode subsystem.

    Create a clear separation between the intermediate barcode format and
    the management of the barcode backends.

M	src/Makefile.am
A	src/bc-backends.c
A	src/bc-backends.h
M	src/bc-gnubarcode.c
M	src/bc-iec16022.c
M	src/bc-iec18004.c
M	src/bc-postnet.c
M	src/bc-zint.c
M	src/bc.c
M	src/bc.h
M	src/label-barcode.c
M	src/label-barcode.h
M	src/object-editor-bc-page.c
M	src/object-editor.h

commit 6717882e759c320e468683f8c69cf8af1281d91b
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-11

    Refactoring of barcode structure.

    Minor refactoring of API to barcode structure.

M	src/bc-gnubarcode.c
M	src/bc-iec16022.c
M	src/bc-iec18004.c
M	src/bc-postnet.c
M	src/bc-zint.c
M	src/bc.c
M	src/bc.h
M	src/label-barcode.c

commit f6a1818fe2e0975dc664a1863594f3ed371e0937
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-07-10

    Updated Slovenian translation

M	po/sl.po

commit 8d2a845d489a74468776034fdab4a2e377ecffaa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-07-10

    Updated Spanish translation

M	po/es.po

commit b012b9c74def1a87e21e678486eeb4debeaf23be
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-10

    Improved centering of barcode text.

    Don't try to calculate x offset using hardcoded fixed character
    width, which
    does not work properly for proportional fonts.  Use the origin
    provided by
    zint (wich is at the horizontal center) and use pango to calculate
    the offset
    at render time.

M	src/bc-zint.c
M	src/bc.h
M	src/label-barcode.c

commit 61aa9b8dce8e6143eba39b368897a5f1a39a8e29
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-10

    Update po files to allow me to push this branch.

M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/eo.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/nb.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ru.po
M	po/sl.po
M	po/sv.po
M	po/zh_CN.po
M	po/zh_TW.po
M	src/Makefile.am

commit e43f6397f295172646ed67456799c1fe6cbfb94a
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-09

    Added new barcode drawing primitives.

    Added a "Box" and a "String" barcode drawing primitives.  The box
    primitive
    should be more natural for drawing actual boxes instead of lines.
    The string
    primitive allows an entire string to be rendered with a single
    interaction with
    pango and cairo, rather than an interaction for each character.
    There is no
    need to try to implement kerning since pango will take care of the
    string as
    a single layout.

M	src/bc-zint.c
M	src/bc.c
M	src/bc.h
M	src/label-barcode.c

commit f2ced22e6919c5311fb0467e0f07874d9e28e16d
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-09

    Fixed width behavior of object editor.

    I had neglected to add the barcode page to the appropriate size
    group. Longer
    names in the zint backend caused the style combobox to be the long
    pole in
    the tent, causing the width of the object editor to fluctuate when
    selecting
    and un-selecting barcode objects.

M	data/ui/object-editor.ui

commit 7e6b5431df2e8eed3152fb33db25c856dfc2a20b
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-08

    Revert "Fix for batch output"

    This reverts commit 03d80812158823eb8ad7184d1c7629b64daaecb5.

M	src/label-text.c

commit dd0b78bdd763b8f47b1031b478c6b2b57119fff3
Author: Sam Lown <me@samlown.com>
Date:	2010-07-08

    Fix for batch output

M	src/label-text.c

commit 8b662f5b767bb4172e4b1911ecb304bd0b4c5b40
Author: Sam Lown <me@samlown.com>
Date:	2010-07-07

    Freeing memory in xml and adding poor mans kerning to bc-zint

M	src/bc-zint.c
M	src/xml-label.c

commit e9f492c8fc1638bc9a0a7014653e54306c7e974e
Author: Sam Lown <me@samlown.com>
Date:	2010-07-07

    Using regexp to remove white space from text instead of detecting
    newlines in xml

M	src/xml-label.c

commit a3fd97c6757a71f8761f76bb28c356ca425148c2
Author: Sam Lown <me@samlown.com>
Date:	2010-07-07

    Getting GS1-128 to behave as expected

M	src/bc.c

commit 9d21b20ed765ef3f924a9ee48158cde94f707022
Author: Sam Lown <me@samlown.com>
Date:	2010-07-06

    Adding Robin's changes for latest Zint

M	src/bc-zint.c
M	src/bc.c

commit f3219c0e3e7800336ac13b8fbd8f62371c2398bb
Author: Sam Lown <me@samlown.com>
Date:	2010-06-13

    Provides barcode even if invalid for correct sizing

M	src/bc-zint.c

commit 65dd24369545da8bd2a698fa72f08fac40cd2d37
Author: Sam Lown <me@samlown.com>
Date:	2010-06-12

    Minor alteration for GS1-128 length@

M	src/bc.c

commit 769479af3289ee847ccea3145d91d15a80482b69
Author: Sam Lown <me@samlown.com>
Date:	2010-06-11

    Updating for Zint strings and fixed dimensions

M	src/bc-zint.c
M	src/bc.c

commit e1e80392cc40e87cd673e1d55a450d393432c240
Author: Sam Lown <me@samlown.com>
Date:	2010-05-30

    Alterations to zint rendering

M	src/bc-zint.c

commit 6220643a6116d965c08e17da3f35acd66698be1d
Author: Sam Lown <me@samlown.com>
Date:	2010-05-30

    Modified Zint support to use rendered data rather than encoded

M	src/bc-zint.c

commit b8b660ce6a19fd5c32d2311a6afe873c10f399c2
Author: Sam Lown <me@samlown.com>
Date:	2010-05-17

    Forwardporting changes for zint barcode support

M	src/Makefile.am
M	src/bc-zint.c

commit bc70724dbf60a6d2ee2f393b1252aed167e07823
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-08

    Initialize font-history subsystem in glabels-batch.

M	src/glabels-batch.c

commit 6b6ff9ba800dde3f3954f36743e390dac8200b22
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-07

    [i18n] Updated German translation

M	po/de.po

commit 0d5e8e336aa6d3b76470c8b396e442e0e7f2dd83
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-06

    String cleanup.

    Removed pango markup from translatable strings.  Fixed word order
    assumption
    with use of standalone "per sheet" string.

M	data/ui/merge-properties-dialog.ui
M	data/ui/object-editor.ui
M	data/ui/prefs-dialog.ui
M	data/ui/print-op-dialog-custom-widget.ui
M	libglabels/template.c
M	src/template-designer.c

commit 09b643f62fc415b50a6d85079e0e503b6bd8f2a6
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-06

    Fixed a few -Wall warnings.

M	src/label-image.c
M	src/svg-cache.c

commit 669df86b2593b4a6ba19b0fa58092f19fabf32b3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-05

    [i18n] Updated German translation

M	po/de.po

commit b2ef908e8f1f0ae8daf7a08a82ff9c3e3128f06d
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-07-04

    Updated Slovenian translation

M	po/sl.po

commit 3e365e5f9187a12fbf0e29d4d3804cab0261e8e9
Author: Jim Evins <evins@snaught.com>
Date:	2010-07-02

    Add native support for SVG images.

    Rather than just rasterizing SVG files into GdkPixbufs, use RSVG
    to handle
    SVG files directly -- preserving the original file as inline data.

M	configure.ac
M	po/POTFILES.in
M	src/Makefile.am
M	src/debug.c
M	src/debug.h
M	src/file-util.c
M	src/file-util.h
M	src/label-image.c
M	src/label-image.h
M	src/label.c
M	src/label.h
M	src/object-editor.c
A	src/svg-cache.c
A	src/svg-cache.h
M	src/xml-label.c
M	templates/glabels-2.3.dtd

commit 85c5b1fa0d48486d3985c43cd0272a3d5d0753c7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-06-16

    Updated Spanish translation

M	po/es.po

commit 907a32752b637186451c56cc79fa19b35e7e33e2
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-12

    Add shadow property to image objects.

    Added shadow support to image objects.  Shadow is created from
    the image's
    alpha channel, so the shadow will work properly for images with
    transparent
    backgrounds.  More work needs to be done to better optimize the
    performance.

M	src/Makefile.am
M	src/label-image.c
M	src/object-editor.c
A	src/pixbuf-util.c
A	src/pixbuf-util.h

commit 3f4bd5d778015e524870eeb8bf89ad5bd615eabe
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-12

    Cleanup of shadows for boxes and ellipses.

    Do a more intelligent job of drawing shadows for boxes and ellipses.
    Instead
    of just blindly drawing a fill shadow and an outline shadow, choose
    to draw
    one or the other and adjust size of shadow appropriately.

M	data/ui/object-editor.ui
M	src/label-box.c
M	src/label-ellipse.c

commit fe7a2fbf407047c5d69ccc93e9d5a6cb92d08871
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-11

    Do not explicitly set sidebar size.

    Use 2 sizegroups to automatically fix sidebar size based on the size
    of the widgets it contains -- even hidden ones.  The width was
    previously
    set explicitly to prevent the sidebar from changing size whenever
    objects
    are selected and unselected.  This has been problematic for
    compatability
    with different themes, fonts, and translations.

M	data/ui/object-editor.ui
M	src/object-editor.c
M	src/ui-sidebar.c

commit 1382ac85c0d0516a9760db1f52173a6d3f0563e5
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-06-11

    Updated Slovenian translation

M	po/sl.po

commit 8aa1c5b131e6ee24c2f1c54be23239f062c91a65
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-06-10

    Updated German translation

M	po/de.po

commit 2dc9de0c566a201d49f436fa6831dec403603f2e
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-09

    Added text merge backend for semicolon separated values

    Feature request #3013910.  Added entry for a text merge backend using
    a semicolon as delimiter.

M	src/merge-init.c

commit 59eac573a766dce34876713953efd5a147fd0222
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-06

    Some final preparation for 2.3.0.

M	NEWS
M	configure.ac

commit 245b69b5ed745eea8509133fd5c49a8bdde8082f
Author: Christian Persch <chpe@gnome.org>
Date:	2010-06-05

    Speed up large barcodes

    g_list_append() is evil. Just use prepend().

M	src/bc.c

commit 3cc1494b4838d0aa4c6b4fb35f15a80b44a69071
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-05

    Some preparation for 2.3.0 release

M	AUTHORS
M	NEWS
M	configure.ac

commit b27f91e7105e2a28ca1f7377d67ee20ccd7ec994
Author: Michel Recondo <michel@recondo.com.br>
Date:	2010-06-05

    Updated Brazilian Portuguese translation

    Reviewed by Henrique Machado <hpmachado@gnome.org>

M	po/pt_BR.po

commit 3c200d2279f57999de42fb211ed878de3a62ad5b
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-04

    Updated libglabels documentation.

M	docs/libglabels/libglabels-3.0-sections.txt
M	docs/libglabels/tmpl/category.sgml
M	docs/libglabels/tmpl/db.sgml
M	docs/libglabels/tmpl/paper.sgml
M	docs/libglabels/tmpl/str.sgml
M	docs/libglabels/tmpl/template.sgml
M	docs/libglabels/tmpl/units.sgml
M	docs/libglabels/tmpl/vendor.sgml
M	docs/libglabels/tmpl/xml-category.sgml
M	docs/libglabels/tmpl/xml-paper.sgml
M	docs/libglabels/tmpl/xml-template.sgml
M	docs/libglabels/tmpl/xml-vendor.sgml
M	docs/libglabels/tmpl/xml.sgml
M	libglabels/db.c
M	libglabels/str.c

commit 424d8c45333504425cebb58d97b1f9e58e45a473
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-02

    Fixed a few -Wall warnings

M	libglabels/db.c
M	src/file-util.c
M	src/merge.c
M	src/str-util.c

commit 10d31988ea2247e420f2622043fb8586bc839ed9
Author: Jim Evins <evins@snaught.com>
Date:	2010-06-02

    Updated NEWS for upcoming 2.3.0 release.

M	NEWS

commit a05703c9967c8bca38785a8c4872bf6ab266f57c
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-31

    Updated DTD.

M	templates/glabels-2.3.dtd

commit 55b7dda6b69c4f1a25734152fd6b69b72ee3f385
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-30

    Fix selection problem.

    Clear existing paths before creating new test paths.  This would
    occasionally
    cause the wrong object to be selected because the in_fill or in_stroke
    tests would be satisfied using left-over paths from previous tests.

M	src/label-barcode.c
M	src/label-box.c
M	src/label-ellipse.c
M	src/label-image.c
M	src/label-line.c
M	src/label-text.c

commit c555edf9c5195b45812383d699e6021417dd96cd
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2010-05-30

    Updated Danish translation

M	po/da.po

commit 1ce273bf46b7e199600e5332d2ee13a2e4aea241
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-05-30

    Updated Spanish translation

M	po/es.po

commit 1990055cc0190e23fc0796ff04c00678b68faba3
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-29

    Tweak rendering of color swatches and font samples.

M	src/color-swatch.c
M	src/font-sample.c

commit 06f27cce690f6ee0a498a05ae16d4eeb96cf20c1
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-29

    Explicitly link with libm.

M	src/Makefile.am

commit 1d85e165dcfedb28327b8e79bd91bdbb02e1f6e6
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-05-28

    Updated Slovenian translation

M	po/sl.po

commit bb8763ff8f3d739280dafbde15e27622fa08148a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-05-28

    Updated Spanish translation

M	po/es.po

commit 88decad7363f3e3d13ca34fd6e956ed9bd197a11
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-05-27

    Updated French translation

    Contributed by Claude Paroz and Gérard Baylard

M	po/fr.po

commit 26990ef637b55a385c9b61308bc6ecbb9234334b
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-26

    Some minor barcode cleanup

    - Added DEBUG_BARCODE so that verbosity on stdout of new libzint
    backend
      can be controlled.
    - Removed artifact comments and some minor formatting changes
    in libzint
      backend.
    - In object editor, make preview format track the number of digits
    in the
      digits spinbox in real-time.

M	src/bc-zint.c
M	src/bc.c
M	src/debug.c
M	src/debug.h
M	src/object-editor-bc-page.c

commit c22727a27e8ab935eeaf4ef2a0d5119212597406
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2010-05-26

    Updated Spanish translation

M	po/es.po

commit 4071ed90076bb15c831435063b2b6bce0cbbe00e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-25

    Updated German translation

M	po/de.po

commit 29d57a7936c1d39db31fd5e952bda32f13331ac1
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-24

    Additional translator hints.

    - Fixed a couple of strings that should not have been marked
    translatable.
    - Added comments for "Fixed", "Other", "None", and "No match."
    - Attempted to disambiguate 3 different occurances of "Any"

M	data/ui/new-label-dialog.ui
M	data/ui/object-editor.ui
M	libglabels/db.c
M	libglabels/template.c
M	src/media-select.c
M	src/merge-properties-dialog.c
M	src/merge.c

commit eb650e1275a4a9f54ef05c97933646ec37fc7d56
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-24

    Use a translator comment rather than context.

M	src/mini-preview.c

commit d9f004626ba7f8a8870c3265c89863b569357556
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-24

    Added context for "Up" string

M	src/mini-preview.c

commit 51181713e931b531cb595dffe2c7fc742155b687
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-24

    Removed "translatable" attribute from unused builder strings

    Removed "translatable" attribute from unused builder strings.
    These strings
    are an artifact of how I organized the individual pages for
    GtkAssistants
    in GtkNotebooks in glade.

M	data/ui/new-label-dialog.ui
M	data/ui/template-designer.ui

commit 21115bdb38a0b6ffc93cfa6c6611dc071cb3812a
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:	2010-05-24

    Updated Japanese translation, taken from the 2_2 branch

M	po/ja.po

commit b039cb00f971a74d9add15fbeecadfa37de698f7
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-24

    Updated German translation

M	po/de.po

commit 3144ddc46eea2ac6e74887a6229981491da10aa0
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-24

    Made PEARL label descriptions translatable

M	po/POTFILES.in

commit b0ef76a570d6af52af44dbe0014ebe559720058c
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-24

    Added more labels

M	templates/pearl-iso-templates.xml

commit 0c89cdc382cd774da88e0b065fc0b6851aacbdf1
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-24

    Properly mark strings as no-c-format

    Properly mark non-c-format strings containing '%' as no-c-format.
     - Added "xgettext: no-c-format" comments as suggested by Claude
     Paroz.
     - Removed backslashes ('\') from my ignorant attempt to address this.

M	src/color-combo-menu.c

commit 30d4df7681459d895ef5c09e2e43ba88c0e72785
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-22

    Minor refactoring of glBarcode structure.

    Minor refactoring of glBarcode structure in preparation of support for
    more exotic barcode shapes.

M	src/bc-gnubarcode.c
M	src/bc-iec16022.c
M	src/bc-iec18004.c
M	src/bc-postnet.c
M	src/bc-zint.c
M	src/bc.c
M	src/bc.h
M	src/label-barcode.c

commit ee2801d56d29e847b90849f95a14e2cab518718d
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-17

    Autosize zint barcode when w == 0 && h == 0.

M	src/bc-zint.c

commit 0f73f8658931299b97a4e9126622014e7d86e9ed
Author: Sam Lown <me@samlown.com>
Date:	2010-05-17

    Added libzint as a barcode backend.

    Added libzint as a barcode backend.  Currently only implements the
    GS1-128 barcode.

M	configure.ac
M	src/Makefile.am
A	src/bc-zint.c
A	src/bc-zint.h
M	src/bc.c

commit 94475149f8f8568f62723cb2428ce11d76243f1b
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-16

    Allow for small error in comparison of dimensions.

    In lgl_template_are_templates_identical(), allow for a small
    error when
    comparing dimensions.  Set EPSILON to 0.5pt, which is aproximately
    0.007in or 0.2mm.

M	libglabels/template.c

commit a4d7958651c3cd53424b8ca74b314b8bd71a055f
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-15

    Use g_get_user_config_dir() to locate custom templates.

    Use g_get_user_config_dir() to locate custom template.  By default
    this
    means that custom templates will be stored at
    ~/.config/libglabels/templates
    instead of ~/.glabels.

    Also automatically migrate user custom templates to the new location
    when
    run for the first time.

M	libglabels/Makefile.am
M	libglabels/db.c
M	libglabels/libglabels-private.h

commit a8fe0a4371351910d70fc66f71b347ba904fafa0
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-15

    Update TODO file.

M	TODO

commit 25a0745280c5b37d702bca540a0bc1f78ac8270e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-15

    Updated German translation

M	po/de.po

commit 634f1afa97ecae4589fb82d130de78b0b2724db0
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-05-15

    Fixed filenames in POTFILES.in

M	po/POTFILES.in

commit 25af4f2b739108625226db78aebe4b206535bacb
Author: Daniel Mustieles <danielmustieles@gmail.com>
Date:	2010-05-15

    Updated Spanish translation

M	po/es.po

commit d88c0c2aa50950095fbff6fef46732d586333522
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-12

    Renamed builder files to use '.ui' extension.

M	configure.ac
M	data/Makefile.am
D	data/builder/Makefile.am
A	data/ui/Makefile.am
R100	data/builder/media-select.builder	data/ui/media-select.ui
R100	data/builder/merge-properties-dialog.builder
data/ui/merge-properties-dialog.ui
R100	data/builder/new-label-dialog.builder
data/ui/new-label-dialog.ui
R100	data/builder/object-editor.builder	data/ui/object-editor.ui
R100	data/builder/prefs-dialog.builder	data/ui/prefs-dialog.ui
R100	data/builder/print-op-dialog-custom-widget.builder
data/ui/print-op-dialog-custom-widget.ui
R100	data/builder/property-bar.builder	data/ui/property-bar.ui
R100	data/builder/template-designer.builder
data/ui/template-designer.ui
M	src/media-select.c
M	src/merge-properties-dialog.c
M	src/new-label-dialog.c
M	src/object-editor.c
M	src/prefs-dialog.c
M	src/print-op-dialog.c
M	src/template-designer.c
M	src/ui-property-bar.c

commit 4d51e31d5f526b0885b25be6f94624e5ea4ff1f7
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-11

    Reconciled font size limits in separate spinboxes.

M	data/builder/object-editor.builder

commit f470b3aa6484c6c56cc98d451c6f57708aaf4d53
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-10

    Refinements to text objects

    - Draw outline around text objects.
    - Use a more sophisticated test for determining if cursor is on a text
      object: test against glyphs instead of simple bounds test.
      The test will
      also indicate that cursor is on the object if it is on the
      selection outline.
    - Do word wrap instead of character wrap.

M	src/label-text.c

commit edff98c6ae5250858a3e376a992ba84265a93d6c
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-07

    Added several vendor URLs.

M	templates/vendors.xml

commit 206b483f611441d18db5360800975f2f0d35014b
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-05

    Added sanity tests to template parser

    When parsing a template node, if there is no recognized frame node
    (e.g.
    Label-rectangle), a default full-page frame with a 1x1 layout
    is created.
    Likewise, if a frame has no layout, a default 1x1 layout is created.
    This prevents potential crashes due to typos in the case of typos in
    hand generated templates.

M	libglabels/str.c
M	libglabels/xml-template.c

commit 6509948cb27c7c76349350e1b84aaaf4a52c7e59
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-02

    Added Avery 8658 family of templates.

    Added Avery 8658 family of templates, submitted by Nigel Titley.

M	templates/avery-iso-templates.xml

commit 7d926a37cc8956753d610140fc301b845e3a7de9
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-02

    Do a better job of rounding in lgl_str_format_fraction().

    When a number is determined to be "close enough" to being an integer,
    don't
    just simply cast the number to get the integer value.

M	libglabels/str.c

commit 8df8aedaf99f072cb2739fbbdcfa3440acd415eb
Author: Jim Evins <evins@snaught.com>
Date:	2010-05-01

    Removed obsolete workaround.

    Removed obsolete workaround for Pango Bug#341481.  This is now
    fixed in
    recent versions of Pango.

M	src/label-text.c

commit 8fb4c72166b2052b31bc9b5f02e63c6ae5886a82
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-29

    Minor Cleanup

M	libglabels/db.c
M	src/new-label-dialog.c

commit e322da91fe4a9bdabbc35e1e146e1dada04d6288
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-25

    Added "Up" label to orientation arrow.

    Added an "Up" label to the orientation arrow in the 1st label in the
    mini preview.  Use theme base color for arrow and label.  Don't draw
    arrow if w == h.

M	src/mini-preview.c

commit 7381cfd88fa386dc1fc3a7cce0d0aaac9c4dce45
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-21

    Added test for duplicate templates

    Added test for duplicate pre-defined templates.  Removed duplicate
    template in pearl-iso-templates.xml.  Also added lgl_template_print()
    for
    debugging purposes.

M	libglabels/db.c
M	libglabels/template.c
M	libglabels/template.h
M	templates/pearl-iso-templates.xml

commit 0633489db60773e6e61914d978d9f64bae0fbf13
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-20

    Added decorations to "new label" dialog

    Added new images to decorate each page of the "new label"
    dialog/wizard.

M	data/pixmaps/Makefile.am
A	data/pixmaps/new-confirm.png
A	data/pixmaps/new-rotate.png
A	data/pixmaps/new-select.png
M	src/new-label-dialog.c

commit 58982c93787c62d55e343f6b316643fe5d4f05d6
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-18

    Added ability to edit user-defined templates

M	libglabels/db.c
M	libglabels/db.h
M	src/media-select.c
M	src/mini-preview-pixbuf-cache.c
M	src/mini-preview-pixbuf-cache.h
M	src/template-designer.c
M	src/template-designer.h

commit 08f8cffbc138c302c502b08c4464462d19532bcf
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-04

    Changed packing style for media select widget

    Changed packing style for media select widget so that it will expand
    both horizontally and vertically with new label dialog.

M	data/builder/media-select.builder
M	data/builder/new-label-dialog.builder

commit 3ebe5807c5895cd9ca91233813ad11a9a0916698
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-03

    Allow "new label" and "properties" dialogs to be resizable.

M	src/file.c

commit 1404fad764041cd32b156e43fb3a6417d9e140d9
Author: Filipe Roque <fliproque@gmail.com>
Date:	2010-04-04

    Updated Portuguese translation

M	po/LINGUAS
A	po/pt.po

commit 253e63d0a170859aeae433afb94c8df9908f2e92
Author: Jim Evins <evins@snaught.com>
Date:	2010-04-03

    Added Avery DL33 and look-alike templates.

    DL33 templates provided by Ian Shuttleworth.

M	AUTHORS
M	templates/avery-iso-templates.xml
M	templates/misc-iso-templates.xml

commit 8bbf05ef33758514b23fdd31ed5b0e4d5f128396
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-31

    Fixed selection problem with media select widget

    Fixed selection problem with media select widget by removing cut&paste
    artifact from last update to this widget.

M	src/media-select.c

commit 712fd7eb1a39500a22196feef726d4fb26cf1acb
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-03-29

    Updated German translation

M	po/de.po

commit 07cc165a7d57312cffee8b56a318fe4a597cdb83
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-28

    Added "custom" tab to media select widget

    Added "custom" tab to media select widget.	In this tab, the user can
    launch the template designer or delete an existing user-defined
    template.
    Added notification callbacks to libglabels db subsystem so that the
    media select widget will automatically update when user-defined
    templates
    are added or deleted.  The "edit" button does not do anything yet.

    Also did some visual cleanup to the new label dialog.

    Also include ../libglabels in SUBDIRS in src/ so that libglabels can
    be rebuilt from src/ directory.

M	data/builder/media-select.builder
M	data/builder/new-label-dialog.builder
M	libglabels/db.c
M	libglabels/db.h
M	src/Makefile.am
M	src/media-select.c

commit 270bb68dcf6c6e02af8643bec6e9b82a80542c91
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-03-21

    Updated Slovenian translation

M	po/sl.po

commit cce75a2b36bd94b7771c779c0f0d7b9dd30813b9
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-21

    Added new file to POTFILES.in from last commit.

M	po/POTFILES.in

commit 0a83046c78acea94d80fe2aea239a220445410ab
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-21

    Yet another new "New Label Dialog"

    Re-designed the "New label dialog" again.  This time as a "wizard" or
    GtkAssistant.  This is an attempt to keep the easy navigation of the
    2.2.x dialog, to keep the added meta data and preview of the latest
    incarnation, and to maintain a compact dialog that should work
    on fairly
    small displays such on netbooks (probably not hand-helds still).

M	data/builder/Makefile.am
A	data/builder/media-select.builder
M	data/builder/new-label-dialog.builder
M	po/POTFILES.in
M	src/Makefile.am
M	src/file.c
D	src/media-combo-menu-item.c
D	src/media-combo-menu-item.h
D	src/media-combo-menu.c
D	src/media-combo-menu.h
D	src/media-combo.c
D	src/media-combo.h
A	src/media-select.c
A	src/media-select.h
M	src/new-label-dialog.c
M	src/new-label-dialog.h
D	src/rotate-label-button.c
D	src/rotate-label-button.h

commit fd8e5102e03cf35277af2a99a15d5b5402de5b77
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-03-20

    Updated German translation

M	po/de.po

commit 0f42e39d7e5cacf48e972b50b882fd955288ffaf
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-18

    Escape URLs in markup.

    Escape URLs in vendor and product markup.  Also rearranged the layout
    of the
    new "new label" dialog -- I am still not happy with navigating
    the templates
    with this new dialog.  I will probably try for a hybrid between
    this and
    the 2.2.x dialog.

M	data/builder/new-label-dialog.builder
M	src/new-label-dialog.c

commit 1d1965d625e85601514f7c6dcf5ef53a34859e5d
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-17

    Added missing file from last commit.

A	templates/pearl-iso-templates.xml

commit 3cc850d2ede031b82a21781c029370407b90a980
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-17

    Reconciled label database with 2.2 branch

    Merged recent template additions from 2.2 branch + some cleanup.

M	AUTHORS
M	templates/Makefile.am
M	templates/glabels-2.3.dtd
M	templates/misc-iso-templates.xml

commit 7356e898494b7d68c0fc9063f2ec0fdb867bf471
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-16

    Catching up on template submissions.

M	AUTHORS
M	templates/misc-iso-templates.xml
M	templates/misc-us-templates.xml

commit fad9e52268012e6e046cd989d708026d6a244e70
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-03-15

    Add Norwegian language entry.

M	po/LINGUAS

commit 5c38897c7d89d517c010e1f8a2271e55bc7f31d3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-03-15

    Added Norwegian bokmål translation

A	po/nb.po

commit 7c7efdf6f7d84030b13761f460eeef61ae0c2fc3
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-13

    Make fractions more readable

    Use Unicode superscripts and subscripts to format fractions.
    Should be
    more readable than the uggly 1_5/8.

M	libglabels/str.c

commit 84dfd774bae16f8bdc9dde21baabd41cc7638dd0
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-13

    Some new label dialog cleanup

    Draw arrow in mini preview relative to first label, not the entire
    sheet.
    This should be more obvious what the arrow is indicating, before
    it could
    have been interpreted as the feed direction.

    Don't put an empty line at the end of the list of similar templates.

M	src/mini-preview.c
M	src/new-label-dialog.c

commit 4abc5d0a6552b48c0190e5a2baff4a6eb14b9281
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-10

    Reconciled POTFILES.in with last commit.

M	po/POTFILES.in

commit 44ad3d257b9594674604fa82215e72759b40de11
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-10

    Created new "New label dialog"

    Created a new re-designed "New label dialog."  The dialog now shows
    meta-data
    for the selected template, including hyperlinks to vendor and product
    websites, if available.  The new dialog is more compact and thus
    should
    be usable on small displays such as netbooks (probably not
    hand-helds).

    The menu is somewhat clumbsy to navigate still -- will need to
    reorganize
    to make navigation easier and more intuitive.

M	data/builder/Makefile.am
D	data/builder/media-select.builder
A	data/builder/new-label-dialog.builder
M	libglabels/db.c
M	libglabels/db.h
M	libglabels/str.c
M	libglabels/str.h
M	libglabels/template.c
M	libglabels/template.h
M	src/Makefile.am
A	src/media-combo-menu-item.c
A	src/media-combo-menu-item.h
A	src/media-combo-menu.c
A	src/media-combo-menu.h
A	src/media-combo.c
A	src/media-combo.h
D	src/media-select.c
D	src/media-select.h
M	src/mini-preview.c
M	src/mini-preview.h
M	src/new-label-dialog.c
M	src/rotate-label-button.c
M	src/str-util.c
M	src/str-util.h

commit d94c47da20d726831e16f8cd720d64d26ce85d2b
Author: Jim Evins <evins@snaught.com>
Date:	2010-03-02

    Minor Cleanup

M	COPYING.README_FIRST
M	README
M	configure.ac
M	libglabels/xml-template.c
M	libglabels/xml-vendor.c
M	src/cairo-label-path.c
M	src/cairo-markup-path.c
M	src/label-line.c
M	src/label-text.c
M	src/template-designer.c
M	templates/avery-iso-templates.xml
M	templates/avery-other-templates.xml
M	templates/avery-us-templates.xml
M	templates/brother-other-templates.xml
M	templates/categories.xml
M	templates/dymo-other-templates.xml
M	templates/maco-us-templates.xml
M	templates/misc-iso-templates.xml
M	templates/misc-other-templates.xml
M	templates/misc-us-templates.xml
M	templates/paper-sizes.xml
M	templates/uline-us-templates.xml
M	templates/vendors.xml
M	templates/worldlabel-us-templates.xml
M	templates/zweckform-iso-templates.xml

commit 4aa7c2ac0a4578c2213b8964dff098f039eef703
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-28

    Cleanup of libglabels documentation.

    Added documentation for new functionality in 3.0, including the vendor
    database and a new "natural order" compare function for sorting
    part numbers.

M	docs/libglabels/libglabels-3.0-docs.sgml
M	docs/libglabels/libglabels-3.0-sections.txt
M	docs/libglabels/tmpl/db.sgml
M	docs/libglabels/tmpl/str.sgml
M	docs/libglabels/tmpl/template.sgml
A	docs/libglabels/tmpl/vendor.sgml
A	docs/libglabels/tmpl/xml-vendor.sgml
M	libglabels/str.c
M	libglabels/template.c
M	libglabels/vendor.c
M	libglabels/xml-template.c

commit 12f3f040b340c30188e4953b9f6a51263206f8ab
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-28

    Updated libglabels documentation to support parallel installation

M	.gitignore
M	docs/libglabels/Makefile.am
R094	docs/libglabels/libglabels-docs.sgml
docs/libglabels/libglabels-3.0-docs.sgml
R100	docs/libglabels/libglabels.types
docs/libglabels/libglabels-3.0-overrides.txt
R099	docs/libglabels/libglabels-sections.txt
docs/libglabels/libglabels-3.0-sections.txt
R100	docs/libglabels/libglabels-overrides.txt
docs/libglabels/libglabels-3.0.types
R100	docs/libglabels/tmpl/libglabels-unused.sgml
docs/libglabels/tmpl/libglabels-3.0-unused.sgml
M	docs/libglabels/tmpl/template.sgml
M	docs/libglabels/tmpl/units.sgml

commit 7838152cdfea71a3676e40593ab4cb4a30484ffe
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-28

    Additional changes to support parallel installation

    Changed GETTEXT_PACKAGE to glabels-3.0 and renamed help files
    to support
    parallel installation with other versions of glabels.

M	.gitignore
M	configure.ac
R100	help/C/glabels.xml	help/C/glabels-3.0.xml
M	help/Makefile.am
R100	help/glabels.omf.in	help/glabels-3.0.omf.in
M	po/POTFILES.in
M	src/ui-commands.c

commit 69f4e1fc6a8a731d8a73e020810aef5a895fba5b
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-26

    Cleanup of mime support

    Removed old mime support files.  Renamed mime icon file.

M	.gitignore
M	Makefile.am
M	data/mime/Makefile.am
R100	data/mime/glabels.xml.in	data/mime/glabels-3.0.xml.in
D	data/mime/glabels.applications
D	data/mime/glabels.keys.in
D	data/mime/glabels.mime
M	data/pixmaps/Makefile.am
R100	data/pixmaps/glabels-3.0-application-x-glabels.png
data/pixmaps/application-x-glabels.png

commit 65b8b97bc7fece41dcbba69f4ef4533c4fc6b2e5
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-25

    Updated mimetype icon.

    Updated mimetype icon to look more modern.

M	data/pixmaps/glabels-3.0-application-x-glabels.png

commit 5f40d24d1843a5b124c9f638bf9d57e7fead5b4f
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-24

    Rename executables and key files to support parallel installation

    Renamed glabels and glabels-batch to glabels-3 and glabels-3-batch
    to support
    parallel installation with other versions of glabels.  Also renamed
    and
    reconciled man pages and icon files.

M	.gitignore
M	data/desktop/Makefile.am
R073	data/desktop/glabels.desktop.in
data/desktop/glabels-3.0.desktop.in
M	data/man/Makefile.am
A	data/man/glabels-3-batch.1
R095	data/man/glabels.1	data/man/glabels-3.1
M	data/mime/glabels.keys.in
M	data/pixmaps/Makefile.am
R100	data/pixmaps/glabels-application-x-glabels.png
data/pixmaps/glabels-3.0-application-x-glabels.png
R100	data/pixmaps/glabels.png	data/pixmaps/glabels-3.0.png
M	src/Makefile.am
M	src/glabels.c
M	src/template-designer.c

commit a68f91d57b2eac4a624a0e0c632338b88581d23d
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-24

    Rename glabels data directory to support parallel installation.

    Renamed glabels data directory from glabels to glabels-3.0 to
    ultimately
    support parallel installation with older versions of glabels.

M	configure.ac
M	data/builder/Makefile.am
M	data/pixmaps/Makefile.am
M	libglabels/Makefile.am
M	libglabels/libglabels-3.0.pc.in
M	src/Makefile.am
M	src/glabels.c
M	src/media-select.c
M	src/merge-properties-dialog.c
M	src/object-editor.c
M	src/prefs-dialog.c
M	src/print-op-dialog.c
M	src/template-designer.c
M	src/ui-commands.c
M	src/ui-property-bar.c
M	templates/Makefile.am

commit c69edbd06103ad457c2fa87369094f17d7fa9030
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-23

    Make libglabels parallel installable with other versions

    Made libglabels install as libglabels-3.0 to support parallel
    installation
    with earlier versions.  Performed some related cleanup associated with
    this move, including installing libglabels.h into
    include/libglabels-3.0
    and installing all other include files in
    include/libglabels-3.0/libglabels/.

    More work is still need to support parallel installation of the
    glabels
    application.

M	.gitignore
D	INSTALL
M	autogen.sh
R079	configure.in	configure.ac
M	data/desktop/Makefile.am
M	data/mime/Makefile.am
M	libglabels/Makefile.am
R066	libglabels/libglabels.pc.in	libglabels/libglabels-3.0.pc.in
M	src/Makefile.am
M	src/combo-util.c
M	src/file.c
M	src/font-history-model.c
M	src/font-util.c
M	src/glabels-batch.c
M	src/glabels.c
M	src/media-select.c
M	src/merge-evolution.c
M	src/merge.c
M	src/mini-label-preview.c
M	src/mini-preview-pixbuf-cache.c
M	src/mini-preview.c
M	src/prefs-model.c
M	src/prefs.c
M	src/print-op.c
M	src/print.c
M	src/rotate-label-button.c
M	src/template-designer.c
M	src/template-history-model.c
M	src/xml-label-04.c
M	src/xml-label.c
M	templates/Makefile.am

commit 50f04182df385b4d535ea22de6b8b44c1545f53d
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2010-02-23

    Updated Danish translation

A	po/da.po

commit 242db8f321477a9cb3a904928a65aeec0fc292b3
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2010-02-23

    Added da to list of languages

M	po/LINGUAS

commit 4c65998c8e09c354a93180a39fd35406c28b7dfd
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-02-19

    Added es to DOC_LINGUAS

M	help/Makefile.am

commit 855164906135d8bf586776b628a4e758f9bf8dbe
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-02-19

    Added initial Spanish translation

A	help/es/es.po

commit fc936bcec26a162cbef176125c9ddafa34fa0074
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-02-18

    Fix Czech translation by Marek Cernocky

M	po/cs.po

commit 9959f357a8ab37756c08ef5d63cac2213ab56897
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-02-18

    Add Czech help translation by Marek Cernocky

M	help/Makefile.am
A	help/cs/cs.po
A	help/cs/figures/main-window-empty.png
A	help/cs/figures/merge-ex1-1.png
A	help/cs/figures/merge-ex1-2.png
A	help/cs/figures/merge-ex1-3.png
A	help/cs/figures/merge-ex1-4.png
A	help/cs/figures/merge-ex2-1.png
A	help/cs/figures/merge-ex2-2.png
A	help/cs/figures/merge-ex2-3.png
A	help/cs/figures/merge-ex2-4.png
A	help/cs/figures/object-editor-sidebar.png
A	help/cs/figures/print-copies.png
A	help/cs/figures/print-merge.png

commit eb35f13b2425449c6ec18b5ac5e3dd43169c3256
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-02-12

    Updated Slovenian translation

M	po/sl.po

commit fb41df013f26d24c2cb6d395446a7d142716977b
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-02-11

    Update Czech translation by Marek Cernocky

M	po/cs.po

commit 8f71968174b552bd57d342f2deebf58ef8d2ca81
Author: Jim Evins <evins@snaught.com>
Date:	2010-02-03

    Added support for elliptical labels and markup

    Added support for elliptical labels.
    Added support for elliptical markup lines.

M	docs/libglabels/tmpl/template.sgml
M	docs/libglabels/tmpl/xml-template.sgml
M	libglabels/template.c
M	libglabels/template.h
M	libglabels/xml-template.c
M	src/cairo-label-path.c
M	src/cairo-markup-path.c
M	templates/glabels-2.3.dtd

commit 1dd19c88400a07af8f9eb33e05d967d19da91b08
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-28

    Tweaks to glView.

    - Draw drop shadow behind label.
    - Fixed starting grid lines on round labels.
    - Adjust grid spacing based on selected units:
      Inches -> 0.125 in
      mm     -> 5 mm
      Points -> 10 pt

M	src/units-util.c
M	src/units-util.h
M	src/view.c
M	src/view.h

commit 8fe68d63b2acb46a133e9e643d45657faf54ee50
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-24

    Fixed NULL warning when copying uninitialized barcode objects.

    Make sure both arguments to g_ascii_strcasecmp() are non NULL.

M	src/label-barcode.c

commit 52e8083629f0a9316b7df2bf6b400de8d6bc260e
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-24

    Update TODO list based on current status and plans.

M	TODO

commit efcdc61b8111ba20416592f02da224468cb5c616
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-01-20

    Updated German translation

M	po/de.po

commit a490fde76c660355393bebff2fe48ec4daa3bfd7
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-18

    Don't allow message bars to stack up in media select widget.

    Remove old glMessageBar when attempting to load glMediaSelect
    tree views.
    This will make sure if a new glMessageBar is needed, it won't
    just stack
    up old message bars.

M	src/media-select.c

commit c840dc081304d5f1b6bba2009324c83dea0d0d7f
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-18

    Cleanup and addition of label templates.

    Reconciled Worldlabel part numbers with current online information.
    Added
    some additional templates and their Avery look-alikes.

M	templates/avery-us-templates.xml
M	templates/worldlabel-us-templates.xml

commit 938da1f73ef790eb1691d0037ba0686cfececee5
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-01-15

    Added fr to DOC_LINGUAS

M	help/Makefile.am

commit 0a1c588f5bb1766a5daef21d0427b37c11489ea6
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-01-14

    Removed trailing whitespaces from POTFILES.in

M	po/POTFILES.in

commit d49f1149ff6d35d100444b198d532f84c26ccfc3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-01-14

    Added missing template files to POTFILES.in

M	po/POTFILES.in

commit 73581f4f9b30bd423f930c3fa1bc3942bb5694fd
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-01-13

    Updated Czech translation by Marek Cernocky

M	po/cs.po

commit 9b783558c733321de3e7be150cf3cbf21ddfa985
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-01-09

    Add French translation of manual

    Contributed by Alain Lojewski and Claude Paroz

A	help/fr/figures/main-window-empty.png
A	help/fr/figures/merge-ex1-1.png
A	help/fr/figures/merge-ex1-2.png
A	help/fr/figures/merge-ex1-3.png
A	help/fr/figures/merge-ex1-4.png
A	help/fr/figures/merge-ex2-1.png
A	help/fr/figures/merge-ex2-2.png
A	help/fr/figures/merge-ex2-3.png
A	help/fr/figures/merge-ex2-4.png
A	help/fr/figures/object-editor-sidebar.png
A	help/fr/figures/print-copies.png
A	help/fr/figures/print-merge.png
A	help/fr/fr.po

commit 091eea6d387183ae34da9a59dbe6ce784e15e544
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-06

    Delay freeing of pixbuf cache in gl_label_finalize()

    Make sure all objects have been unreferenced before freeing pixbuf
    cache --
    including copies in undo/redo stacks.

M	src/label.c

commit 9f99c2dc866740bf252fa6f0e6e28d165ae3606f
Author: Jim Evins <evins@snaught.com>
Date:	2010-01-03

    Use "natural" sorting order for part numbers

    Use a "natural" sorting order for part numbers.  I.e. numeric
    portions are
    sorted numerically rather than character by character, such that
    "A20" will precede "A100".

    Also found and fixed a couple minor inconsistencies in the template
    data base
    while debugging the new sorting code.

M	libglabels/db.c
M	libglabels/str.c
M	libglabels/str.h
M	templates/avery-other-templates.xml
M	templates/avery-us-templates.xml

commit 90cd31f442b5d0d115ea72fe828414ad32c9e944
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-30

    Reorganizing template database

    Split out uline-us-templates.xml from avery-us-templates.xml.
    Also removed
    the single "IP Invent It!" alias.  I could not find this brand online
    -- I
    assume it was a mis-identification -- this was a single alias for
    full-sheet
    labels which is so generic anyway.

M	templates/Makefile.am
M	templates/avery-us-templates.xml
C053	templates/vendors.xml	templates/uline-us-templates.xml
M	templates/vendors.xml

commit a5de57d22d62436c5d1014d376ecd22dff8c7853
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-30

    Reorganizing label database

    Reorganized avery-us-templates.xml to remove deprecated Alias tags.
    Also,
    split out separate worldlabel-us-templates.xml and
    maco-us-templates.xml
    files.

M	templates/Makefile.am
M	templates/avery-us-templates.xml
A	templates/maco-us-templates.xml
A	templates/worldlabel-us-templates.xml

commit f09e62c27585cbf067d6bae33ecd4496d17b1ebc
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-12-28

    Updated German translation

M	po/de.po

commit b0fcb9d96c1719d1841294dc76f81893c600ace9
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-26

    Handle zoom-to-fit properly for unrealized view

    Delay calculations in gl_view_zoom_to_fit() if window has not been
    realized
    yet.  Do calculations in realize callback.

M	src/view.c

commit 03609218a247efb40b71dc10827feff80c05dce2
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-23

    Fixed typo

    Fixed typo.

M	src/label.c

commit 73b70cb6f49f732eb826f145cd1c229f707abc7f
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-22

    Added undo/redo feature

    Checkpoint the label state before each user initiated change.  These
    checkpoint states are kept on an undo stack.  As the user pops items
    from the undo stack, the current state is pushed onto a redo stack.

M	src/file.c
M	src/glabels-batch.c
M	src/label-barcode.c
M	src/label-barcode.h
M	src/label-box.c
M	src/label-box.h
M	src/label-ellipse.c
M	src/label-ellipse.h
M	src/label-image.c
M	src/label-image.h
M	src/label-line.c
M	src/label-line.h
M	src/label-object.c
M	src/label-object.h
M	src/label-text.c
M	src/label-text.h
M	src/label.c
M	src/label.h
M	src/merge-properties-dialog.c
M	src/object-editor.c
M	src/template-designer.c
M	src/ui-commands.c
M	src/ui-commands.h
M	src/ui-property-bar.c
M	src/ui.c
M	src/view-barcode.c
M	src/view-box.c
M	src/view-ellipse.c
M	src/view-image.c
M	src/view-line.c
M	src/view-text.c
M	src/view.c
M	src/window.c
M	src/xml-label-04.c
M	src/xml-label.c

commit ab665830afa2c549d3b3d76a5a3f20affcc69f57
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-17

    Refactored MediaSelect code

    - Renamed glWdgtMediaSelect to glMediaSelect
    - Created new glMessageBar widget derived from GtkInfoBar -- API
    is modelled
      after GtkMessageDialog.  Used this new widget to provide
      notification
      of empty search results in the 2 glMediaSelect tabs.
    - Simple code formatting changes.

M	data/builder/Makefile.am
R084	data/builder/wdgt-media-select.builder
data/builder/media-select.builder
M	po/POTFILES.in
M	src/Makefile.am
R069	src/wdgt-media-select.c src/media-select.c
A	src/media-select.h
A	src/message-bar.c
A	src/message-bar.h
M	src/new-label-dialog.c
D	src/wdgt-media-select.h

commit d677458f28c10fe6e0a5663a67aa8edd87424e36
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-16

    Minor cleanup.

    Removed extra includes.

M	src/view-barcode.h
M	src/view-box.h
M	src/view-ellipse.h
M	src/view-image.h
M	src/view-line.h
M	src/view-text.h

commit 3bd29145040c79580b03e4e0e430afd6164ef806
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-12-17

    Added sl for Slovenian translation

M	po/LINGUAS

commit ee83ad3f392f9bbf630cbf32fdeac436a78f391b
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2009-12-17

    Updated Slovenian translation

A	po/sl.po

commit cbfbbff95d01ff6daffbb24159aa6fa0a4ae2e1c
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-15

    Use glFieldButton instead of GtkComboBox for field selection

    Extended glFieldButton so that it could be used instead of a
    GtkComboBox
    for field selectors in the object editor.  This unifies the dropdown
    style
    with the "Insert field" button on the text editor page.

M	data/builder/object-editor.builder
M	src/field-button.c
M	src/field-button.h
M	src/object-editor-bc-page.c
M	src/object-editor-data-page.c
M	src/object-editor-fill-page.c
M	src/object-editor-image-page.c
M	src/object-editor-line-page.c
M	src/object-editor-private.h
M	src/object-editor-shadow-page.c
M	src/object-editor-text-page.c
M	src/object-editor.c

commit 1bddb489410c3e82ced613cd500080c5e0e94790
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-15

    Minor cleanup of label.c

    Removed unused variables.  Added a couple explicit casts.

M	src/label.c

commit 0f2ea2061dd8f4e957c9b5241842de578cb78d0b
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-13

    Fixed crash when manipulating barcode

    Failed to initialize line_color_node for barcodes in
    object_changed_cb().

M	src/object-editor.c

commit be84e5a72c2ffc412fcf7905115a78b8faa6820b
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-12

    Always show images for object menuitems

    Because of the visual nature of the actions of these menuitems,
    the visual
    cues provided by these icons should help improve the ability to
    find the
    correct menuitem -- I know it does for me ( I don't always know
    my left
    from my right :-))

M	src/ui.c

commit 4e81eb872bef66a6b76e9ffd74c09a83323f802e
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-12

    Refactored Cut/Copy/Paste code

    Now offers everything (glabels xml, text, or image) on the standard
    clipboard.
    Will now paste text or images from other programs as new objects.

M	src/label-image.c
M	src/label-image.h
M	src/label-object.c
M	src/label-object.h
M	src/label-text.c
M	src/label-text.h
M	src/label.c
M	src/label.h
M	src/ui-commands.c
M	src/ui.h
M	src/window.c

commit 3444d934754fcc305af29a8c05f19792c77b89e2
Author: Alessandro Zummo <a.zummo@towertech.it>
Date:	2009-12-08

    Allow merge source to be stdin

    Use the filename "-" to indicate that the merge source is to be
    taken from
    standard input (stdin).  This is primarily intended for the
    glabels-batch
    program.

M	src/merge-text.c

commit 85bfb8a64853db59f56410670675015a8aa716e5
Author: Alessandro Zummo <a.zummo@towertech.it>
Date:	2009-12-08

    Fix glabels-batch crash

    The template_history subsystem needs to be initialized.

M	AUTHORS
M	src/glabels-batch.c

commit 02157b5db05cdf1cca285454c83bccb909ee99b8
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-07

    Install correct DTD file

    Reconciled templates/Makefile.am with recent name change of DTD file.

M	templates/Makefile.am

commit 2d0ad672af26c3bc863e0a56a65a6be89944ced8
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-06

    Libglabels mods to support reorganization of template database

    Added "equiv" attribute to "Template" tag.	The "equiv" attribute
    works
    differently than the "Alias" tag: instead of defining a simple
    alias for
    the current template struct, it says to use the equivalent part as the
    prototype for this template.  The template could override (or append)
    unique meta data for this part number.  The "Alias" tag is still
    supported,
    but is deprecated.

    Added a "product_url" attribute to the "Meta" tag.

    Added a "vendor.xml" file which contains a database of vendors
    and their
    primary url.  This file has only been populated with a few examples
    so far.

    A new DTD file has been created to describe the above changes.

    The "Avery 5160" family in "avery-us-templates.xml", has been
    organized in
    the new scheme as an example.

M	libglabels/Makefile.am
M	libglabels/db.c
M	libglabels/db.h
M	libglabels/libglabels-private.h
M	libglabels/template.c
M	libglabels/template.h
A	libglabels/vendor.c
C059	libglabels/libglabels-private.h libglabels/vendor.h
M	libglabels/xml-template.c
M	libglabels/xml-template.h
A	libglabels/xml-vendor.c
C061	libglabels/libglabels-private.h libglabels/xml-vendor.h
M	templates/Makefile.am
M	templates/avery-us-templates.xml
R091	templates/glabels-2.2.dtd	templates/glabels-2.3.dtd
A	templates/vendors.xml

commit 5f45a608055226f06cd013a414439293174121f4
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-03

    Improved object editor default page selection

    Whenever the object is changed, an attempt is made to either keep
    the same
    page active or if that page is no longer visible, set to the first
    visible
    page.

M	src/object-editor.c

commit 520ea9f42482012404000e7eebe436c94bca4440
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-03

    Follow focus when setting sensitivity of selection verbs

    The previous commit did not completely work right.	Selection verb
    sensitivity now follows the focus of the glView widget.

M	src/ui.c
M	src/ui.h
M	src/window.c

commit 8ae9003ee19f2c508452ca5a8534af6caf7a6b11
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-12-03

    Updated German translation

M	po/de.po

commit 2d0b321b49e0dcf8701d000bc2c5f9f4673689f8
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-02

    Don't intercept copy/paste operations intended for other widgets

    Fixes bugs 1683799, 2833194 and probably 1978142.  Only enable
    copy/paste
    verbs if the focused widget is the glView.	Otherwise let these
    operations
    propagate to the focused widget to be handled natively.

M	.gitignore
M	src/label.c
M	src/label.h
M	src/ui-commands.c
M	src/ui.c
M	src/ui.h
M	src/window.c

commit 9ad72e4b3df7122496e84af4bbc1013738145f5b
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-02

    Control sensitivity of paste verb

    Track the availability of data on the private glabels clipboard
    to control
    the sensitivity of the paste verb.

M	src/ui.c
M	src/ui.h
M	src/window.c

commit c7934cf38d69f29e539a4110de36e88c8ed070bb
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-02

    Some string cleanup

    - Replaced "x" with UTF D7 "TIMES" symbol in dimension strings
    - Separated "diameter" into its own translatable string

M	src/wdgt-media-select.c

commit ff3a495ea186e7ff5d68a589312b3e2ef5c7d35e
Author: Jim Evins <evins@snaught.com>
Date:	2009-12-02

    Refactored glLabel and glView

    Refactored glLabel and glView code:

    - Moved selection tracking and storage of current label defaults from
      glView to glLabel.

    - Removed complexity of synchronizing lists of labels between
    glView and
      glLabel.

    - Current defaults for new objects are now kept in glLabel,
    not glView.

    - Now follows a more faithful MVC pattern.	As a consequence, the
      Object editor and property bar are now fully independent views of
      glLabel and do not need to be aware of glView at all.

    - Refactoring reduced total SLOC count by about 1100 lines of code.

    - This should potentially simplify the addition of an Undo/Redo
      capability, because selections and object lists do not need
      to be kept synchronized.

M	.gitignore
M	data/builder/object-editor.builder
M	po/POTFILES.in
M	src/Makefile.am
M	src/cairo-label-path.c
M	src/cairo-label-path.h
M	src/cairo-markup-path.c
M	src/color-swatch.c
M	src/file.c
M	src/glabels-batch.c
M	src/label-barcode.c
M	src/label-box.c
M	src/label-ellipse.c
M	src/label-image.c
M	src/label-line.c
M	src/label-object.c
M	src/label-object.h
M	src/label-text.c
M	src/label-text.h
M	src/label.c
M	src/label.h
M	src/object-editor-bc-page.c
M	src/object-editor-data-page.c
M	src/object-editor-fill-page.c
M	src/object-editor-image-page.c
M	src/object-editor-line-page.c
M	src/object-editor-lsize-page.c
M	src/object-editor-private.h
M	src/object-editor-shadow-page.c
M	src/object-editor-size-page.c
M	src/object-editor-text-page.c
M	src/object-editor.c
M	src/object-editor.h
M	src/print-op-dialog.c
M	src/print-op.c
M	src/print.c
M	src/ui-commands.c
M	src/ui-property-bar.c
M	src/ui-property-bar.h
M	src/ui-sidebar.c
M	src/ui-sidebar.h
M	src/ui.c
M	src/view-barcode.c
M	src/view-barcode.h
M	src/view-box.c
M	src/view-box.h
M	src/view-ellipse.c
M	src/view-ellipse.h
M	src/view-image.c
M	src/view-image.h
M	src/view-line.c
M	src/view-line.h
D	src/view-object.c
D	src/view-object.h
M	src/view-text.c
M	src/view-text.h
M	src/view.c
M	src/view.h
M	src/window.c
M	src/window.h
M	src/xml-label.c

commit 280d7ace9c2dd028515ecad81b4003109ef1b5d3
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-12-02

    Updated German translation

M	po/de.po

commit 82bdbd24494f2351389c3e2eceef20e21ac93f46
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-22

    Added additional file to .gitignore.

M	.gitignore

commit b87405cab3c8fba70b5261280b5ed1e3de0871bd
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-22

    Use accessor functions instead direct access

    Replaced direct access of widget fields with accessor functions.
    This round
    catches flags and allocations which now have accessor functions in
    Gtk 2.18.
    As a result, the master branch now requires Gtk-2.18/GNOME-2.28.

M	configure.in
D	docs/libglabels/libglabels-decl-list.txt
M	src/color-combo-button.c
M	src/color-combo.c
M	src/color-swatch.c
M	src/field-button.c
M	src/font-combo.c
M	src/font-sample.c
M	src/glabels-batch.c
M	src/merge-text.c
M	src/mini-label-preview.c
M	src/mini-preview.c
M	src/object-editor-edit-page.c
M	src/view.c
M	src/wdgt-chain-button.c

commit 841296e9d9882d93af94b8dc08765a42c9a3bb9e
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-18

    Updated AUTHORS and .gitignore

    Added Mario to AUTHORS so that he gets proper credit.

    Added another pattern to .gitignore.

M	.gitignore
M	AUTHORS

commit d6fb9999d0996c1c3528de406e486efce5bb5511
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-18

    Fixed focus behavior of view canvas

    Fixes bug #2899305.  Don't just automatically steal focus when
    entering
    canvas.  Require a click to get focus back.

M	src/view.c

commit 971a85643f25304fe1eda917f4771cd498a0d89c
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-17

    Reference glabels.org website

    Change all references to the glabels.sourceforge.net website to the
    glabels.org alias.	Change namespace for 2.3 development version to
    glabels.org/xmlns/2.3/.

M	MESSAGE-OF-DOOM
M	README
M	data/man/glabels.1
M	glabels.doap
M	libglabels/xml.h
M	src/ui-commands.c
M	src/xml-label.c

commit 0f07e3243d10acd2343adbc711bee89baf568023
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-08

    Expose all supported fields in vcard backend

    The original version of the vcard merge backend only supported
    3 hard-coded
    fields.  This modification exposes all supported fields, via the
    libebook
    API.  It also uses the "pretty names" for field names, exactly as the
    evolution merge backend does.

    An "off-by-one" error in the evolution merge backend has also been
    fixed --
    exposing one more field.

M	src/merge-evolution.c
M	src/merge-vcard.c

commit 474a40371a2adeadb61ae710c52f5591b7363093
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-07

    Removed unused defines

    Removed unused defines from INCLUDES.

M	libglabels/Makefile.am
M	src/Makefile.am

commit 06b2f56f9594ec0bde746aab774ccb4aa33b9dbf
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-07

    Added support for Code93 barcode.

    Added glue to support for Code93 barcode, which is already supported
    by
    the GNU Barcode Library.

M	src/bc-gnubarcode.c
M	src/bc.c

commit fc18f8be1747cb29d33ee7bdf05b354318778017
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-05

    Automatically generate ChangeLog when building dist

    Automatically generate ChangeLog when building distributions using
    'git log'.

M	.gitignore
M	ChangeLog
M	Makefile.am

commit a2b827198e23b23ed064b822c9331813758c2856
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-05

    Caught up on user submitted templates.

    Added user submitted templates and acknowledgements.

M	AUTHORS
M	templates/misc-iso-templates.xml
M	templates/zweckform-iso-templates.xml

commit 8016d6f4fe8f4970ce615d53d2d541be6afef850
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-04

    Fixed merge inconsistencies and crash

    merge.c:
	Fixed crash when trying to print when a "key" radio has been
	selected
	but no key has been selected yet.

    object-editor-*-page.c:
	Fixed potential inconsistencies with "key" radio buttons when
	a merge
	source has not been selected but the field indicates that it is
	using a
	merge key.  This can happen when opening a glabels file that
	has a merge
	type not supported by the current instance of glabels.

    xml-label.c:
	Also when parsing a merge field that has a merge type not
	supported,
	don't continue parsing it.

M	src/merge.c
M	src/object-editor-bc-page.c
M	src/object-editor-data-page.c
M	src/object-editor-fill-page.c
M	src/object-editor-image-page.c
M	src/object-editor-line-page.c
M	src/object-editor-shadow-page.c
M	src/object-editor-text-page.c
M	src/xml-label.c

commit dcf2b94b88479c283abdf7b65affd77ea5919ce9
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-03

    Don't allow clipping to affect outlines

    Remove clipping region before printing outlines of labels.

M	src/print.c

commit 6cd2cf8a1b548608959dac94229c634e1f3a0f7e
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-03

    Clip to outline restored

    During my last commit & push, I left the clip to outline line
    commented out
    which is an artifact of my testing.

M	src/print.c

commit e0db4b1264c2d87b82092987dc4a5d0d803f352c
Author: Jim Evins <evins@snaught.com>
Date:	2009-11-03

    Added simple envelope support

    Added several envelope sizes to page-sizes.xml.  Also reversed
    the rotation
    direction when printing rotated labels to better match the
    orientation of
    envelope feeders.

M	src/print.c
M	templates/paper-sizes.xml

commit 97c5b449004606b377f8a75ec65c56019e118882
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-11-03

    Updated German translation

M	po/de.po

commit 397ea71c27af9920b71c3fbf197ffe8a10d6583b
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-30

    Copy all fields when duplicating glMergeText object.

    Copy n_fields_max field when duplicating glMergeText object.

M	src/merge-text.c

commit 8fd8b99f7edf0decfc3ea58fa5931c853c96fd0e
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-29

    Harvest line 1 of CSVs for field names

    Added capability to text merge backend to harvest line 1 for field
    names (keys).

M	src/merge-init.c
M	src/merge-text.c
M	src/merge-text.h

commit 19428af40ad4f1c6c5fc947046429bf22ca4a13b
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-26

    Make libglabels include guards more unique

    Renamed libglabels include guards to be more unique.  For example,
    the include
    guard for xml.h was renamed from __XML_H__ to __LGL_XML_H__, which
    is less
    likely to collide with other similarly named macros.

M	libglabels/category.h
M	libglabels/db.h
M	libglabels/paper.h
M	libglabels/str.h
M	libglabels/template.h
M	libglabels/xml-category.h
M	libglabels/xml-paper.h
M	libglabels/xml-template.h
M	libglabels/xml.h

commit ab8bb6ad208670b587d23f55c9edb5ba8c754050
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-26

    Improved menu positioning functions

    Use requisition instead of allocation for menu size (the allocation
    does not
    exist for a newly realized menu, so the position is not always
    right the
    first time it is popped up, causing a mangled menu position with ugly
    scroll buttons.)

    Query for the actual screen of "this" instead of blindly using
    the default
    screen.

M	src/color-combo-button.c
M	src/color-combo.c
M	src/field-button.c
M	src/font-combo.c

commit 4d71d3f3e3cc8300be41c58867f9386d53e4b760
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-25

    Refactored glPrefsModel; Added Units module to libglabels

    Refactored glPrefsModel, reconciling its style with glFontsHistory,
    etc.

    Added Units module to libglabels, consolidating most utilities
    associated
    with units into this module.  Also created a units-util module in
    glabels for utilities that do not belong in libglabels.

M	docs/libglabels/libglabels-decl-list.txt
M	docs/libglabels/libglabels-docs.sgml
M	docs/libglabels/libglabels-sections.txt
D	docs/libglabels/libglabels-undocumented.txt
D	docs/libglabels/tmpl/enums.sgml
M	docs/libglabels/tmpl/libglabels-unused.sgml
M	docs/libglabels/tmpl/paper.sgml
A	docs/libglabels/tmpl/units.sgml
M	libglabels/Makefile.am
M	libglabels/libglabels.h
A	libglabels/units.c
R070	libglabels/enums.h	libglabels/units.h
M	libglabels/xml.c
M	libglabels/xml.h
M	po/POTFILES.in
M	src/Makefile.am
M	src/cairo-label-path.c
M	src/font-combo-menu.c
M	src/font-history-model.c
M	src/glabels.c
M	src/object-editor-bc-page.c
M	src/object-editor-fill-page.c
M	src/object-editor-line-page.c
M	src/object-editor-lsize-page.c
M	src/object-editor-position-page.c
M	src/object-editor-shadow-page.c
M	src/object-editor-size-page.c
M	src/object-editor-text-page.c
M	src/prefs-dialog.c
M	src/prefs-model.c
M	src/prefs-model.h
M	src/prefs.c
M	src/prefs.h
M	src/recent.c
M	src/template-designer.c
M	src/ui-commands.c
M	src/ui-property-bar.c
M	src/ui.c
C052	src/prefs.c	src/units-util.c
C066	src/prefs.h	src/units-util.h
M	src/view.c
M	src/wdgt-media-select.c
M	src/window.c
M	src/xml-label.c

commit 3b8bb98a84de015cdc937f7e2b767e4c1f11f4ee
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-24

    Removed unused variables

    Removed unused variables from draw_text_real().

M	src/label-text.c

commit ebe7c16c62c4d724b2a09b51c8a7c72c42cb0960
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-24

    Created new glTemplateHistoryModel

    Pulled recent template history from glPrefsModel and created
    a separate
    glTemplateHistoryModel object to track this history.  Based on
    glFontHistoryModel.

M	.gitignore
M	po/POTFILES.in
M	src/Makefile.am
M	src/glabels-batch.c
M	src/glabels.c
M	src/label.c
M	src/prefs-model.c
M	src/prefs-model.h
M	src/prefs.c
M	src/prefs.h
A	src/template-history-model.c
A	src/template-history-model.h
A	src/template-history.c
C060	src/prefs.h	src/template-history.h
M	src/wdgt-media-select.c

commit 87e9f1324b388483e0078ebcccda4ffa30687bd2
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-24

    Use GConf to store custom color history

    Renamed glColorComboHistory to glColorHistoryModel and reconciled
    style
    with glFontHistoryModel.  glColorHistoryModel now front-ends GConf
    to store
    custom color history between sessions.

M	po/POTFILES.in
M	src/Makefile.am
D	src/color-combo-history.c
D	src/color-combo-history.h
M	src/color-combo-menu.c
C062	src/font-history-model.c	src/color-history-model.c
A	src/color-history-model.h
M	src/font-history-model.c
M	src/font-history-model.h

commit b69e6e688733168b847f4c0785f75e21b5f77dfd
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-24

    Use GConf to store font history

    glFontHistoryModel now front-ends GConf to store font history between
    sessions.  Also, don't store default font family when creating a blank
    label text object.

M	src/font-combo-menu.c
M	src/font-history-model.c
M	src/font-history-model.h
M	src/font-util.c
M	src/font-util.h
M	src/label-text.c

commit b0a92a3f0b9855585fb7fe856483d2e8cece64f7
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-22

    Added font history

    Added font history object.	Setting/changing fonts in text objects
    updates
    this object.  The glFontCombMenu tracks this object to keep its recent
    fonts submenu up-to-date.

M	po/POTFILES.in
M	src/Makefile.am
M	src/font-combo-menu.c
A	src/font-history-model.c
A	src/font-history-model.h
A	src/font-history.c
A	src/font-history.h
M	src/glabels-batch.c
M	src/glabels.c
M	src/label-text.c

commit 1a23b8164c972458c3a434e892c6810939ac424b
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-21

    Make glFieldButtonMenu multi-columned for large number of keys.

    Make glFieldButtonMenu multi-columned for large number of keys.
    I don't know
    why, but I need to unrealize the old menu whenever reloading a new
    set of
    keys -- otherwise, the new menu would not render properly.

    Also, cleared the CAN_FOCUS and CAN_DEFAULT bits for the instance in
    the object editor text edit page, so that it would not steal the focus
    from the text editor.

M	src/field-button-menu.c
M	src/object-editor-edit-page.c

commit f83b6537a0fdf8f6f25483ab691a76923c10508a
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-20

    Minor cleanup of glFieldButton widgets

    Free proper data in gl_field_button_menu_finalize().  Minor formatting
    cleanup.

M	src/field-button-menu.c
M	src/field-button-menu.h
M	src/field-button.c

commit 797627cec95e55d0305a0b7aa81811cd5be291a4
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-19

    Create new glFieldButton widget family

    Created new glFieldButton widget family modelled after glFontCombo.
    This
    widget is for inserting merge fields into text.  This button will
    pop-up
    a menu containing possible field keys.  The button attempts to
    place the
    menu intelligently, rather than simply where the button was pressed.

    Renamed glWdgtMergeMenu to glFieldButtonMenu.

M	data/builder/object-editor.builder
M	po/POTFILES.in
M	src/Makefile.am
M	src/debug.c
M	src/debug.h
R060	src/wdgt-merge-menu.c	src/field-button-menu.c
A	src/field-button-menu.h
A	src/field-button.c
A	src/field-button.h
M	src/object-editor-edit-page.c
M	src/object-editor-private.h
M	src/object-editor.c
D	src/wdgt-merge-menu.h

commit aac305dceb30dcc44e50917da3350fca428ef5d4
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-18

    Cleanup of configure.in

    More minor cleanup of configure.in.  My iec16022 patch was accepted
    upstream
    and there was a new release -- update required version.  Added URLs to
    configure.in to inform packagers where to obtain upstream libraries.
    Updated
    README to document these optional dependencies.

M	README
M	configure.in
M	src/Makefile.am

commit 0060d0193ece855c41a9d079e074fd659d406256
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-17

    Refine glFontComboMenuItem tooltip sample text.

    Refine sample text used in tooltip for glFontComboMenuItem.
    The sample
    alphabet, numbers and special symbols text is now localized.
    Also used
    Pango to get a localized sample string such as "The quick brown
    fox..."

M	src/font-combo-menu-item.c

commit 360d5b047a6eb4855bd4018f05bd083b465ed084
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-11

    Cleanup of configure.in

    Minor cleanup of configure.in.  Assumes libiec16022 will be installed
    along
    with a pkg-config file -- patch to upstream has been submitted --
    we shall
    see.

M	configure.in

commit 95316ca98ce80e0569ec66b66e8d4efa2a11a737
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-11

    Added .gitignore

    Added .gitignore file to cleanup cruft reported by "git status"

A	.gitignore

commit 480d31eff113c6a5136f56654bdbed67805c269c
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-11

    Use accessor functions instead direct access

    Replaced several occurances of directly accessing widget fields
    with the
    use of accessor functions. This round hit primarily windows,
    bin_windows
    and styles. Still need to address flags and allocations when GTK
    has the
    needed accessors.

M	src/color-combo-button.c
M	src/color-combo.c
M	src/color-swatch.c
M	src/font-combo.c
M	src/font-sample.c
M	src/mini-label-preview.c
M	src/mini-preview.c
M	src/view.c
M	src/wdgt-chain-button.c

commit f9d1fc9b35f9c3b9005340f954298aaf5f6623a0
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-10

    Converted pl.po to UTF-8 again

M	po/pl.po

commit 98c57ae33f847d1e97be507fdb4efcc09d680d2e
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-10

    Converted pt_BR.po to UTF-8

M	po/pt_BR.po

commit dc43c1b38e3fa9f5dd0e6627e07a059ccd808fb2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-10

    Updated NEWS

M	NEWS

commit cf622f9277e6db8bc641b7c39a53163712bdd064
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-08

    Use accessor functions instead direct access

    Replaced several occurances of directly accessing widget fields
    with the
    use of accessor functions.	This round only hit some of the
    low-hanging
    fruit -- several modules still contain many such accesses.

M	src/color-combo-menu.c
M	src/combo-util.c
M	src/merge-properties-dialog.c
M	src/new-label-dialog.c
M	src/prefs-dialog.c

commit 67a64dea73deedfc465df50fd92442a460fa5f42
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-07

    Removed 3rd-party libraries

    The 3rd-party libraries used as barcode backends are no longer
    redistributed
    with gLabels.  These libraries are now optional external dependencies,
    so if
    one is not present it will not be used.

    FIXME: the datamatrix IEC 16022 library is not installed by default
    by the
    official iec16022 tarball.

M	AUTHORS
M	COPYING.README_FIRST
M	Makefile.am
D	bc-backends/Makefile.am
D	bc-backends/barcode-0.98/COPYING
D	bc-backends/barcode-0.98/ChangeLog
D	bc-backends/barcode-0.98/INSTALL
D	bc-backends/barcode-0.98/Makefile.am
D	bc-backends/barcode-0.98/Makefile.in.dist
D	bc-backends/barcode-0.98/README
D	bc-backends/barcode-0.98/README.glabels
D	bc-backends/barcode-0.98/TODO
D	bc-backends/barcode-0.98/barcode.h
D	bc-backends/barcode-0.98/barcode.spec
D	bc-backends/barcode-0.98/bookland/bookland.py
D	bc-backends/barcode-0.98/cmdline.c
D	bc-backends/barcode-0.98/cmdline.h
D	bc-backends/barcode-0.98/codabar.c
D	bc-backends/barcode-0.98/code128.c
D	bc-backends/barcode-0.98/code39.c
D	bc-backends/barcode-0.98/code93.c
D	bc-backends/barcode-0.98/compat/getopt.c
D	bc-backends/barcode-0.98/compat/getopt.h
D	bc-backends/barcode-0.98/configure
D	bc-backends/barcode-0.98/configure.in.dist
D	bc-backends/barcode-0.98/contrib/barcode-SVG.tar.gz
D	bc-backends/barcode-0.98/contrib/barcode-SVG.tar.gz.README
D	bc-backends/barcode-0.98/contrib/barcode-for-delphi.tar.gz
D	bc-backends/barcode-0.98/contrib/barcode-for-delphi.tar.gz.README
D	bc-backends/barcode-0.98/contrib/barcodeps-0.1.tgz
D	bc-backends/barcode-0.98/contrib/barcodeps-0.1.tgz.README
D	bc-backends/barcode-0.98/contrib/grab-0.0.4.tar.gz
D	bc-backends/barcode-0.98/contrib/grab-0.0.4.tar.gz.README
D	bc-backends/barcode-0.98/debian/README.debian
D	bc-backends/barcode-0.98/debian/changelog
D	bc-backends/barcode-0.98/debian/control
D	bc-backends/barcode-0.98/debian/copyright
D	bc-backends/barcode-0.98/debian/dirs
D	bc-backends/barcode-0.98/debian/info
D	bc-backends/barcode-0.98/debian/rules
D	bc-backends/barcode-0.98/doc/Makefile.in
D	bc-backends/barcode-0.98/doc/README
D	bc-backends/barcode-0.98/doc/barcode.info
D	bc-backends/barcode-0.98/doc/barcode.pdf
D	bc-backends/barcode-0.98/doc/barcode.ps
D	bc-backends/barcode-0.98/doc/barcodedoc.txt
D	bc-backends/barcode-0.98/doc/doc.barcode
D	bc-backends/barcode-0.98/doc/infofilter
D	bc-backends/barcode-0.98/doc/manpager
D	bc-backends/barcode-0.98/doc/mktxt
D	bc-backends/barcode-0.98/doc/texi2html
D	bc-backends/barcode-0.98/ean.c
D	bc-backends/barcode-0.98/i25.c
D	bc-backends/barcode-0.98/install-sh
D	bc-backends/barcode-0.98/library.c
D	bc-backends/barcode-0.98/main.c
D	bc-backends/barcode-0.98/missing
D	bc-backends/barcode-0.98/mkinstalldirs
D	bc-backends/barcode-0.98/msi.c
D	bc-backends/barcode-0.98/pcl.c
D	bc-backends/barcode-0.98/plessey.c
D	bc-backends/barcode-0.98/ps.c
D	bc-backends/barcode-0.98/sample.c
D	bc-backends/iec16022-0.2.1/BUGS
D	bc-backends/iec16022-0.2.1/CHANGELOG
D	bc-backends/iec16022-0.2.1/CREDITS
D	bc-backends/iec16022-0.2.1/INSTALL
D	bc-backends/iec16022-0.2.1/LICENSE
D	bc-backends/iec16022-0.2.1/Makefile.am
D	bc-backends/iec16022-0.2.1/Makefile.dist
D	bc-backends/iec16022-0.2.1/README
D	bc-backends/iec16022-0.2.1/README.glabels
D	bc-backends/iec16022-0.2.1/TODO
D	bc-backends/iec16022-0.2.1/iec16022.1
D	bc-backends/iec16022-0.2.1/iec16022.c
D	bc-backends/iec16022-0.2.1/iec16022ecc200.c
D	bc-backends/iec16022-0.2.1/iec16022ecc200.h
D	bc-backends/iec16022-0.2.1/image.c
D	bc-backends/iec16022-0.2.1/image.h
D	bc-backends/iec16022-0.2.1/reedsol.c
D	bc-backends/iec16022-0.2.1/reedsol.h
D	bc-backends/iec16022-0.2.1/test/testsuite-example.bin
D	bc-backends/iec16022-0.2.1/test/testsuite-example.eps
D	bc-backends/iec16022-0.2.1/test/testsuite-example.hex
D	bc-backends/iec16022-0.2.1/test/testsuite-example.png
D	bc-backends/iec16022-0.2.1/test/testsuite-example.text
D	bc-backends/iec16022-0.2.1/test/testsuite.sh
D	bc-backends/qrencode-3.1.0/COPYING
D	bc-backends/qrencode-3.1.0/ChangeLog
D	bc-backends/qrencode-3.1.0/Doxyfile
D	bc-backends/qrencode-3.1.0/Makefile.am
D	bc-backends/qrencode-3.1.0/Makefile.am.dist
D	bc-backends/qrencode-3.1.0/Makefile.in.dist
D	bc-backends/qrencode-3.1.0/NEWS
D	bc-backends/qrencode-3.1.0/README
D	bc-backends/qrencode-3.1.0/README.glabels
D	bc-backends/qrencode-3.1.0/TODO
D	bc-backends/qrencode-3.1.0/acinclude.m4
D	bc-backends/qrencode-3.1.0/aclocal.m4
D	bc-backends/qrencode-3.1.0/autogen.sh
D	bc-backends/qrencode-3.1.0/bitstream.c
D	bc-backends/qrencode-3.1.0/bitstream.h
D	bc-backends/qrencode-3.1.0/config.h.in
D	bc-backends/qrencode-3.1.0/configure
D	bc-backends/qrencode-3.1.0/configure.ac.dist
D	bc-backends/qrencode-3.1.0/libqrencode.pc.in
D	bc-backends/qrencode-3.1.0/mask.c
D	bc-backends/qrencode-3.1.0/mask.h
D	bc-backends/qrencode-3.1.0/qrenc.c
D	bc-backends/qrencode-3.1.0/qrencode.1.in
D	bc-backends/qrencode-3.1.0/qrencode.c
D	bc-backends/qrencode-3.1.0/qrencode.h
D	bc-backends/qrencode-3.1.0/qrencode.spec
D	bc-backends/qrencode-3.1.0/qrencode.spec.in
D	bc-backends/qrencode-3.1.0/qrencode_inner.h
D	bc-backends/qrencode-3.1.0/qrinput.c
D	bc-backends/qrencode-3.1.0/qrinput.h
D	bc-backends/qrencode-3.1.0/qrspec.c
D	bc-backends/qrencode-3.1.0/qrspec.h
D	bc-backends/qrencode-3.1.0/rscode.c
D	bc-backends/qrencode-3.1.0/rscode.h
D	bc-backends/qrencode-3.1.0/split.c
D	bc-backends/qrencode-3.1.0/split.h
D	bc-backends/qrencode-3.1.0/tests/Makefile.am
D	bc-backends/qrencode-3.1.0/tests/Makefile.in
D	bc-backends/qrencode-3.1.0/tests/common.h
D	bc-backends/qrencode-3.1.0/tests/create_frame_pattern.c
D	bc-backends/qrencode-3.1.0/tests/frame
D	bc-backends/qrencode-3.1.0/tests/prof_qrencode.c
D	bc-backends/qrencode-3.1.0/tests/test_all.sh
D	bc-backends/qrencode-3.1.0/tests/test_bitstream.c
D	bc-backends/qrencode-3.1.0/tests/test_estimatebit.c
D	bc-backends/qrencode-3.1.0/tests/test_monkey.c
D	bc-backends/qrencode-3.1.0/tests/test_qrencode.c
D	bc-backends/qrencode-3.1.0/tests/test_qrinput.c
D	bc-backends/qrencode-3.1.0/tests/test_qrspec.c
D	bc-backends/qrencode-3.1.0/tests/test_rs.c
D	bc-backends/qrencode-3.1.0/tests/test_split.c
D	bc-backends/qrencode-3.1.0/tests/view_qrcode.c
D	bc-backends/qrencode-3.1.0/use/compile
D	bc-backends/qrencode-3.1.0/use/config.guess
D	bc-backends/qrencode-3.1.0/use/config.sub
D	bc-backends/qrencode-3.1.0/use/depcomp
D	bc-backends/qrencode-3.1.0/use/install-sh
D	bc-backends/qrencode-3.1.0/use/ltmain.sh
D	bc-backends/qrencode-3.1.0/use/missing
M	configure.in
M	po/POTFILES.in
M	src/Makefile.am
M	src/bc-gnubarcode.c
M	src/bc-iec16022.c
M	src/bc-iec18004.c
M	src/bc.c

commit 1d8d113699adea7360355c7cef8ad539825829e0
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-06

    Fixed some gettext problems

    color-combo-menu.c:
	- escape "%" in strings so that they are not interpreted as
	c-format
	  conversions.
	- call gettext() on color names initialized in table.
    bc.c:
	- call gettext() on barcode names initialized in table.
    property-bar.builder:
	- moved "Font family" tooltip to correct field for translation.

M	data/builder/property-bar.builder
M	src/bc.c
M	src/color-combo-menu.c

commit 48fe1b343471e074156ea342ded7faaaca390c40
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-06

    Added information for translators to HACKING

    Added information for translators to the HACKING file.

M	HACKING

commit 1a23afe96b3503f6d19a871623d31ce9eb4177e7
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-06

    Converted polish translation to UTF-8

M	po/pl.po

commit 7b88300bed91c62816557772cfa263604aa209d2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-06

    Added missing filename

M	po/POTFILES.in

commit d5ae0b083b9f9ba9f39cc302b233eb44bab1ff65
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-10-06

    Convert zh_TW translation to UTF-8

M	po/LINGUAS
R089	po/zh_TW.Big5.po	po/zh_TW.po

commit 05f3749a2034521a14d229ca11cde7c91051cec2
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-06

    Updated German translation

M	po/de.po

commit f6f8ebf5318cf00d7735a7dc87885373677370c1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-06

    Updated German translation

M	po/de.po

commit 23449d845bce7cdde774e1dc006814ce08280f59
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-10-06

    Updated German doc translation

M	po/de.po

commit 0bc48aa862b0a2f01b6c222aab279cb6f35a4f35
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-10-06

    Added Swedish translation

M	po/LINGUAS
A	po/sv.po

commit a869e748bc106014e98749786471aef0198725ef
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-05

    Adding MAINTAINERS and HACKING files.

    Added MAINTAINERS and HACKING files.  Updated glabels.doap to
    reconcile with new MAINTAINERS file.  Updated TODO file bringing
    up-to-date with the current roadmap.

A	HACKING
A	MAINTAINERS
M	TODO
M	glabels.doap

commit 6684593a76fba89a941edcf8991d45f0c5521ecc
Author: Jim Evins <evins@snaught.com>
Date:	2009-10-05

    Adding glabels.doap

    Adding glabels.doap file for gnome Git repository.

A	glabels.doap

commit d8ea0137a6f1aa1924f62a64c2a83e048a79f0ce
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-09-29

    Removed non-existent filenames from po/POTFILES.in

M	po/POTFILES.in

commit 743c111fc1f7f0a698c459d0ef387f5591112d36
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-09-29

    Removed non-existent filenames from po/POTFILES.in

M	po/de.po

commit 73e7592ce7bc2ad65ebeb85b7f17f0ef10bd8f3c
Author: Jim Evins <evins@snaught.com>
Date:	2009-09-28

    Removed gtk-doc.make.

    Removed the gtk-doc.make file, since it gets regenerated anyway.

D	gtk-doc.make

commit d45bb113212523705e156d79044849b08025f305
Author: Jim Evins <evins@snaught.com>
Date:	2009-09-27

    Relocated barcode backends.

    Moved 3rd party barcode backends to a new bc-backends/ subdirectory.

M	COPYING.README_FIRST
M	Makefile.am
A	bc-backends/Makefile.am
R100	barcode-0.98/COPYING	bc-backends/barcode-0.98/COPYING
R100	barcode-0.98/ChangeLog	bc-backends/barcode-0.98/ChangeLog
R100	barcode-0.98/INSTALL	bc-backends/barcode-0.98/INSTALL
R100	barcode-0.98/Makefile.am
bc-backends/barcode-0.98/Makefile.am
R100	barcode-0.98/Makefile.in.dist
bc-backends/barcode-0.98/Makefile.in.dist
R100	barcode-0.98/README	bc-backends/barcode-0.98/README
R100	barcode-0.98/README.glabels
bc-backends/barcode-0.98/README.glabels
R100	barcode-0.98/TODO	bc-backends/barcode-0.98/TODO
R100	barcode-0.98/barcode.h	bc-backends/barcode-0.98/barcode.h
R100	barcode-0.98/barcode.spec
bc-backends/barcode-0.98/barcode.spec
R100	barcode-0.98/bookland/bookland.py
bc-backends/barcode-0.98/bookland/bookland.py
R100	barcode-0.98/cmdline.c	bc-backends/barcode-0.98/cmdline.c
R100	barcode-0.98/cmdline.h	bc-backends/barcode-0.98/cmdline.h
R100	barcode-0.98/codabar.c	bc-backends/barcode-0.98/codabar.c
R100	barcode-0.98/code128.c	bc-backends/barcode-0.98/code128.c
R100	barcode-0.98/code39.c	bc-backends/barcode-0.98/code39.c
R100	barcode-0.98/code93.c	bc-backends/barcode-0.98/code93.c
R100	barcode-0.98/compat/getopt.c
bc-backends/barcode-0.98/compat/getopt.c
R100	barcode-0.98/compat/getopt.h
bc-backends/barcode-0.98/compat/getopt.h
R100	barcode-0.98/configure	bc-backends/barcode-0.98/configure
R100	barcode-0.98/configure.in.dist
bc-backends/barcode-0.98/configure.in.dist
R100	barcode-0.98/contrib/barcode-SVG.tar.gz
bc-backends/barcode-0.98/contrib/barcode-SVG.tar.gz
R100	barcode-0.98/contrib/barcode-SVG.tar.gz.README
bc-backends/barcode-0.98/contrib/barcode-SVG.tar.gz.README
R100	barcode-0.98/contrib/barcode-for-delphi.tar.gz
bc-backends/barcode-0.98/contrib/barcode-for-delphi.tar.gz
R100	barcode-0.98/contrib/barcode-for-delphi.tar.gz.README
bc-backends/barcode-0.98/contrib/barcode-for-delphi.tar.gz.README
R100	barcode-0.98/contrib/barcodeps-0.1.tgz
bc-backends/barcode-0.98/contrib/barcodeps-0.1.tgz
R100	barcode-0.98/contrib/barcodeps-0.1.tgz.README
bc-backends/barcode-0.98/contrib/barcodeps-0.1.tgz.README
R100	barcode-0.98/contrib/grab-0.0.4.tar.gz
bc-backends/barcode-0.98/contrib/grab-0.0.4.tar.gz
R100	barcode-0.98/contrib/grab-0.0.4.tar.gz.README
bc-backends/barcode-0.98/contrib/grab-0.0.4.tar.gz.README
R100	barcode-0.98/debian/README.debian
bc-backends/barcode-0.98/debian/README.debian
R100	barcode-0.98/debian/changelog
bc-backends/barcode-0.98/debian/changelog
R100	barcode-0.98/debian/control
bc-backends/barcode-0.98/debian/control
R100	barcode-0.98/debian/copyright
bc-backends/barcode-0.98/debian/copyright
R100	barcode-0.98/debian/dirs
bc-backends/barcode-0.98/debian/dirs
R100	barcode-0.98/debian/info
bc-backends/barcode-0.98/debian/info
R100	barcode-0.98/debian/rules
bc-backends/barcode-0.98/debian/rules
R100	barcode-0.98/doc/Makefile.in
bc-backends/barcode-0.98/doc/Makefile.in
R100	barcode-0.98/doc/README bc-backends/barcode-0.98/doc/README
R100	barcode-0.98/doc/barcode.info
bc-backends/barcode-0.98/doc/barcode.info
R100	barcode-0.98/doc/barcode.pdf
bc-backends/barcode-0.98/doc/barcode.pdf
R100	barcode-0.98/doc/barcode.ps
bc-backends/barcode-0.98/doc/barcode.ps
R100	barcode-0.98/doc/barcodedoc.txt
bc-backends/barcode-0.98/doc/barcodedoc.txt
R100	barcode-0.98/doc/doc.barcode
bc-backends/barcode-0.98/doc/doc.barcode
R100	barcode-0.98/doc/infofilter
bc-backends/barcode-0.98/doc/infofilter
R100	barcode-0.98/doc/manpager
bc-backends/barcode-0.98/doc/manpager
R100	barcode-0.98/doc/mktxt	bc-backends/barcode-0.98/doc/mktxt
R100	barcode-0.98/doc/texi2html
bc-backends/barcode-0.98/doc/texi2html
R100	barcode-0.98/ean.c	bc-backends/barcode-0.98/ean.c
R100	barcode-0.98/i25.c	bc-backends/barcode-0.98/i25.c
R100	barcode-0.98/install-sh bc-backends/barcode-0.98/install-sh
R100	barcode-0.98/library.c	bc-backends/barcode-0.98/library.c
R100	barcode-0.98/main.c	bc-backends/barcode-0.98/main.c
R100	barcode-0.98/missing	bc-backends/barcode-0.98/missing
R100	barcode-0.98/mkinstalldirs
bc-backends/barcode-0.98/mkinstalldirs
R100	barcode-0.98/msi.c	bc-backends/barcode-0.98/msi.c
R100	barcode-0.98/pcl.c	bc-backends/barcode-0.98/pcl.c
R100	barcode-0.98/plessey.c	bc-backends/barcode-0.98/plessey.c
R100	barcode-0.98/ps.c	bc-backends/barcode-0.98/ps.c
